Scriptname DBM_AirshipScript extends ObjectReference  

ImagespaceModifier Property AzuraFadeToBlack Auto
ImagespaceModifier Property FadeToBlackBackIMod Auto
ImagespaceModifier Property FadeToBlackHoldIMod Auto
GlobalVariable Property GameHour Auto

FormList Property ShipList Auto
FormList Property CurShip Auto
FormList Property CurPlayerMark Auto

GlobalVariable Property ReadyState Auto

ObjectReference S
ObjectReference M

Event OnActivate (ObjectReference akActionRef)
	if akActionRef == Game.GetPlayer()
		if ReadyState.Value == 0
			Debug.notification("You must set a heading first")
		Elseif ReadyState.Value == 1
			ReadyState.Value = 0
			S = CurShip.GetAt(0) as ObjectReference
			S.Enable()
			FadeOut()
			M = CurPlayerMark.GetAt(0) as ObjectReference
			Game.GetPlayer().MoveTo(M)
			FadeIn()
			ResetShipREFS()
		 Elseif ReadyState.Value == 2
			ReadyState.Value = 3
			ResetShipREFSBeacon()
            Utility.WaitGameTime(2)
            S = CurShip.GetAt(0) as ObjectReference
            S.Enable()
        Elseif ReadyState.Value == 3
            S = CurShip.GetAt(0) as ObjectReference
			String LocationName = S.GetCurrentLocation().GetName() ;SKSE Function
			if LocationName == ""
			Debug.notification("The airship is currently in flight to a destination.")
			else
			Debug.Notification("The airship is currently on course for " + LocationName + "")
			endif
		endif
	Endif
EndEvent

Function ResetShipREFS()
	Int Index = ShipList.GetSize()
	While Index
		index -= 1
		ObjectReference O = ShipList.GetAt(Index) as ObjectReference
		if O != S
			O.Disable()
		Endif
	EndWhile
	CurShip.Revert()
	CurPlayerMark.Revert()	
EndFunction

Function ResetShipREFSBeacon()
	Int Index = ShipList.GetSize()
	While Index
		index -= 1
		ObjectReference O = ShipList.GetAt(Index) as ObjectReference
		O.Disable(True)
	EndWhile	
EndFunction

Function FadeOut()
	Game.DisablePlayerControls(true, true, true, true, true, false, true, true)
	AzuraFadeToBlack.Apply()
	Utility.Wait(2)
	Game.FadeOutGame(False,True,50, 1)
	Gamehour.Value += 4
EndFunction

Function FadeIn()
		Game.FadeOutGame(False,True,0.1, 0.1)
		AzuraFadeToBlack.PopTo(FadeToBlackBackImod)
		Utility.Wait(2)
		Game.EnablePlayerControls()
EndFunction
