Scriptname DBM_AncientTongueScript extends ObjectReference  

Actor Property PlayerRef Auto
Spell  Property ATPOWER Auto
Perk Property PERK1 Auto
Float SV
Float SAV
GlobalVariable Property DBM_VisageEquipped Auto

DBM__QF_DBM_SOATreequiphandle_0543A62E Property SOATqst Auto


Event OnEquipped(Actor akActor)
  if akActor == PlayerRef
	SOATEquip()
	DBM_VisageEquipped.Value += 1
   Endif
endevent

Event OnUnequipped(Actor akActor)
  if akActor == PlayerRef
	PlayerRef.ModAv("shoutrecoverymult", SAV)
	SAV = 0
	PlayerRef.removespell (ATPOWER)
	PlayerRef.removeperk (PERK1)
	DBM_VisageEquipped.Value -= 1
  endif
endevent

Event OnContainerChanged(ObjectReference akNewContainer, ObjectReference akOldContainer)
	if akOldContainer == Game.GetPlayer()
		PlayerRef.ModAV("shoutrecoverymult", SAV)
		PlayerRef.removespell (ATPOWER)
		PlayerRef.removeperk (PERK1)
		if Game.GetPlayer().IsEquipped(Self)
			DBM_VisageEquipped.Value -= 1
		endif
	endif
EndEvent

Function SOATEquip()
	SV = PlayerRef.GetAv("shoutrecoverymult")
	if SV == 1 
		PlayerRef.ModAv("shoutrecoverymult", -0.5)
		SAV = 0.5
	Elseif SV < 1 && SV >= 0.8
		PlayerRef.ModAv("shoutrecoverymult", -0.4)
		SAV = 0.4
	Elseif SV < 0.8 && SV >= 0.6
		PlayerRef.ModAv("shoutrecoverymult", -0.3)
		SAV = 0.3
	Elseif SV < 0.6 && SV >= 0.4
		PlayerRef.ModAv("shoutrecoverymult", -0.2)
		SAV = 0.2
	Elseif SV < 0.4 && SV >= 0.2
		PlayerRef.ModAv("shoutrecoverymult", -0.1)
		SAV = 0.1
	Endif
	PlayerRef.addspell (ATPOWER)
	PlayerRef.addPerk (PERK1)
	SOATqst.LevelUp()
EndFunction