Scriptname DBM_ArmoryRackScript2 extends ObjectReference  

ObjectReference Property ARMORYSTORE002 Auto

FormList Property ArmorList Auto
FormList Property BootList Auto
FormList Property GloveList Auto
FormList Property HelmList Auto

GlobalVariable Property DBM_DisplayMAX Auto
GlobalVariable Property DBM_SortWait Auto

FormList MyArmorList
Armor A
ObjectReference O
Int Index
Bool DisplayReady

Event OnActivate(ObjectReference akActionRef)
	if akActionRef == Game.GetPlayer()
	if DBM_SortWait.GetValue() == 1
				Debug.messagebox("You must wait for the current sorting opperation to complete before using displays")
				Return
			Elseif DBM_SortWait.GetValue() == 0
		
		MyArmorList = ArmorList
		DisplayArmor()

		MyArmorList = BootList
		DisplayArmor()

		MyArmorList = GloveList
		DisplayArmor()

		MyArmorList = HelmList
		DisplayArmor()
		Endif
	endif
EndEvent

Function DisplayArmor()
			Index = MyArmorList.GetSize()
			DisplayReady = true

			While Index
				Index -= 1
				O = MyArmorList.GetAt(Index) as objectreference
				if O.Isenabled()
					DisplayReady = false
				Endif
			EndWhile	

		if DisplayReady == True
			Index = MyArmorList.GetSize()
			While Index
				Index -= 1
				O = MyArmorList.GetAt(Index) as objectreference
				A = O.GetBaseObject() as Armor
				if Game.GetPlayer().GetItemCount(A) && ARMORYSTORE002.GetItemCount(A) == 0 && Game.GetPlayer().IsEquipped(A) == 0 && O.IsDisabled() && Game.IsObjectFavorited(A) == False

					Game.GetPlayer().RemoveItem(A, 1, akOtherContainer = ARMORYSTORE002)
					O.Enable()
					if DBM_Utils.getSharingEnabled()
						DBM_Utils.saveDisplayStatus(O)
					Endif
					DBM_DisplayMax.Value += 1
					Index = 0
				Endif
			EndWhile
		Endif
EndFunction
