Scriptname DBM_CharmBagScript extends ObjectReference  

Float Property BagWeight Auto
MiscObject Property DBM_ToolBagMISC Auto
Weapon Property DBM_LucasPick Auto


Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
	if akBaseItem == DBM_ToolBagMISC
		Self.RemoveItem(DBM_ToolBagMISC, 1, absilent = true, akOtherContainer = Game.GetPlayer())
	elseif akBaseItem == DBM_LucasPick
		Self.RemoveItem(DBM_LucasPick, 1, absilent = true, akOtherContainer = Game.GetPlayer())
		Debug.Notification("Luca's Pickaxe is best left in my main pack")
	Endif
	Utility.Wait(1)
	CheckWeight()
EndEvent

Event OnItemRemoved(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
	Utility.Wait(1)
	CheckWeight()
EndEvent

Function CheckWeight()
	int Index = Self.GetNumItems()
	While Index
		Index -= 1
		Form F = Self.GetNthForm(Index)
		Float W = F.GetWeight()
		BagWeight += W
	EndWhile
		DBM_ToolBagMISC.SetWeight(BagWeight)
		BagWeight = 2
EndFunction