Scriptname DBM_CrusaderBootsScript extends ObjectReference  

Faction Property KynesPeaceFaction Auto

Event OnEquipped(Actor akActor)
	if akActor == Game.GetPlayer()
		Game.GetPlayer().AddToFaction(KynesPeaceFaction)
	Endif
EndEvent

Event OnUnequipped(Actor akActor)
	if akActor == Game.GetPlayer()
		Game.GetPlayer().RemoveFromFaction(KynesPeaceFaction)
	EndIf
EndEvent

Event OnContainerChanged(ObjectReference akNewContainer, ObjectReference akOldContainer)
	if akOldContainer == Game.GetPlayer()
		Game.GetPlayer().RemoveFromFaction(KynesPeaceFaction)
	Endif
EndEvent		