Scriptname DBM_DHDaedricDisplays extends ObjectReference  

String[] MP

Event OnInit()
    Int i = countLinkedRefChain()
    MP = Utility.CreateStringArray(i)
    While i
        i -= 1
	ActorBase MyPlayer = Game.GetPlayer().GetActorBase()
	if (GetNthLinkedRef(i).GetBaseObject() As Armor)
		if MyPlayer.GetSex() == 0
		        MP[i] = (GetNthLinkedRef(i).GetBaseObject() As Armor).GetModelPath(false)
		ElseIf MyPlayer.GetSex() == 1
      			  MP[i] = (GetNthLinkedRef(i).GetBaseObject() As Armor).GetModelPath(true)
		Endif
	Elseif (GetNthLinkedRef(i).GetBaseObject() As Weapon)
	       MP[i] = (GetNthLinkedRef(i).GetBaseObject() As Weapon).GetModelPath()
	endif

    EndWhile
EndEvent

Event onPlayerLoadGame()
	OnInit()
    ResetDisplay()
EndEvent

Event onLoad()
    ResetDisplay()
EndEvent

Event OnActivate(ObjectReference akActionRef)
    BlockActivation()
    Utility.Wait(1.0)
    UpdateDisplay()
    BlockActivation(False)
    Playanimation("close")
EndEvent

Function UpdateDisplay()
    GoToState("Busy")
    ObjectReference LR
    Int i = MP.Length
    While i > 1
        i -= 1
	if GetNthLinkedRef(i).IsEnabled()
		GetNthLinkedRef(i).Disable()
	Endif
    EndWhile

    Form CurForm
    Int j
    i = GetNumItems()
    ActorBase MyPlayer = Game.GetPlayer().GetActorBase()
    While i > 0
        i -= 1
        CurForm = GetNthForm(i)
        If (CurForm As Armor)
            if MyPlayer.GetSex() == 0
	            j = MP.Find((CurForm As Armor).GetModelPath(false))
            Elseif MyPlayer.GetSex() == 1
	            j = MP.Find((CurForm As Armor).GetModelPath(True))
		Endif
            If j >= 1
                LR = GetNthLinkedRef(j)
                If LR.IsDisabled()
                    LR.Enable()
                EndIf
            EndIf
	ElseIf (CurForm As Weapon)
	            j = MP.Find((CurForm As Weapon).GetModelPath())
            If j >= 1
                LR = GetNthLinkedRef(j)
                If LR.IsDisabled()
                    LR.Enable()
                EndIf
            EndIf
	Else
            Self.Removeitem(CurForm, GetItemCount(CurForm), True, Game.GetPlayer())
        EndIf
    EndWhile
    ResetDisplay()
    GoToState("")
EndFunction

Function ResetDisplay()
    ObjectReference LR
    Int i = MP.Length
    While i > 1
        i -= 1
        LR = GetNthLinkedRef(i)
    EndWhile
EndFunction

State Busy
    Event OnActivate(ObjectReference akActionRef)
        ;updating do nothing
    EndEvent
EndState

