Scriptname DBM_DiasScript extends ObjectReference  

MiscObject Property PhynasterCup Auto
ObjectReference Property Barrier Auto
Quest Property MyQuest Auto

Event OnActivate(Objectreference akActionRef)
	if akActionRef == Game.GetPlayer()
		if Game.GetPlayer().GetItemCount(PhynasterCup) == 1
			Game.GetPlayer().RemoveItem(PhynasterCup, 1)
			GetLinkedRef().Enable()
			Barrier.Activate(Self)
			if MyQuest.GetStage() == 45
				MyQuest.SetStage(50)
			Endif
		Elseif GetLinkedRef().IsEnabled()
			GetLinkedRef().Disable()
			Game.GetPlayer().AddItem(PhynasterCup, 1)
			Barrier.Activate(self)
		Else
			Debug.Notification("You lack the required item")
		Endif
	Endif
EndEvent