Scriptname DBM_ExplorerRelicFoundScript extends ReferenceAlias  

Int Property MyOBJ Auto
{Objective for current relic.}
Int Property RelicObj Auto
{Highest Objective Number for Relics in the quest.}

Event OnContainerChanged(ObjectReference akNewContainer, ObjectReference akOldContainer)
	if akNewContainer == Game.GetPlayer() && Self.GetOwningQuest().IsObjectiveDisplayed(MyObj)
		Self.GetOwningQuest().SetObjectiveCompleted(MyObj)
		CompleteCheck()
	endif
EndEvent

Event OnActivate(ObjectReference akActionRef)
	if Self.GetOwningQuest().IsObjectiveDisplayed(MyObj) && MyOBJ == 20 ;Picky's resonator only
		Self.GetOwningQuest().SetObjectiveCompleted(MyObj)
		CompleteCheck()
	EndIf
EndEvent


Function CompleteCheck()
	int RO = RelicObj
	bool Continue = TRUE
	while RO > 4 && Continue
		if Self.GetOwningQuest().IsObjectiveCompleted(RO)
			RO -= 1
		Else
			Continue = False
		EndIf
	EndWhile
	if RO == 4
		Self.GetOwningQuest().SetStage(10)
	endif
EndFunction