Scriptname DBM_GearScript extends ObjectReference  

MiscObject Property CogKey Auto
GlobalVariable Property DBM_CogCount Auto
ObjectReference Property GateBars Auto
Quest Property DBM_Excavation02 Auto

Event OnActivate(ObjectReference akActionRef)
	if akActionRef == Game.GetPlayer()
		if Game.GetPlayer().GetItemCount(CogKey) >= 1
			Game.GetPlayer().RemoveItem(CogKey, 1)
			GetLinkedRef().Enable()
			DBM_CogCount.Value += 1
			Self.Disable()
		Elseif Game.GetPlayer().GetItemCount(CogKey) == 0
			Debug.Notification("You lack the required item")
		Endif
		if DBM_CogCount.Value == 3
			GateBars.PlayAnimation("open")
			DBM_Excavation02.SetStage(105)
			Utility.wait(3)
			GateBars.Disable()
		Endif
	Endif
EndEvent