Scriptname DBM_HandofGloryScript extends ReferenceAlias  

Spell Property HandofGloryABIL Auto
Spell Property HandofGlorySPEL Auto
ImageSpaceModifier Property DBM_HandofFateLight Auto

Event OnEquipped(Actor akActor)

	if akActor == Game.GetPlayer()
		Game.GetPlayer().AddSpell(HandofGloryABIL)
		Game.GetPlayer().AddSpell(HandofGlorySPEL)
		DBM_HandofFateLight.Apply()
		GetOwningQuest().SetStage(10)
	endif
EndEvent

Event OnUnequipped(Actor akActor)
	if akActor == Game.GetPlayer()
		Game.GetPlayer().RemoveSpell(HandofGloryABIL)
		Game.GetPlayer().RemoveSpell(HandofGlorySPEL)
		DBM_HandofFateLight.Remove()
		GetOwningQuest().SetStage(5)
	EndIf
EndEvent		


