Scriptname DBM_IM_PlayerScript extends ReferenceAlias  

GlobalVariable Property DBM_IM_CharcoalCNT Auto
GlobalVariable Property DBM_IM_FittingsCNT Auto
GlobalVariable Property DBM_IM_HingeCNT Auto
GlobalVariable Property DBM_IM_GlassCNT Auto
GlobalVariable Property DBM_IM_IronIngotCNT Auto

MiscObject Property Charcoal Auto
MiscObject Property Fittings Auto
MiscObject Property Hinges Auto
MiscObject Property Glass Auto
MiscObject Property IngotIron Auto

Quest Property MyQuest Auto

FormList Property DBM_ImbuingList Auto

Event OnInit()
	AddInventoryEventFilter(DBM_ImbuingList)
EndEvent

Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
if MyQuest.GetStage() == 10
 if akBaseItem == Charcoal
		int CharcoalAMT = Game.GetPlayer().GetItemCount(Charcoal)
		DBM_IM_CharcoalCNT.SetValue(CharcoalAMT)
		if DBM_IM_CharcoalCNT.GetValue() > 5
			DBM_IM_CharcoalCNT.SetValue(5)
		endif
		MyQuest.UpdateCurrentInstanceGlobal(DBM_IM_CharcoalCNT)
		MyQuest.SetObjectiveDisplayed(1, 1, 1)
		if DBM_IM_CharcoalCNT.getValue() == 5
			MyQuest.SetObjectiveCompleted(1)
		endif
	elseif akBaseItem == Fittings
		int FittingsAMT = Game.GetPlayer().GetItemCount(Fittings)
		DBM_IM_FittingsCNT.SetValue(FittingsAMT)
		if DBM_IM_FittingsCNT.GetValue() > 6
			DBM_IM_FittingsCNT.SetValue(6)
		endif
		MyQuest.UpdateCurrentInstanceGlobal(DBM_IM_FittingsCNT)
		MyQuest.SetObjectiveDisplayed(2, 1, 1)
		if DBM_IM_FittingsCNT.getValue() == 6
			MyQuest.SetObjectiveCompleted(2)
		endif
	elseif akBaseItem == Glass
		int GlassAMT = Game.GetPlayer().GetItemCount(Glass)
		DBM_IM_GlassCNT.SetValue(GlassAMT)
		if DBM_IM_GlassCNT.GetValue() > 3
			DBM_IM_GlassCNT.SetValue(3)
		endif
		MyQuest.UpdateCurrentInstanceGlobal(DBM_IM_GlassCNT)
		MyQuest.SetObjectiveDisplayed(3, 1, 1)
		if DBM_IM_GlassCNT.getValue() == 3
			MyQuest.SetObjectiveCompleted(3)
		endif
	elseif akBaseItem == Hinges
		int HingeAMT = Game.GetPlayer().GetItemCount(Hinges)
		DBM_IM_HingeCNT.SetValue(HingeAMT)
		if DBM_IM_HingeCNT.GetValue() > 2
			DBM_IM_HingeCNT.SetValue(2)
		endif
		MyQuest.UpdateCurrentInstanceGlobal(DBM_IM_HingeCNT)
		MyQuest.SetObjectiveDisplayed(4, 1, 1)
		if DBM_IM_HingeCNT.getValue() == 2
			MyQuest.SetObjectiveCompleted(4)
		endif
	elseif akBaseItem == IngotIron
		int IngotIronAMT = Game.GetPlayer().GetItemCount(IngotIron)
		DBM_IM_ironIngotCNT.SetValue(IngotIronAMT)
		if DBM_IM_IronIngotCNT.GetValue() > 10
			DBM_IM_IronIngotCNT.SetValue(10)
		endif
		MyQuest.UpdateCurrentInstanceGlobal(DBM_IM_IronIngotCNT)
		MyQuest.SetObjectiveDisplayed(5, 1, 1)
		if DBM_IM_IronIngotCNT.getValue() == 10
			MyQuest.SetObjectiveCompleted(5)
		endif
	else
		return
	endif

	if DBM_IM_CharcoalCNT.getValue() == 5 && DBM_IM_FittingsCNT.GetValue() == 6 && DBM_IM_HingeCNT.GetValue() == 2 && DBM_IM_GlassCNT.GetValue() == 3 && DBM_IM_IronIngotCNT.GetValue() == 10
		MyQuest.SetObjectiveDisplayed(10)
	endif
endif
endevent

Event OnItemRemoved(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
if MyQuest.GetStage() == 10
 if akBaseItem == Charcoal
		int CharcoalAMT = Game.GetPlayer().GetItemCount(Charcoal)
		DBM_IM_CharcoalCNT.SetValue(CharcoalAMT)
		MyQuest.UpdateCurrentInstanceGlobal(DBM_IM_CharcoalCNT)
		MyQuest.SetObjectiveDisplayed(1, 0)
		MyQuest.SetObjectiveDisplayed(1, 1)
	elseif akBaseItem == Fittings
		int FittingsAMT = Game.GetPlayer().GetItemCount(Fittings)
		DBM_IM_FittingsCNT.SetValue(FittingsAMT)
		MyQuest.UpdateCurrentInstanceGlobal(DBM_IM_FittingsCNT)
		MyQuest.SetObjectiveDisplayed(2, 0)
		MyQuest.SetObjectiveDisplayed(2, 1)
	elseif akBaseItem == Glass
		int GlassAMT = Game.GetPlayer().GetItemCount(Glass)
		DBM_IM_GlassCNT.SetValue(GlassAMT)
		MyQuest.UpdateCurrentInstanceGlobal(DBM_IM_GlassCNT)
		MyQuest.SetObjectiveDisplayed(3, 0)
		MyQuest.SetObjectiveDisplayed(3, 1)
	elseif akBaseItem == Hinges
		int HingeAMT = Game.GetPlayer().GetItemCount(Hinges)
		DBM_IM_HingeCNT.SetValue(HingeAMT)
		MyQuest.UpdateCurrentInstanceGlobal(DBM_IM_HingeCNT)
		MyQuest.SetObjectiveDisplayed(4, 0)
		MyQuest.SetObjectiveDisplayed(4, 1)
	elseif akBaseItem == IngotIron
		int IngotIronAMT = Game.GetPlayer().GetItemCount(IngotIron)
		DBM_IM_ironIngotCNT.SetValue(IngotIronAMT)
		MyQuest.UpdateCurrentInstanceGlobal(DBM_IM_IronIngotCNT)
		MyQuest.SetObjectiveDisplayed(5, 0)
		MyQuest.SetObjectiveDisplayed(5, 1)
	endif
endif
endevent