Scriptname DBM_KegbreakerWatchScript extends Quest  

GlobalVariable Property KegbreakerHITS Auto
ImagespaceMOdifier Property Drunk01 Auto
ImagespaceMOdifier Property Drunk02 Auto
ImagespaceMOdifier Property Drunk03 Auto
ImagespaceMOdifier Property Drunk04 Auto
ImagespaceMOdifier Property Drunk05 Auto
ImagespaceMOdifier Property Drunk06 Auto
ImagespaceMOdifier Property FadeToBlackImod Auto
ImagespaceMOdifier Property FadeToBlackBackImod Auto

ReferenceAlias Property DrunkWakeHeading Auto

Event OnUpdateGameTime()
	KegbreakerHITS.Value -= 1
		If KegbreakerHITS.Value >= 5 && KegbreakerHITS.Value < 10
			Debug.Notification("You feel a little tipsy")
			Drunk01.Apply()
			Drunk02.Remove()
			Drunk03.Remove()
			Drunk04.Remove()
			Drunk05.Remove()
			Drunk06.Remove()
		ElseIf KegbreakerHITS.Value >= 10 && KegbreakerHITS.Value < 14
			Debug.Notification("You are inebriated")
			Drunk01.Remove()
			Drunk02.Apply()
			Drunk03.Remove()
			Drunk04.Remove()
			Drunk05.Remove()
			Drunk06.Remove()
		ElseIf KegbreakerHITS.Value >= 14 && KegbreakerHITS.Value < 18
			Debug.Notification("You are sloshed")
			Drunk01.Remove()
			Drunk02.Remove()
			Drunk03.Apply()
			Drunk04.Remove()
			Drunk05.Remove()
			Drunk06.Remove()
		ElseIf KegbreakerHITS.Value >= 18 && KegbreakerHITS.Value < 21
			Debug.Notification("You are totally hammered")
			Drunk01.Remove()
			Drunk02.Remove()
			Drunk03.Remove()
			Drunk04.Apply()
			Drunk05.Remove()
			Drunk06.Remove()
		ElseIf KegbreakerHITS.Value >= 21 && KegbreakerHITS.Value < 24
			Debug.Notification("You are three sheets to the wind")
			Drunk01.Remove()
			Drunk02.Remove()
			Drunk03.Remove()
			Drunk04.Remove()
			Drunk05.Apply()
			Drunk06.Remove()
		ElseIf KegbreakerHITS.Value >= 24
			Debug.Notification("You're blackout drunk")
			Drunk01.Apply()
			Drunk02.Apply()
			Drunk03.Apply()
			Drunk04.Apply()
			Drunk05.Apply()
			Drunk06.Apply()

			FadeToBlackImod.ApplyCrossFade(3)
			Game.GetPlayer().SheatheWeapon()
			ObjectReference DrunkWakeSpot = DrunkWakeHeading.GetRef()
			Game.GetPlayer().MoveTo(DrunkWakeSpot)
			KegbreakerHITS.Value = 0
			FadeToBlackBackImod.ApplyCrossFade(3)
			Debug.MessageBox("You've blacked out and have no recollection of getting where you are")
			Drunk06.Remove()
			Utility.wait(1)
			Drunk05.Remove()
			Utility.wait(1)
			Drunk04.Remove()
			Utility.wait(1)
			Drunk03.Remove()
			Utility.wait(1)
			Drunk02.Remove()
			Utility.wait(1)
			Drunk01.Remove()
		Endif


	if KegbreakerHITS.Value > 0
		RegisterForSingleUpdateGameTime(0.1)
	Elseif KegbreakerHITS.Value <= 0
		Drunk01.Remove()
		Drunk02.Remove()
		Drunk03.Remove()
		Drunk04.Remove()
		Drunk05.Remove()
		Drunk06.Remove()
		KegbreakerHITS.Value = 0
		RegisterForSingleUpdateGameTime(0.1)
	Endif
EndEvent
