Scriptname DBM_LALStartScript extends ObjectReference  

Message Property DBMLALMSG Auto
Book Property Guidebook Auto
MiscObject Property Gold001 Auto
Light Property Torch01 Auto
Book Property AuryenLetter Auto
Quest Property RelicHunterQST Auto
GlobalVariable Property DBM_MuseumStart Auto
Armor Property RHArmor Auto
Armor Property RHBoots Auto
Armor Property RHGloves Auto
Potion Property HealPot Auto
MiscObject Property Lockpicks Auto
Weapon Property Pickaxe Auto
Weapon Property SteelSword Auto
Armor Property ClothesFineBoots01 Auto
Armor Property ClothesFineClothes01 Auto
Armor Property ClothesFineHat02 Auto
GlobalVariable Property GameDaysPassed Auto

Event OnTriggerEnter(ObjectReference akActionRef)
	if akActionref == Game.GetPlayer()
		If Game.GetFormFromFile(0x000DAF,"Alternate Start - Live Another Life.esp") && GameDaysPassed.Value <= 2
			Debug.Trace("Alternate Start - Live Another Life located") 
			Int iButton = DBMLALMSG.Show()

			if iButton == 0
				;Relic hunter setup
				Game.GetPlayer().RemoveItem(ClothesFineBoots01, 1, abSilent = true)
				Game.GetPlayer().RemoveItem(ClothesFineClothes01, 1, abSilent = true)
				Game.GetPlayer().RemoveItem(ClothesFineHat02, 1, abSilent = true)

				Game.GetPlayer().AddItem(Guidebook, 1, absilent = true)
				Game.GetPlayer().AddItem(Pickaxe, 1, absilent = true)
				Game.GetPlayer().AddItem(Gold001, 500, absilent = true)
				Game.GetPlayer().AddItem(torch01, 5, absilent = true)
				Game.GetPlayer().AddItem(Lockpicks, 20, absilent = true)
				Game.GetPlayer().AddItem(HealPot, 5, absilent = true)
				Game.GetPlayer().AddItem(AuryenLetter, 1, absilent = true)
				Game.GetPlayer().AddItem(RHArmor, 1, absilent = true)
				Game.GetPlayer().EquipItem(RHArmor, absilent = true)
				Game.GetPlayer().AddItem(RHGloves, 1, absilent = true)
				Game.GetPlayer().EquipItem(RHGloves, absilent = true)
				Game.GetPlayer().AddItem(SteelSword, 1, absilent = true)
				Game.GetPlayer().EquipItem(SteelSword, absilent = true)
				Game.GetPlayer().AddItem(RHBoots, 1, absilent = true)
				Game.GetPlayer().EquipItem(RHBoots, absilent = true)
				DBM_MuseumStart.SetValue(1)
				RelicHUnterQST.SetStage(5)
				Self.Disable()
			elseif iButton == 1
				Self.Disable()
			Else 
				Debug.Trace("Alternate Start - Live Another Life is not currently running. Please ignore errors, these are normal") 
			endif
		Else
			Self.Disable()			
		endif
	endif
endevent

		