Scriptname DBM_MalrusStoneScript extends ReferenceAlias  

GlobalVariable Property DBM_RSCNT Auto
Sound Property UISkillsGlow Auto
ObjectReference Property Beam Auto
ObjectReference Property Hatch Auto
ObjectReference Property Shrine Auto
Quest Property DBM_MalrusCodexQST Auto
Int Property MyOBJ Auto

Event OnCellAttach()
	if DBM_MalrusCodexQST.IsObjectiveCompleted(MyOBJ) && GetState() == "OFF"
		Shrine.PlayAnimation("begin")
		Shrine.PlayAnimation("quickbegin")
		Beam.Enable(true)
	elseif !DBM_MalrusCodexQST.IsObjectiveCompleted(MyOBJ) && GetState() == "ON"
		Beam.Disable(true)
		Shrine.PlayAnimation("Stop")
		Shrine.PlayAnimation("quickStop")
	endif
EndEvent


Auto State OFF

Event OnActivate(ObjectReference akActionREF)
	if akActionREF == Game.GetPlayer()
		DBM_RSCNT.Value += 1
		GoToState("ON")
		UISkillsGlow.Play(Shrine)
		Shrine.PlayAnimation("begin")
		Shrine.PlayAnimation("quickbegin")
		Beam.Enable(true)
		DBM_MalrusCodexQST.SetObjectiveCompleted(MyOBJ)
	Endif
	If DBM_RSCNT.Value == 3
		Hatch.lock(False)
		DBM_MalrusCodexQST.SetStage(10)
	Endif
EndEvent

EndState

State ON
Event OnActivate(ObjectReference akActionREF)
	if akActionREF == Game.GetPlayer()
		DBM_RSCNT.Value -= 1
		GoToState("OFF")
		Beam.Disable(true)
		UISkillsGlow.Play(Shrine)
		Shrine.PlayAnimation("Stop")
		Shrine.PlayAnimation("quickStop")
		DBM_MalrusCodexQST.SetObjectiveCompleted(MyOBJ, False)
		DBM_MalrusCodexQST.SetObjectiveDisplayed(MyOBJ)
	Endif
	If DBM_RSCNT.Value < 3
		Hatch.lock(True)
	Endif
EndEvent

EndState

