Scriptname DBM_PersistenceControlScript extends ObjectReference  

Message Property DBM_PersistenceMSG Auto
GlobalVariable Property DBM_SortWait Auto
GlobalVariable Property Persistence Auto

Event OnActivate(ObjectReference akActionRef)
if DBM_SortWait.GetValue() == 1
	Debug.notification("Sorting in progress, please wait")
Elseif DBM_SortWait.GetValue() == 0
	if akActionRef == Game.GetPlayer()
		int MainBTN = DBM_PersistenceMSG.show()
		if MainBTN == 0 ; Turn System on
			if !DBM_Utils.getSharingEnabled()
             			SendModEvent("DBM_Message","startSharing")
				Debug.MessageBox("Persistence support enabled. You will have to do this for any character save you wish to have shared with one another.")
				Persistence.value = 1
            		endIf
        	Elseif MainBTN == 1 ; Turn system off
            		if DBM_Utils.getSharingEnabled()
                		SendModEvent("DBM_Message","stopSharing")
				Debug.MessageBox("Persistence support disabled")
				Persistence.value = 0
            		endIf
        	Elseif MainBTN == 2 ; cancel
		Endif
	Endif
Endif
EndEvent