Scriptname DBM_ReadingChairScript extends ObjectReference  

Message Property DBM_ReadChairMSG Auto
FormList Property BookList Auto

Auto State Waiting

Event OnActivate(ObjectReference akActionRef)
	if akActionRef == Game.GetPlayer()
		Game.ForceThirdPerson()
		Utility.Wait(3.5)
		int BTN = DBM_ReadChairMSG.show()
		if BTN == 0 ; Yes
			Debug.SendAnimationEvent(Game.GetPlayer(), "ChairReadingStart")
			Game.GetPlayer().Additem(BookList, 1, absilent = True)
			if Input.GetMappedKey("Quick Inventory") == -1 ;SKSE
				Debug.MessageBox("While sitting in this chair, all books in the library have been added to your inventory for easy reading. Use the Card Catalog on the middle floor to update the list of books available.")
			Else
				Input.TapKey(Input.GetMappedKey("Quick Inventory"))
			EndIf
			GoToState("Reading")
		Elseif BTN == 1 ; No
		Endif
	Endif
;	if akActionRef != Game.GetPlayer()
;		Debug.SendAnimationEvent(akActionRef, "ChairReadingStart")
;	Endif
EndEvent

EndState

State Reading
 
Event OnActivate(ObjectReference akActionRef)
	if akActionRef == Game.GetPlayer()
		Game.GetPlayer().RemoveItem(BookList, 1, absilent = true)
		GoToState("Waiting")
	Endif
EndEvent

EndState