Scriptname DBM_RkundTombScript extends ObjectReference  

Explosion Property DB10TrapFireTriggerExplosion01 Auto
ObjectReference Property Brazier1 Auto
ObjectReference Property Brazier2 Auto
ObjectReference Property Brazier3 Auto
ObjectReference Property Brazier4 Auto
ObjectReference Property Brazier5 Auto
ObjectReference Property Brazier6 Auto
ObjectReference Property Brazier7 Auto
ObjectReference Property Brazier8 Auto
ObjectReference Property Brazier9 Auto
ObjectReference Property Brazier10 Auto
ObjectReference Property Brazier11 Auto
ObjectReference Property Brazier12 Auto
ObjectReference Property Brazier13 Auto
ObjectReference Property Brazier14 Auto


Actor Property AuryenREF Auto
Actor Property LatoriaREF Auto
Actor Property ErianaREF Auto
Actor Property KyreREF Auto
Actor Property MadrasREF Auto
Actor Property MarassiREF Auto

ObjectReference Property SteamJets Auto
ObjectReference Property Smoke Auto
ObjectReference Property Head Auto
ObjectReference Property mydoor Auto

ObjectReference Property OzMark Auto

Sound Property DBM_EgglemanStepSND Auto

Scene Property MyScene1 Auto
Scene Property MyScene2 Auto

Sound Property RUMBLE Auto


Auto State AwaitTrigger

Event OnTriggerEnter(ObjectReference akTriggerRef)
	if akTriggerRef == Game.GetPlayer()
		GoToState("TriggerDone")
		
		AuryenREF.Moveto(OzMark)
		MadrasREF.Moveto(OzMark)
		MarassiREF.Moveto(OzMark)
		LatoriaREF.Moveto(OzMark)
		ErianaREF.Moveto(OzMark)
		KyreREF.Moveto(OzMark)

		Brazier1.Enable()
		Brazier1.PlaceAtMe(DB10TrapFireTriggerExplosion01)

		Brazier2.Enable()
		Brazier2.PlaceAtMe(DB10TrapFireTriggerExplosion01)

		Myscene1.Start()

		Utility.Wait(7)

		Brazier3.Enable()
		Brazier3.PlaceAtMe(DB10TrapFireTriggerExplosion01)

		Brazier4.Enable()
		Brazier4.PlaceAtMe(DB10TrapFireTriggerExplosion01)

		Utility.Wait(7)

		Brazier5.Enable()
		Brazier5.PlaceAtMe(DB10TrapFireTriggerExplosion01)

		Brazier6.Enable()
		Brazier6.PlaceAtMe(DB10TrapFireTriggerExplosion01)

		Utility.Wait(7)

		Brazier7.Enable()
		Brazier7.PlaceAtMe(DB10TrapFireTriggerExplosion01)

		Brazier8.Enable()
		Brazier8.PlaceAtMe(DB10TrapFireTriggerExplosion01)

		Utility.Wait(7)

		Brazier9.Enable()
		Brazier9.PlaceAtMe(DB10TrapFireTriggerExplosion01)

		Brazier10.Enable()
		Brazier10.PlaceAtMe(DB10TrapFireTriggerExplosion01)

		Utility.Wait(7)

		Brazier11.Enable()
		Brazier11.PlaceAtMe(DB10TrapFireTriggerExplosion01)

		Brazier12.Enable()
		Brazier12.PlaceAtMe(DB10TrapFireTriggerExplosion01)

		Utility.Wait(7)

		Brazier13.Enable()
		Brazier13.PlaceAtMe(DB10TrapFireTriggerExplosion01)

		Brazier14.Enable()
		Brazier14.PlaceAtMe(DB10TrapFireTriggerExplosion01)

		Utility.Wait(5)

		SteamJets.Enable()

		Utility.Wait(3)
		Smoke.Enable()
		Utility.Wait(2)
		Head.Enable(true)

		RUMBLE.play(Game.GetPlayer())
		Game.ShakeCamera(afStrength = 0.5, afduration = 3)

		Head.TranslateTo(1919.4791, 6.6634, 619.4243, 0.0, 46.9827, 90.0, 40.0, afMaxRotationSpeed = 10.0)	; forward
		utility.Wait(4)
		Head.TranslateTo(1919.4791, 6.6634, 619.4243, 28.8552, 38.8374, 131.3041, 30.0, afMaxRotationSpeed = 10.0)	; rotate1
		utility.Wait(4)
		Head.TranslateTo(1919.4791, 6.6634, 619.4243, -20.6833, 43.1791, 61.1134, 30.0, afMaxRotationSpeed = 10.0)	; rotate 2
		utility.Wait(4)
		Head.TranslateTo(1919.4791, 6.6634, 619.4243, 20.6265, 46.9827, 90.0, 20.0, afMaxRotationSpeed = 10.0)	; tilt1
		utility.Wait(4)
		Head.TranslateTo(1919.4791, 6.6634, 619.4243, -28.6476, 46.9827, 90.0, 20.0, afMaxRotationSpeed = 10.0)	; tilt2
		utility.Wait(4)
		Head.TranslateTo(1919.4791, 6.6634, 619.4243, 0.0, 46.9827, 90.0, 40.0, afMaxRotationSpeed = 10.0)	; forward
		utility.Wait(4)
		Head.TranslateTo(2023.9437, 6.6634, 619.4243, 0.0, 19.4806, 90.0, 40.0, afMaxRotationSpeed = 10.0)	; return
		utility.Wait(4)
		Head.Disable(true)
		Smoke.Disable(true)

		DBM_EgglemanStepSND.Play(Game.GetPlayer())
		MyDoor.PlayGameBryoAnimation("open")
		Utility.Wait(1)
		DBM_EgglemanStepSND.Play(Game.GetPlayer())
		Utility.Wait(1)
		DBM_EgglemanStepSND.Play(Game.GetPlayer())
		Utility.Wait(1)
		DBM_EgglemanStepSND.Play(Game.GetPlayer())
		Utility.Wait(1)
		DBM_EgglemanStepSND.Play(Game.GetPlayer())
		Utility.Wait(1)
		DBM_EgglemanStepSND.Play(Game.GetPlayer())
		Utility.Wait(1)
		DBM_EgglemanStepSND.Play(Game.GetPlayer())
		Utility.Wait(1)
		DBM_EgglemanStepSND.Play(Game.GetPlayer())
		SteamJets.Disable(true)

		MyScene2.Start()

	endif
endevent

EndState


State TiggerDone

EndState