Scriptname DBM_SandsTorchScript extends ObjectReference  

Actor Property PlayerRef Auto
Spell  Property ATPOWER Auto
GlobalVariable Property DBM_TorchStashed Auto
ObjectReference Property CharmBag Auto
Light Property DBM_Torch Auto

Event OnEquipped(Actor akActor)
  if akActor == PlayerRef
	PlayerRef.addspell (ATPOWER, abverbose = true)
  endif
endevent

Event OnUnequipped(Actor akActor)
  if akActor == PlayerRef
	PlayerRef.removespell (ATPOWER)
	if DBM_TorchStashed.Value == 1
		Game.GetPlayer().RemoveItem(DBM_Torch, absilent = true, akOtherContainer = CharmBag)
	Endif
  endif
endevent

Event OnContainerChanged(ObjectReference akNewContainer, ObjectReference akOldContainer)
	if akNewContainer == CharmBag
		DBM_TorchStashed.Value = 1		
	Endif
	if akOldContainer == Game.GetPlayer()
		PlayerRef.removespell (ATPOWER)
		DBM_TorchStashed.Value = 0
	Endif
EndEvent