Scriptname DBM_SocketScript extends ObjectReference  

Weapon Property SnowPrinceSpear Auto
ObjectReference Property SpearStore Auto
ObjectReference Property EX03L1 Auto
ObjectReference Property EX03L2 Auto
ObjectReference Property EX03L3 Auto
ObjectReference Property EX03L4 Auto
ObjectReference Property EX03L5 Auto
ObjectReference Property EX03L6 Auto
ObjectReference Property EX03LightBeam Auto
ObjectReference Property EX03Light Auto
ObjectReference Property EX03Secretdoor1 Auto

Sound Property MAGCloakOut Auto
Sound Property DBM_EX03SecretDoor Auto

int Property DoOnce Auto
Quest property MyQST Auto

Auto State Waiting

Event OnActivate(ObjectReference akActivator)
	if akactivator == Game.Getplayer()
		if Game.GetPlayer().GetItemCount(SnowPrinceSpear) == 1
			Game.GetPlayer().RemoveItem(SnowPrinceSpear, 1, akothercontainer = SpearStore)
			GetLinkedRef().Enable()

			Utility.wait(2)

			EX03L1.Enable()
			EX03L1.Playanimation("Unlock")
			MAGCloakOut.Play(Game.getplayer())
			Utility.Wait(2)

			EX03L2.Enable()
			EX03L2.Playanimation("Unlock")
			MAGCloakOut.Play(Game.getplayer())
			Utility.Wait(2)

			EX03L3.Enable()
			EX03L3.Playanimation("Unlock")
			MAGCloakOut.Play(Game.getplayer())
			Utility.Wait(2)

			EX03L4.Enable()
			EX03L4.Playanimation("Unlock")
			MAGCloakOut.Play(Game.getplayer())
			Utility.Wait(2)

			EX03L5.Enable()
			EX03L5.Playanimation("Unlock")
			MAGCloakOut.Play(Game.getplayer())
			Utility.Wait(2)

			EX03L6.Enable()
			EX03L6.Playanimation("Unlock")
			MAGCloakOut.Play(Game.getplayer())
			Utility.Wait(2)

			if DoOnce == 0
				MyQST.SetStage(230)
				DoOnce = 1
			Endif
			EX03Light.Enable(true)
			EX03LightBeam.Enable(True)
			EX03Secretdoor1.Playanimation("open")
			DBM_EX03SecretDoor.Play(EX03SecretDoor1)
			GoToState("Placed")
		Else
			Debug.Notification("You lack the required item")
		Endif
	Endif
Endevent

EndState

State Placed

Event OnActivate(ObjectReference akActivator)
	if akactivator == Game.Getplayer()
		if Spearstore.GetItemCount(SnowPrinceSpear) == 1
			SpearStore.Removeitem(SnowPrinceSpear, 1, akothercontainer = Game.GetPlayer())
			GetLinkedRef().Disable()
			EX03Light.Disable(true)
			EX03LightBeam.Disable(True)
			EX03L1.disable(true)
			EX03L2.disable(true)
			EX03L3.disable(true)
			EX03L4.disable(true)
			EX03L5.disable(true)
			EX03L6.disable(true)
		Endif
	Endif
EndEvent

EndState