Scriptname DBM_SoulExtractorScript extends ObjectReference  

Explosion Property DLC1VampiresBaneExplosion Auto
ObjectReference Property MyEffect Auto
ObjectReference Property MyEffect2 Auto

SoulGem Property SoulGemPettyFilled Auto
SoulGem Property SoulGemLesserFilled Auto
SoulGem Property SoulGemCommonFilled Auto
SoulGem Property SoulGemGreaterFilled Auto
SoulGem Property SoulGemGrandFilled Auto

Actor Property RelicHolder Auto

Int Soul
Int GemCnt
int SiphonNum

Event OnActivate(ObjectReference akActionRef)
	if akActionRef == Game.GetPlayer()
		GetLinkedRef().BlockActivation(true)
		Weapon DEWeapon = GetLinkedRef().GetNthForm(0) as Weapon
		GetLinkedRef().RemoveItem(DEWeapon, akothercontainer = RelicHolder)
		RelicHolder.EquipItem(DEWeapon, false, true)
		Soul = RelicHolder.GetAv("RightItemCharge") as int
;Debug.notification("Soul level is" + RelicHolder.GetAv("RightItemCharge") as int + " ")
		GemCNT = Soul / 250

		if Soul < 250
			RelicHolder.RemoveItem(DEWeapon, akOtherContainer = Game.GetPlayer())
			Debug.notification("This weapon doesn't have enough charge")
			MyEffect.Disable(true)
			Self.Disable()
		Else
			MyEffect2.Enable(true)
			Self.Disable()
			SiphonNum = GemCNT * 250
			Soul = Soul - SiphonNum
			RelicHolder.SetAv("RightItemCharge", Soul)
;Debug.notification("Soul level is" + RelicHolder.GetAv("RightItemCharge") as int + " ")
			GetLinkedRef().AddItem(SoulGemPettyFilled, GemCNT)

			While GetLinkedRef().GetItemCount(SoulGemPettyFilled) >= 2
				GetLinkedRef().Removeitem(SoulGemPettyFilled, 2)
				GetLinkedRef().Additem(SoulGemLesserFilled, 1)
			EndWhile
			While GetLinkedRef().GetItemCount(SoulGemLesserFilled) >= 2
				GetLinkedRef().Removeitem(SoulGemLesserFilled, 2)
				GetLinkedRef().Additem(SoulGemCommonFilled, 1)
			EndWhile
			While GetLinkedRef().GetItemCount(SoulGemCommonFilled) >= 2
				GetLinkedRef().Removeitem(SoulGemCommonFilled, 2)
				GetLinkedRef().Additem(SoulGemGreaterFilled, 1)
			EndWhile
			While GetLinkedRef().GetItemCount(SoulGemGreaterFilled) >= 3
				GetLinkedRef().Removeitem(SoulGemGreaterFilled, 3)
				GetLinkedRef().Additem(SoulGemGrandFilled, 2)
			EndWhile

			RelicHolder.RemoveItem(DEWeapon, 1) 			;akOtherContainer = Self.GetLinkedRef())
			Self.PlaceAtMe(DLC1VampiresBaneExplosion)
			MyEffect2.Disable(true)
			MyEffect.Disable(true)
		Endif
		GetLinkedRef().BlockActivation(false)
		Soul = 0

	Endif
EndEvent
		