Scriptname DBM_TouchstonePedestalScript extends ObjectReference  

ObjectReference Property ChimeLights Auto
MiscObject Property TouchStone Auto
Message Property DBM_TouchStoneMSG Auto
MiscOBject Property DBM_SEChime09 Auto

Sound Property DBM_ChimeC1SNDFX Auto
Sound Property DBM_ChimeD1SNDFX Auto
Sound Property DBM_ChimeE1SNDFX Auto
Sound Property DBM_ChimeF1SNDFX Auto
Sound Property DBM_ChimeG1SNDFX Auto
Sound Property DBM_ChimeA1SNDFX Auto
Sound Property DBM_ChimeB1SNDFX Auto
Sound Property DBM_ChimeC2SNDFX Auto
Sound Property DBM_ChimeFLSNDFX Auto


GlobalVariable Property ChimeBar01 Auto
GlobalVariable Property ChimeBar02 Auto
GlobalVariable Property ChimeBar03 Auto
GlobalVariable Property ChimeBar04 Auto
GlobalVariable Property ChimeBar05 Auto
GlobalVariable Property ChimeBar06 Auto

GlobalVariable CurChimeBar
GlobalVariable Property ChambersOpened Auto

Int ThroneState
int STG305
int STG291

Objectreference Property SecretDoor1 Auto
Objectreference Property SecretDoor2 Auto
Objectreference Property SecretDoor3 Auto
Objectreference Property SecretDoor4 Auto
Objectreference Property SecretDoor5 Auto
Objectreference Property SecretDoor6 Auto
Objectreference Property SecretDoor7 Auto
Objectreference Property ThroneBarrier Auto

FormList Property DBM_ChimesDisable Auto
FormList Property DBM_ChimesEnable Auto

ObjectReference CurSecretDoor

ObjectReference Property panelRef Auto
Objectreference property ThroneRef Auto
Quest Property MyQST Auto

Sound property DLC2OBJStoneRetractableStairsDownSND Auto

int STG280

Auto State Empty

Event OnActivate(Objectreference akActivator)
	If akActivator == Game.GetPlayer()
		If Game.Getplayer().getItemCount(TouchStone) == 1
			Game.GetPlayer().RemoveItem(TouchStone, 1)
			Self.PlayAnimation("PlaceBlue")
			Utility.wait(0.8)
			ChimeLights.Enable()
			GoToState("GemIn")
			if STG280 == 0
				MyQST.SetStage(280)
				STG280 = 1
			Endif
		Else
			Debug.Notification("You lack the required item")
		Endif
	Endif
EndEvent

EndState

State GemIn

Event OnActivate(Objectreference akActivator)
	If akActivator == Game.GetPlayer()
	
	int BTN = DBM_TouchStoneMSG.Show()
	if BTN == 0
		;activate chimes
		CurChimeBar = ChimeBar01
		Chimes()
		Utility.wait(0.5)
		CurChimeBar = ChimeBar02
		Chimes()
		Utility.wait(0.5)
		CurChimeBar = ChimeBar03
		Chimes()
		Utility.wait(0.5)
		CurChimeBar = ChimeBar04
		Chimes()
		Utility.wait(0.5)
		CurChimeBar = ChimeBar05
		Chimes()
		Utility.wait(0.5)
		CurChimeBar = ChimeBar06
		Chimes()

		if ChimeBar01.Value == 3 && ChimeBar02.value == 5 && ChimeBar03.value == 4 && ChimeBar04.value == 2 && ChimeBar05.value == 1 && ChimeBar06.value == 0
			CurSecretDoor = SecretDoor1
			ChambersOpened.Value += 1
			OpenVault()
		Elseif ChimeBar01.Value == 2 && ChimeBar02.value == 3 && ChimeBar03.value == 4 && ChimeBar04.value == 1 && ChimeBar05.value == 6 && ChimeBar06.value == 5
			CurSecretDoor = SecretDoor2
			ChambersOpened.Value += 1
			OpenVault()
		Elseif ChimeBar01.Value == 8 && ChimeBar02.value == 7 && ChimeBar03.value == 6 && ChimeBar04.value == 3 && ChimeBar05.value == 2 && ChimeBar06.value == 5
			CurSecretDoor = SecretDoor3
			ChambersOpened.Value += 1
			OpenVault()
		Elseif ChimeBar01.Value == 8 && ChimeBar02.value == 6 && ChimeBar03.value == 7 && ChimeBar04.value == 3 && ChimeBar05.value == 1 && ChimeBar06.value == 2
			CurSecretDoor = SecretDoor4
			ChambersOpened.Value += 1
			OpenVault()
		Elseif ChimeBar01.Value == 7 && ChimeBar02.value == 1 && ChimeBar03.value == 5 && ChimeBar04.value == 2 && ChimeBar05.value == 3 && ChimeBar06.value == 4
			CurSecretDoor = SecretDoor5
			ChambersOpened.Value += 1
			OpenVault()
		Elseif ChimeBar01.Value == 8 && ChimeBar02.value == 1 && ChimeBar03.value == 7 && ChimeBar04.value == 2 && ChimeBar05.value == 6 && ChimeBar06.value == 3
			CurSecretDoor = SecretDoor6
			ChambersOpened.Value += 1
			OpenVault()
		Elseif ChimeBar01.Value == 7 && ChimeBar02.value == 5 && ChimeBar03.value == 6 && ChimeBar04.value == 1 && ChimeBar05.value == 3 && ChimeBar06.value == 2
			if STG305 == 0
				MyQST.SetStage(305)
				STG305 = 1
			Endif
		if ThroneState == 0	
			ThroneRef.PlayGameBryoAnimation("Forward", true, afeaseintime = 1.0)
			DLC2OBJStoneRetractableStairsDownSND.Play(ThroneRef)
			CurSecretDoor = SecretDoor7
			OpenVault()
			ThroneBarrier.Disable()
			Utility.wait(2)
			PanelRef.SetOpen(false)
			ThroneState = 1
		Elseif ThroneState == 1
			PanelRef.SetOpen()
			ThroneRef.PlayGameBryoAnimation("Backward", true, afeaseintime = 1.0)
			DLC2OBJStoneRetractableStairsDownSND.Play(ThroneRef)
			CurSecretDoor = SecretDoor7
			OpenVault()
			ThroneBarrier.Enable()
			Utility.wait(2)
			ThroneState = 0
		Endif
		Elseif ChimeBar01.Value == 5 && ChimeBar02.value == 6 && ChimeBar03.value == 4 && ChimeBar04.value == 9 && ChimeBar05.value == 1 && ChimeBar06.value == 0
			if STG291 == 0
				MyQST.SetStage(291)
				STG291 = 1
			Endif
		Endif
	Elseif BTN == 1
			ResetChimes()
	Elseif BTN == 2
		Game.GetPlayer().AddItem(TouchStone, 1)
		Self.PlayAnimation("TakeBlue")
		ChimeLights.Disable()
		GoToState("Empty")
	Endif
	Endif
EndEvent

EndState

Function OpenVault()
			int OpenState = CurSecretDoor.GetOpenState()
			if (openState == 3 || openState == 4)
				CurSecretDoor.PlayAnimation("Open")
			Elseif (openState == 1 || openState == 2)
				CurSecretDoor.PlayAnimation("Close")
			Endif
			if ChambersOpened.value <= 1
				if MyQST.GetStage() == 281
					MyQST.SetStage(285)
				Endif
			Elseif ChambersOpened.value == 7
				MyQST.SetStage(290)
			Endif
			
EndFunction

Function ResetChimes()
	int Index = DBM_ChimesDisable.GetSize()
	While Index
		Index -= 1
		ObjectReference O
		O = DBM_ChimesDisable.GetAt(Index) as ObjectReference
		O.Disable()
	EndWhile
	Index = DBM_ChimesEnable.GetSize()
	While Index
		Index -= 1
		ObjectReference O
		O = DBM_ChimesEnable.GetAt(Index) as ObjectReference
		O.Enable()	
	EndWhile
	if ChimeBar01.Value == 9 || ChimeBar02.Value == 9 || ChimeBar03.Value == 9 || ChimeBar04.Value == 9 || ChimeBar05.Value == 9 || ChimeBar06.Value == 9
		Game.GetPlayer().Additem(DBM_SEChime09, 1)
	Endif
	ChimeBar01.Value = 0
	ChimeBar02.Value = 0
	ChimeBar03.Value = 0
	ChimeBar04.Value = 0
	ChimeBar05.Value = 0
	ChimeBar06.Value = 0
EndFunction

Function Chimes()
	if CurChimeBar.value == 1
		DBM_ChimeC1SNDFX.Play(self)
	Elseif CurChimeBar.value == 2
		DBM_ChimeD1SNDFX.Play(Self)
	Elseif CurChimeBar.value == 3
		DBM_ChimeE1SNDFX.Play(Self)
	Elseif CurChimeBar.value == 4
		DBM_ChimeF1SNDFX.Play(Self)
	Elseif CurChimeBar.value == 5
		DBM_ChimeG1SNDFX.Play(Self)
	Elseif CurChimeBar.value == 6
		DBM_ChimeA1SNDFX.Play(Self)
	Elseif CurChimeBar.value == 7
		DBM_ChimeB1SNDFX.Play(Self)
	Elseif CurChimeBar.value == 8
		DBM_ChimeC2SNDFX.Play(Self)
	Elseif CurChimeBar.value == 9
		DBM_ChimeFLSNDFX.Play(Self)
	Endif
EndFunction