Scriptname DBM_TranslateOnceScript extends ObjectReference  

Float Property PosX Auto
Float Property PosY Auto
Float Property PosZ Auto
Float Property AngX Auto
Float Property AngY Auto
Float Property AngZ Auto
Float Property SPD Auto

Explosion Property FallingDustExplosion01 Auto
Explosion Property DefaultWaterExplosion Auto

ObjectReference Property DustMark Auto
ObjectReference Property WaterMark Auto
ObjectReference Property MyActivator Auto

Quest Property MyQuest Auto

Sound Property Rumble Auto
Sound Property QSTUstengravRumble2DLPMSD Auto

Event OnActivate(ObjectReference akActionRef)
	MyActivator.Disable()
	QSTUstengravRumble2DLPMSD.Play(DustMark)
	DustMark.PlaceAtMe(FallingDustExplosion01)
	Utility.Wait(1)
	Self.TranslateTo(PosX, PosY, PosZ, AngX, AngY, AngZ, SPD, afMaxRotationSpeed = 30.0)
	Utility.Wait(2.7)
	RUMBLE.play(WaterMark)
	Game.ShakeCamera(afStrength = 0.5, afduration = 3)
	WaterMark.PlaceAtMe(FallingDustExplosion01)
	MyQuest.SetStage(50)
	
EndEvent

