Scriptname PDBM_SpiderDeckScript extends ObjectReference  

Perk Property SpiderDeckPerk Auto
;Spell Property SpiderAbility Auto
;Spell Property SpiderSpell Auto
;Spell Property SpiderDeckSpell Auto
Message Property DeckMSG Auto
GlobalVariable Property DBM_DeckCount Auto

Event OnContainerChanged(ObjectReference akNewContainer, ObjectReference akOldContainer)
  if akNewContainer == Game.GetPlayer()
	if DBM_DeckCount.GetValue() == 0
		Game.GetPlayer().SetActorValue("WeaponSpeedMult", 1.10)
		Game.GetPlayer().AddPerk(SpiderDeckPerk)
		;Game.GetPlayer().AddSpell(SpiderSpell)
		;Game.GetPlayer().AddSpell(SpiderAbility)

		DeckMSG.Show()
		DBM_DeckCount.SetValue(DBM_DeckCount.GetValue() + 1)
	elseif DBM_DeckCount.GetValue() >= 1
		DBM_DeckCount.SetValue(DBM_DeckCount.GetValue() + 1)
		Debug.Messagebox("You already have a Fate Deck in your inventory, no additional bonuses added")
	endif	

  elseif akOldContainer == Game.GetPlayer()
	Game.GetPlayer().SetActorValue("WeaponSpeedMult", 0)
	Game.GetPlayer().RemovePerk(SpiderDeckPerk)
	;Game.getPlayer().RemoveSpell(SpiderSpell)
	;Game.getPlayer().RemoveSpell(SpiderAbility)
	;Game.getPlayer().RemoveSpell(SpiderDeckSpell)
	DBM_DeckCount.SetValue(DBM_DeckCount.GetValue() - 1)
  endif
endevent

