Scriptname _DC_ClosetDressScript extends ObjectReference  

ObjectReference Property StandardCasual1 Auto
ObjectReference Property StandardCasual2 Auto
ObjectReference Property StandardFormal1 Auto
ObjectReference Property StandardFormal2 Auto
ObjectReference Property StandardSleep Auto
ObjectReference Property StandardSwim Auto

ObjectReference Property AdventureTravel Auto
ObjectReference Property AdventureArmor1 Auto
ObjectReference Property AdventureArmor2 Auto
ObjectReference Property AdventureArmor3 Auto
ObjectReference Property AdventureCeremonial Auto
ObjectReference Property AdventureHunting Auto

ObjectReference Property WorkSmithing Auto
ObjectReference Property WorkEnchanting Auto
ObjectReference Property WorkAlchemy Auto
ObjectReference Property WorkMerchant Auto
ObjectReference Property WorkFarm Auto
ObjectReference Property WorkMining Auto

Message Property ClosetMainMsg2 Auto
Message Property WorkClothesMsg2 Auto
Message Property StandardClothesMsg2 Auto
Message Property AdventureClothesMsg2 Auto

ObjectReference CurContainer

Event OnActivate(ObjectReference akActionRef)

	int BTN1 = ClosetMainMsg2.show()
		if BTN1 == 0   ; list work attire

					int BTN2 = WorkClothesMsg2.show()
					if BTN2 == 0  									; Smithing
						CurContainer = WorkSmithing
						EquipAttire(Game.GetPlayer())

					elseif BTN2 == 1								; Enchanting
						CurContainer = WorkEnchanting
						Equipattire(Game.GetPlayer())

					elseif BTN2 == 2								; Alchemy
						CurContainer = WorkAlchemy
						Equipattire(Game.GetPlayer())

					elseif BTN2 == 3								; Merchant
						CurContainer = WorkMerchant
						Equipattire(Game.GetPlayer())

					elseif BTN2 == 4								; Farm
						CurContainer = WorkFarm
						Equipattire(Game.GetPlayer())

					elseif BTN2 == 5								; Mining
						CurContainer = WorkMining
						Equipattire(Game.GetPlayer())
					elseif BTN2 == 6
						;cancel
					Endif

		elseif BTN1 == 1  ;   list Standard attire

					int BTN3 = StandardClothesMsg2.show()
					if BTN3 == 0  									; Casual1
						CurContainer = StandardCasual1
						Equipattire(Game.GetPlayer())

					elseif BTN3 == 1								; Casual2
						CurContainer = StandardCasual2
						Equipattire(Game.GetPlayer())

					elseif BTN3 == 2								; Formal1
						CurContainer = StandardFormal1
						Equipattire(Game.GetPlayer())

					elseif BTN3 == 3								; Formal2
						CurContainer = StandardFormal2
						Equipattire(Game.GetPlayer())

					elseif BTN3 == 4								; Sleep
						CurContainer = StandardSleep
						Equipattire(Game.GetPlayer())

					elseif BTN3 == 5								; Swim
						CurContainer = StandardSwim
						Equipattire(Game.GetPlayer())
					elseif BTN3 == 6
						;cancel
					Endif


		elseif BTN1 == 2  ;   list adventure attire

					int BTN4 = AdventureClothesMsg2.show()
					if BTN4 == 0  									; Armor1
						CurContainer = AdventureArmor1
						Equipattire(Game.GetPlayer())

					elseif BTN4 == 1								; Armor2
						CurContainer = AdventureArmor2
						Equipattire(Game.GetPlayer())

					elseif BTN4 == 2								; Armor3
						CurContainer = AdventureArmor3
						Equipattire(Game.GetPlayer())

					elseif BTN4 == 3								; Travel
						CurContainer = AdventureTravel
						Equipattire(Game.GetPlayer())

					elseif BTN4 == 4								; Hunting
						CurContainer = AdventureHunting
						Equipattire(Game.GetPlayer())

					elseif BTN4 == 5								; Ceremonial
						CurContainer = AdventureCeremonial
						Equipattire(Game.GetPlayer())
					elseif BTN4 == 6
						;cancel
					Endif
		Elseif BTN1 == 3 ; cancel
			;cancel
		Endif


endevent

Function EquipAttire(Actor Target)

	Int ItemCNT = CurContainer.GetNumItems()

	While ItemCNT
		Form MyArmor = CurContainer.GetNthForm(0) As Armor
		CurContainer.RemoveItem(MyArmor, akOthercontainer = Game.GetPlayer())
		Game.GetPlayer().EquipItem(MyArmor, absilent = true)
		ItemCNT -= 1
	EndWhile

EndFunction
