Scriptname DBM_AlvaroScript extends ObjectReference  

GlobalVariable Property DBM_Arcskill Auto
MiscObject Property NordicFragment Auto
MiscObject Property NordicKeystone Auto
MiscObject Property DwemerFragment Auto
MiscObject Property DwemerKeystone Auto
MiscObject Property FalmerFragment Auto
MiscObject Property FalmerKeystone Auto
Message Property DBM_AlvaroMenu Auto
FormList Property DBM_FragmentList Auto

Event OnEquipped(Actor akActor)
	if akActor == Game.GetPlayer()
		if Game.GetPlayer().GetItemCount(DBM_FragmentList) == 0
			Debug.Notification("You have no archeology fragments")
		Else
		int MyBTN = DBM_AlvaroMenu.Show()
		if MyBTN == 0 ; nordic
			Float Random = Utility.Randomfloat(0.0, 100.0)
				if Random <= DBM_ArcSkill.Value
					Game.GetPlayer().RemoveItem(NordicFragment, 2)
					Game.GetPlayer().AddItem(NordicKeystone, 1)
					Debug.Notification("Success!")
				Elseif Random > DBM_ArcSkill.Value
					Game.GetPlayer().RemoveItem(NordicFragment, 1)
					Debug.Notification("Excavation failed")
				Endif
		Elseif MyBTN == 1; Dwemer
			Float Random = Utility.Randomfloat(0.0, 100.0)
				if Random <= DBM_ArcSkill.Value
					Game.GetPlayer().RemoveItem(DwemerFragment, 2)
					Game.GetPlayer().AddItem(DwemerKeystone, 1)
					Debug.Notification("Success!")
				Elseif Random > DBM_ArcSkill.Value
					Game.GetPlayer().RemoveItem(DwemerFragment, 1)
					Debug.Notification("Excavation failed")
				Endif
		Elseif MyBTN == 2; Falmer
			Float Random = Utility.Randomfloat(0.0, 100.0)
				if Random <= DBM_ArcSkill.Value
					Game.GetPlayer().RemoveItem(FalmerFragment, 2)
					Game.GetPlayer().AddItem(FalmerKeystone, 1)
					Debug.Notification("Success!")
				Elseif Random > DBM_ArcSkill.Value
					Game.GetPlayer().RemoveItem(FalmerFragment, 1)
					Debug.Notification("Excavation failed")
				Endif
		Elseif MyBTN == 3; Cancel
		Endif
		Endif
	Endif
EndEvent