Scriptname DBM_ArmoryDisplayScript extends ObjectReference  

Weapon M
Armor N
ObjectReference O

GlobalVariable Property DBM_DisplayMax Auto
vdbm_datamanager Property DataMGR Auto
FormList DisplayList

FormList Property DBM_ArmoryIron Auto
FormList Property DBM_ArmorySteel Auto
FormList Property DBM_ArmoryFalmer Auto
FormList Property DBM_ArmoryNordic Auto
FormList Property DBM_ArmoryElven Auto
FormList Property DBM_ArmoryGlass Auto
FormList Property DBM_ArmoryOrcish Auto
FormList Property DBM_ArmoryDwarven Auto
FormList Property DBM_ArmoryBlades Auto
FormList Property DBM_ArmoryAncientNord Auto
FormList Property DBM_ArmoryForsworn Auto
FormList Property DBM_ArmoryStalhrim Auto
FormList Property DBM_ArmoryEbony Auto
FormList Property DBM_ArmoryDaedric Auto
FormList Property DBM_ArmoryDragon Auto
FormList Property DBM_ArmoryDawnguard Auto

GlobalVariable Property DBM_SortWait Auto

Auto State Waiting

Event OnActivate(ObjectReference akActionRef)

	if DBM_SortWait.GetValue() == 1
				Debug.messagebox("You must wait for the current sorting opperation to complete before using displays")
				Return
			Elseif DBM_SortWait.GetValue() == 0


	DBM_SortWait.Value = 1
	BlockActivation()
	Utility.Wait(1.0)
	GoToState("Sorting")

	DisplayList = DBM_ArmoryIron
	ResetDisplays()
	UpdateDisplay()
	RefreshCount()

	DisplayList = DBM_ArmorySteel
	ResetDisplays()
	UpdateDisplay()
	RefreshCount()
	
	DisplayList = DBM_ArmoryNordic
	ResetDisplays()
	UpdateDisplay()
	RefreshCount()
	
	DisplayList = DBM_ArmoryElven
	ResetDisplays()
	UpdateDisplay()
	RefreshCount()
	
	DisplayList = DBM_ArmoryGlass
	ResetDisplays()
	UpdateDisplay()
	RefreshCount()
	
	DisplayList = DBM_ArmoryOrcish
	ResetDisplays()
	UpdateDisplay()
	RefreshCount()
	
	DisplayList = DBM_ArmoryDwarven
	ResetDisplays()
	UpdateDisplay()
	RefreshCount()	

	DisplayList = DBM_ArmoryStalhrim
	ResetDisplays()
	UpdateDisplay()
	RefreshCount()	

	DisplayList = DBM_ArmoryEbony
	ResetDisplays()
	UpdateDisplay()
	RefreshCount()
	
	DisplayList = DBM_ArmoryDaedric
	ResetDisplays()
	UpdateDisplay()
	RefreshCount()
	
	DisplayList = DBM_ArmoryDragon
	ResetDisplays()
	UpdateDisplay()
	RefreshCount()
	
	DisplayList = DBM_ArmoryDawnguard
	ResetDisplays()
	UpdateDisplay()
	RefreshCount()
	
	DisplayList = DBM_ArmoryFalmer
	ResetDisplays()
	UpdateDisplay()
	RefreshCount()
	
	DisplayList = DBM_ArmoryForsworn
	ResetDisplays()
	UpdateDisplay()
	RefreshCount()
	
	DisplayList = DBM_ArmoryBlades
	ResetDisplays()
	UpdateDisplay()
	RefreshCount()
	
	DisplayList = DBM_ArmoryAncientNord
	ResetDisplays()
	UpdateDisplay()
	RefreshCount()
	
	BlockActivation(False)
	DBM_SortWait.Value = 0
	Debug.Notification("Armory Displaying Finished")
	GoToState("Waiting")

	Endif
EndEvent

EndState

State Sorting

Event OnActivate(ObjectReference akActionRef)
	debug.notification("Displaying items, please wait")
EndEvent

EndState


Function ResetDisplays()
	int Index = DisplayList.GetSize()
	While index
			Index -= 1
			O = DisplayList.GetAt(index) as Objectreference
			if O.GetBaseObject() as Weapon
				if O.IsEnabled()
					O.Disable()
						if DBM_Utils.getSharingEnabled()
							DBM_Utils.saveDisplayStatus(O)
						Endif
						DBM_DisplayMax.value -= 1
				Endif
			Elseif O.GetBaseObject() as Armor
				if O.IsEnabled()
					O.Disable()
						if DBM_Utils.getSharingEnabled()
							DBM_Utils.saveDisplayStatus(O)
						Endif
						DBM_DisplayMax.value -= 1
				Endif
			Endif
	EndWhile
EndFunction

Function UpdateDisplay()

	Int Index = DisplayList.GetSize()
	While index
			Index -= 1
			O = DisplayList.GetAt(index) as Objectreference
			if O.GetBaseObject() as Weapon
				M = O.GetBaseObject() as Weapon
				if Self.GetItemCount(M) >= 1
					O.Enable()
					if DBM_Utils.getSharingEnabled()
						DBM_Utils.saveDisplayStatus(O)
					Endif
				Endif
			Elseif O.GetBaseObject() as Armor
				N = O.GetBaseObject() as Armor
				if Self.GetItemCount(N) >= 1
					O.Enable()
					if DBM_Utils.getSharingEnabled()
						DBM_Utils.saveDisplayStatus(O)
					Endif
				Endif
			Endif
	EndWhile
			if DBM_Utils.getSharingEnabled()
				DataMGR.EnableActiveDisplays()
			Endif
EndFunction


Function RefreshCount()
	Int Index = DisplayList.GetSize()			
	While index
			Index -= 1
			O = DisplayList.GetAt(index) as Objectreference
				if O.Isenabled()
					DBM_DisplayMax.Value += 1
				Endif

	EndWhile
EndFunction