Scriptname DBM_ArmoryRackScriptB2 extends ObjectReference  

ObjectReference Property ARMORYSTORE002 Auto

FormList Property ArmorLightList Auto
FormList Property ArmorHeavyList Auto
FormList Property BootLightList Auto
FormList Property BootHeavyList Auto
FormList Property GloveLightList Auto
FormList Property GloveHeavyList Auto
FormList Property HelmLightList Auto
FormList Property HelmHeavyList Auto

Message Property ChoiceMSG Auto

GlobalVariable Property DBM_DisplayMAX Auto
GlobalVariable Property DBM_SortWait Auto

FormList MyArmorList
Armor A
ObjectReference O
Int Index
Bool DisplayReady

Event OnActivate(ObjectReference akActionRef)
	if akActionRef == Game.GetPlayer()
	if DBM_SortWait.GetValue() == 1
				Debug.messagebox("You must wait for the current sorting opperation to complete before using displays")
				Return
			Elseif DBM_SortWait.GetValue() == 0

		int ChoiceBTN = ChoiceMSG.show()
		if ChoiceBTN == 0 ; Light armor
		
		MyArmorList = ArmorLightList
		DisplayArmor()

		MyArmorList = BootLightList
		DisplayArmor()

		MyArmorList = GloveLightList
		DisplayArmor()

		MyArmorList = HelmLightList
		DisplayArmor()


		elseif ChoiceBTN == 1 ; heavy armor

		MyArmorList = ArmorHeavyList
		DisplayArmor()

		MyArmorList = BootHeavyList
		DisplayArmor()

		MyArmorList = GloveHeavyList
		DisplayArmor()

		MyArmorList = HelmHeavyList
		DisplayArmor()

		Endif
		Endif
	endif
EndEvent

Function DisplayArmor()
			Index = MyArmorList.GetSize()
			DisplayReady = true

			While Index
				Index -= 1
				O = MyArmorList.GetAt(Index) as objectreference
				if O.Isenabled()
					DisplayReady = false
				Endif
			EndWhile	

		if DisplayReady == True
			Index = MyArmorList.GetSize()
			While Index
				Index -= 1
				O = MyArmorList.GetAt(Index) as objectreference
				A = O.GetBaseObject() as Armor
				if Game.GetPlayer().GetItemCount(A) && ARMORYSTORE002.GetItemCount(A) == 0 && Game.GetPlayer().IsEquipped(A) == 0 && O.IsDisabled() && Game.IsObjectFavorited(A) == False
					Game.GetPlayer().RemoveItem(A, 1, akOtherContainer = ARMORYSTORE002)
					O.Enable()
					if DBM_Utils.getSharingEnabled()
						DBM_Utils.saveDisplayStatus(O)
					Endif
					DBM_DisplayMax.Value += 1
					Index = 0
				Endif
			EndWhile
		Endif
EndFunction