ScriptName DBM_BookSortScript Extends ObjectReference

Import StringUtil
Import Game
Import Utility
Import Debug

ObjectReference Property BookReturn Auto
ObjectReference Property AGShelf Auto
ObjectReference Property HLShelf Auto
ObjectReference Property MRShelf Auto
ObjectReference Property SZShelf Auto
ObjectReference Property SpellShelf Auto
ObjectReference Property SkillShelf Auto
ObjectReference Property NumShelf Auto
ObjectReference Property NoteStore Auto
ObjectReference Property JournalStore Auto
ObjectReference Property RecipeStore Auto
ObjectReference Property ScrollStore Auto
ObjectReference Property TransferBox Auto
ObjectReference Property Displaychest Auto

Keyword Property VendorItemJournal Auto
Keyword Property VendorItemNote Auto
Keyword Property VendorItemScroll Auto
Keyword Property VendorItemRecipe Auto

Int TotalCNT

Book CurBook
String MyLetter
String NameCheck

ObjectReference CurContainer

Int ItmCnt

Auto State Waiting

Event OnActivate(ObjectReference akActionRef)
    If AkActionRef == Game.GetPlayer()
	 Debug.Notification("Book Sorting Begun")
	GoToState("Sorting")
    While BookReturn.GetNthForm(0) != None
        CurBook = BookReturn.GetNthForm(0) as book
        NameCheck = GetNthChar(CurBook.GetName(),0)
	 Spell MySpell = CurBook.GetSpell()
	 Int MySkill = CurBook.GetSkill()
	If CurBook.HasKeyword(VendorItemNote)
		 BookReturn.RemoveItem(CurBook, 1, False, NoteStore)
		;Debug.notification("Note placed")
	ElseIf CurBook.HasKeyword(VendorItemJournal)
		 BookReturn.RemoveItem(CurBook, 1, False, JournalStore)
		;Debug.notification("Journal placed")
	ElseIf CurBook.HasKeyword(VendorItemRecipe)
		 BookReturn.RemoveItem(CurBook, 1, False, RecipeStore)
		;Debug.notification("Recipe placed")
	 ElseIf CurBook.GetSpell() != NONE
		 BookReturn.RemoveItem(CurBook, 1, False, SpellShelf)
		;Debug.notification("Spellbook placed")
	 Elseif MySkill != 0
		 BookReturn.RemoveItem(CurBook, 1, False, SkillShelf)
		;Debug.notification("API returned" + CurBook.GetSkill() + " ") ;------------------------------------------------------
        Elseif (NameCheck == "1") || (NameCheck == "2") || (NameCheck == "3") || (NameCheck == "4") || (NameCheck == "5") || (NameCheck == "6") || (NameCheck == "7") || (NameCheck == "8") || (NameCheck == "9") || (NameCheck == "0")
                BookReturn.RemoveItem(CurBook, 1, False, NumShelf)
		;Debug.notification("A to G placed")
        Elseif (NameCheck == "A") || (NameCheck == "B") || (NameCheck == "C") || (NameCheck == "D") || (NameCheck == "E") || (NameCheck == "F") || (NameCheck == "G")
                BookReturn.RemoveItem(CurBook, 1, False, AGShelf)
		;Debug.notification("A to G placed")
        Elseif (NameCheck == "H") || (NameCheck == "I") || (NameCheck == "J") || (NameCheck == "K") || (NameCheck == "L")
                BookReturn.RemoveItem(CurBook, 1, False, HLShelf)
		;Debug.notification("H to L placed")
        Elseif (NameCheck == "M") || (NameCheck == "N") || (NameCheck == "O") || (NameCheck == "P") || (NameCheck == "Q") || (NameCheck == "R")
                BookReturn.RemoveItem(CurBook, 1, False, MRShelf)
		;Debug.notification("M to R placed")
        Elseif (NameCheck == "S") || (NameCheck == "T") || (NameCheck == "U") || (NameCheck == "V") || (NameCheck == "W") || (NameCheck == "X") || (NameCheck == "Y") || (NameCheck == "Z")
                BookReturn.RemoveItem(CurBook, 1, False, SZShelf)
		;Debug.notification("S to Z placed")
        Else
            BookReturn.RemoveItem(CurBook, 1, True, TransferBox)
		;Debug.notification("Reject placed placed")
        EndIf
    EndWhile

        TransferBox.RemoveAllItems(akTransferTo = BookReturn)

        Debug.Notification("All Done Sorting")
	 GoToState("Waiting")
    EndIf
EndEvent

EndState

State Sorting
	Event OnActivate(ObjectReference akActionRef)
		Debug.notification("Sorting books, please wait")
	EndEvent
EndState