Scriptname DBM_CatapultScript extends ObjectReference  

Int Property TICKS Auto
Actor Property SOLDIER Auto

Function KeepFiringAssholes()                
	RegisterForUpdate(TICKS) ; Before we can use OnUpdate() we must register.
EndFunction
 
Event OnCellAttach()
	KeepFiringAssholes()
endevent

Event OnCellDetach()
	UnRegisterForUpdate()
endevent

Event OnUpdate() ; This event occurs every TICKS seconds
	if Self.getDistance(SOLDIER)<=500	
		Self.Activate(Self) ; fire
		Utility.Wait(TICKS)
		Self.Activate(Self) ; reload		
	endif
		KeepFiringAssholes()
EndEvent