Scriptname DBM_CharmBagMISCScript extends ObjectReference  

ObjectReference Property CharmBag Auto
Message Property DBM_ToolBagOptionsMSG Auto
Message Property DBM_ToolBagRelicsMSG Auto

MiscObject Property DBM_SSextant Auto
Light Property DBM_Torch Auto
MiscObject Property DBM_AlvaroTools Auto
Book Property DBM_MalrusCodex Auto
Armor Property DBM_MerrianSpyglass Auto
MiscObject Property DBM_PickyBeacon Auto
Quest Property DBM_SextantHandler Auto
GlobalVariable Property DBM_ArcSkill Auto
GlobalVariable Property DBM_TorchStashed Auto
GlobalVariable Property DBM_SpyglassStashed Auto
Spell Property DBM_MalrusMenuPower Auto
DBM_PickyBeaconControl2 Property Beacon Auto
DBM_AlvaroScript Property Tools Auto

Event OnEquipped(Actor akActor)
	if akActor == Game.GetPlayer()
		int BTN = DBM_ToolBagOptionsMSG.Show()
		if BTN == 0 ; use bag
			Debug.Messagebox("Exit inventory to open tool bag")
			Utility.wait(0.2)
			Charmbag.Activate(Game.GetPlayer())
		Elseif BTN == 1; tools
			int BTN2 = DBM_ToolBagRelicsMSG.Show()
				if BTN2 == 0 ;Sextant
					if DBM_ArcSkill.value < 10
						Debug.Notification("You are not skilled enough to use this yet")
					Else
						DBM_SextantHandler.SetStage(5)
					Endif
				elseif BTN2 == 1 ;torch 
					CharmBag.RemoveItem(DBM_Torch, 1, absilent = true, akOtherContainer = Game.GetPlayer())
					Game.GetPlayer().EquipItem(DBM_Torch)
					DBM_TorchStashed.Value = 1
				elseif BTN2 == 2 ;torchAlvaro's
					Tools.OnEquipped(Game.GetPlayer())
				elseif BTN2 == 3 ;Codex
					DBM_MalrusMenuPower.Cast(Game.GetPlayer(), Game.GetPlayer())
				elseif BTN2 == 4 ;spyglass
					CharmBag.RemoveItem(DBM_MerrianSpyglass, 1, absilent = true, akOtherContainer = Game.GetPlayer())
					Game.GetPlayer().EquipItem(DBM_MerrianSpyglass)
					DBM_SpyglassStashed.Value = 1
				elseif BTN2 == 5 ;Beacon
					Beacon.OnEquipped(Game.GetPlayer())
				elseif BTN2 == 6 ;Cancel	
			endif
		Endif
	Endif
EndEvent