Scriptname DBM_ExcavateScript extends ObjectReference  

LeveledItem property DBMGemListEX Auto
LeveledItem Property FragmentList Auto
LeveledItem Property KeystoneList Auto
int Random
Idle Property IdleChiselKneelingExit Auto
Weapon Property LucaPick Auto
GlobalVariable Property DBM_ArcSkill Auto
Sound Property UILevelUp Auto
GlobalVariable Property DBM_ArcPerkToSpend Auto
Perk Property DBM_ArcPerkExcavator1 Auto
Perk Property DBM_ArcPerkExcavator2 Auto
Perk Property DBM_ArcPerkExcavator3 Auto
GlobalVariable Property DigMessage Auto
Int KScnt 
MiscObject Property Keystone Auto
String Property SiteName Auto
LeveledItem FOS_LItemFossilTierOneyum
Int DoOnce
Message Property DBM_FirstPerkMSG Auto
GlobalVariable Property GameDaysPassed Auto

Int ResetDay = 0

Auto State Ready

Event OnActivate(ObjectReference akActionref)
if Game.GetPlayer().IsInCombat() == False
	if akActionRef == Game.GetPlayer()
		KScnt = Game.GetPlayer().GetItemCount(Keystone)
		if DigMessage.getValue() == 0
			Debug.Messagebox("Excavation sites will yield fragments and ocassionally keystones which can be used at archaeology stations to create artifacts.")
			DigMessage.SetValue(1)
		Endif
		GoToState("Waiting")
		GetLinkedRef().Activate(akActionRef)
		Utility.Wait(5)
		
;----------------------------------- LUCA'S PICKAXE ADDED FRAGMENTS --------------------------------------		
		if Game.GetPlayer().GetItemCount(LucaPick) == 1
;;;debug.notification("Luca's pick found")		
			Random = Utility.RandomInt(0, 100)
			if Random <= 25
				Game.GetPlayer().Additem(FragmentList, 1, absilent = True)
				Debug.Notification("1 " + SiteName + " Fragment found")
			Endif
			Random = Utility.RandomInt(0, 100)
			if Random <= 5
				Game.GetPlayer().Additem(KeystoneList, 1, absilent = True)
				utility.wait(0.2)
				if Game.GetPlayer().GetItemCount(KeyStone) > KScnt
					Debug.Notification("1 " + SiteName + " Keystone found")
					KScnt = Game.GetPlayer().GetItemCount(KeyStone)
				Endif
			Endif
		Endif
;----------------------------------- PERK ADDED FRAGMENTS --------------------------------------
		Utility.Wait(0.2)
		Random = Utility.RandomInt(0, 100)
		if Game.GetPlayer().HasPerk(DBM_ArcPerkExcavator3)
;;;debug.notification("ex3 found")
			(game.getPlayer()).addItem(FragmentList, 3, absilent = True)
			Debug.Notification("3 " + SiteName + " Fragments found")
			if Random <= 30
				(game.getPlayer()).addItem(KeystoneList, 1, absilent = True)
				utility.wait(0.2)
				if Game.GetPlayer().GetItemCount(KeyStone) > KScnt
					Debug.Notification("1 " + SiteName + " Keystone found")
					KScnt = Game.GetPlayer().GetItemCount(KeyStone)
				Endif				
			Endif
		elseif Game.GetPlayer().HasPerk(DBM_ArcPerkExcavator2)
;;;debug.notification("ex2 found")
			(game.getPlayer()).addItem(FragmentList, 2, absilent = True)
			Debug.Notification("2 " + SiteName + " Fragments found")
			if Random <= 25
				(game.getPlayer()).addItem(KeystoneList, 1, absilent = True)
				utility.wait(0.2)
				if Game.GetPlayer().GetItemCount(KeyStone) > KScnt
					Debug.Notification("1 " + SiteName + " Keystone found")
					KScnt = Game.GetPlayer().GetItemCount(KeyStone)
				Endif				
			Endif
		elseif Game.GetPlayer().HasPerk(DBM_ArcPerkExcavator1)
;;;debug.notification("ex1 found")
			(game.getPlayer()).addItem(FragmentList, 1, absilent = True)
			Debug.Notification("1 " + SiteName + " Fragment found")			
			if Random <= 20
				(game.getPlayer()).addItem(KeystoneList, 1, absilent = True)
				utility.wait(0.2)
				if Game.GetPlayer().GetItemCount(KeyStone) > KScnt
					Debug.Notification("1 " + SiteName + " Keystone found")
					KScnt = Game.GetPlayer().GetItemCount(KeyStone)
				Endif			
			Endif
		Endif

;----------------------------------- STANDARD ADDED FRAGMENTS --------------------------------------		
	Utility.Wait(0.2)	
	Random = Utility.RandomInt(2, 4)
;;;debug.notification("Adding standard fragments")
	Game.GetPlayer().AddItem(FragmentList, Random, absilent = True)
	Debug.Notification(" " + Random + " " + SiteName + " Fragments found")
	Game.GetPlayer().AddItem(KeyStoneList, 1, absilent = True)
	utility.wait(0.2)
	if Game.GetPlayer().GetItemCount(KeyStone) > KScnt
		Debug.Notification("1 " + SiteName + " Keystone found")
		KScnt = Game.GetPlayer().GetItemCount(KeyStone)
	Endif	
	Game.GetPlayer().AddItem(DBMGemListEx, 1)
	Utility.Wait(3)
	Self.Disable()
	Game.GetPlayer().PlayIdle(IdleChiselKneelingExit)
	Debug.Notification("Dig site is exhausted")			
	Int RD = Utility.RandomInt(10,15)
	ResetDay = (GameDaysPassed.Value + RD) as Int

;----------------------------------- FOSSIL MOD SUPPORT --------------------------------------		
	
int I = Game.GetModByName("Fossilsyum.esp")
	if I != 255	
	if DoOnce == 0
		FOS_LItemFossilTierOneyum = Game.GetFormFromFile(0x003C77,"Fossilsyum.esp") as leveleditem
		DoOnce = 1
	Endif
	Random = Utility.RandomInt(0, 100)
		if Random <= 10
			Game.GetPlayer().Additem(FOS_LItemFossilTierOneyum, 1)
		Endif
	Endif

	
	
	
;----------------------------------- ARC LEVEL UP --------------------------------------		
	
DBM_ArcSkill.Value += 1
		Utility.Wait(0.2)
		Debug.Notification("Your Archeology Skill has increased to " + DBM_ArcSkill.Value as int + "" ) 
		if DBM_ArcSkill.Value == 5
			PerkUp()
			DBM_FirstPerkMSG.Show()
		elseif DBM_ArcSkill.Value == 10
			PerkUp()
		elseif DBM_ArcSkill.Value == 15
			PerkUp()
		elseif DBM_ArcSkill.Value == 20
			PerkUp()
		elseif DBM_ArcSkill.Value == 25
			PerkUp()
		elseif DBM_ArcSkill.Value == 30
			PerkUp()
		elseif DBM_ArcSkill.Value == 35
			PerkUp()
		elseif DBM_ArcSkill.Value == 40
			PerkUp()
		elseif DBM_ArcSkill.Value == 45
			PerkUp()
		elseif DBM_ArcSkill.Value == 50
			PerkUp()
		elseif DBM_ArcSkill.Value == 55
			PerkUp()
		elseif DBM_ArcSkill.Value == 60
			PerkUp()
		elseif DBM_ArcSkill.Value == 65
			PerkUp()
		elseif DBM_ArcSkill.Value == 70
			PerkUp()
		elseif DBM_ArcSkill.Value == 75
			PerkUp()
		elseif DBM_ArcSkill.Value == 80
			PerkUp()
		elseif DBM_ArcSkill.Value == 85
			PerkUp()
		elseif DBM_ArcSkill.Value == 90
			PerkUp()
		elseif DBM_ArcSkill.Value == 95
			PerkUp()
		elseif DBM_ArcSkill.Value == 100
			PerkUp()
		Endif


	Endif
Else
	Debug.Notification("You are in combat")
	GotoState("Ready")
Endif	
EndEvent

EndState

State Waiting

EndState

Event OnCellAttach()
	if Self.IsDisabled() && ResetDay < GameDaysPassed.GetValue()
		Self.Enable()
		GoToState("Ready")
	endif
EndEvent

Function PerkUp()
		DBM_ArcPerkToSpend.Value += 1
		Debug.Messagebox("You have gained an Archaeology Perk Point!")
		UILevelUp.Play(Game.GetPlayer())
EndFunction