Scriptname DBM_ExplorerRelicFinder extends ReferenceAlias  
{A simplified handler for the Explorer Relics}

Quest Property DBM_ExplorerRelicFindQST Auto

Formlist Property DBM_ExplorerRelics Auto
{All relics on this list.}

MiscObject Property DBM_KamahlMap Auto
{Kamahl's Map}
Bool bMap

MiscObject Property DBM_SSextant Auto
{0 Schnider's Sextant}
Bool bSextant

Light Property DBM_Torch Auto
{1 Sand's Torch}
Bool bTorch

Armor Property DBM_DeanoPack Auto
{2 Deano's Pack}
Bool bPack

MiscObject Property DBM_AlvaroTools Auto
{3 Alvaro's Tools}
Bool bTools

Key Property DBM_AlekseyKey Auto
{4 Aleksey's Key}
Bool bKey

Weapon Property DBM_LucasPick Auto
{5 Lucas' Pickaxe}
Bool bPickaxe

Armor Property DBM_MerrianSpyGlass Auto
{6 Merrian's Spyglass}
Bool bSpyglass

Book Property DBM_MalrusCodex Auto
{7 Malrus Codex - JCBQ}
Bool bCodex

Armor Property DBM_JestoCloak Auto
{8 Sir Jesto's Cloak}
Bool bCloak

Book Property DBM_SanamiaJournal1 Auto
{9 Sanamia's Journal 1}
Bool bJournal1

Book Property DBM_SanamiaJournal2 Auto
{10 Sanamia's Journal 2}
Bool bJournal2

Book Property DBM_SanamiaJournal3 Auto
{11 Sanamia's Journal 3}
Bool bJournal3

Book Property DBM_SanamiaJournal4 Auto
{12 Sanamia's Journal 4}
Bool bJournal4

Book Property DBM_SanamiaJournal5 Auto
{13 Sanamia's Journal 5}
Bool bJournal5

Book Property DBM_SanamiaJournal6 Auto
{14 Sanamia's Journal 6}
Bool bJournal6

MiscObject Property DBM_PickyBeacon Auto
{15 Picky's Beacon}
Bool bBeacon

MiscObject Property DBM_PickyResonator Auto
{16 Picky's Resonator}
Bool bResonator

MiscObject Property DBM_ArkaynToolBag Auto
{17 Arkayn's Tool Bag}
Bool bToolBag

Int RelicTotal ;Total number of relics in FList

Event OnInit()
	RelicTotal = DBM_ExplorerRelics.GetSize()
	AddInventoryEventFilter(DBM_ExplorerRelics)
EndEvent

Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
	
	if akBaseItem == DBM_SSextant && !bSextant
		bSextant = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(0)
		RelicTotal -= 1
	elseif akBaseItem == DBM_Torch && !bTorch
		bTorch = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(1)
		RelicTotal -= 1
	elseif akBaseItem == DBM_DeanoPack && !bPack
		bPack = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(2)
		RelicTotal -= 1
	elseif akBaseItem == DBM_AlvaroTools && !bTools
		bTools = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(3)
		RelicTotal -= 1
	elseif akBaseItem == DBM_AlekseyKey && !bKey
		bKey = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(4)
		RelicTotal -= 1
	elseif akBaseItem == DBM_LucasPick && !bPickaxe
		bPickaxe = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(5)
		RelicTotal -= 1
	elseif akBaseItem == DBM_MerrianSpyGlass && !bSpyglass
		bSpyglass = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(6)
		RelicTotal -= 1
	elseif akBaseItem == DBM_MalrusCodex && !bCodex
		bCodex = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(7)
		RelicTotal -= 1
	elseif akBaseItem == DBM_JestoCloak && !bCloak
		bCloak = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(8)
		RelicTotal -= 1
	elseif akBaseItem == DBM_SanamiaJournal1 && !bJournal1
		bJournal1 = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(9)
		RelicTotal -= 1
	elseif akBaseItem == DBM_SanamiaJournal2 && !bJournal2
		bJournal2 = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(10)
		RelicTotal -= 1
	elseif akBaseItem == DBM_SanamiaJournal3 && !bJournal3
		bJournal3 = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(11)
		RelicTotal -= 1
	elseif akBaseItem == DBM_SanamiaJournal4 && !bJournal4
		bJournal4 = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(12)
		RelicTotal -= 1
	elseif akBaseItem == DBM_SanamiaJournal5 && !bJournal5
		bJournal5 = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(13)
		RelicTotal -= 1
	elseif akBaseItem == DBM_SanamiaJournal6 && !bJournal6
		bJournal6 = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(14)
		RelicTotal -= 1
	elseif akBaseItem == DBM_PickyBeacon && !bBeacon
		bBeacon = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(15)
		RelicTotal -= 1
	elseif akBaseItem == DBM_PickyResonator && !bResonator
		bResonator = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(16)
		RelicTotal -= 1
	elseif akBaseItem == DBM_ArkaynToolBag && !bToolbag
		bToolBag = True
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(17)
		RelicTotal -= 1
	elseif akBaseItem == DBM_KamahlMap && !bMap
		bMap = TRUE
		CompleteCheck()
	EndIf
	if RelicTotal == 0
		DBM_ExplorerRelicFindQST.SetStage(10)
	endif
EndEvent

Function CompleteCheck()
	Utility.Wait(0.5)
	if bSextant
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(0)
	endif
	if bTorch
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(1)
	endif
	if bPack
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(2)
	endif
	if bTools
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(3)
	endif
	if bKey
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(4)
	endif
	if bPickaxe
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(5)
	endif
	if bSpyglass
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(6)
	endif
	if bCodex
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(7)
	endif
	if bCloak
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(8)
	endif
	if bJournal1
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(9)
	endif
	if bJournal2
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(10)
	endif
	if bJournal3
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(11)
	endif	
	if bJournal4
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(12)
	endif
	if bJournal5
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(13)
	endif
	if bJournal6
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(14)
	endif	
	if bBeacon
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(15)
	endif	
	if bResonator
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(16)
	endif
	if bToolBag
		DBM_ExplorerRelicFindQST.SetObjectiveCompleted(17)
	endif
	if RelicTotal == 0
		DBM_ExplorerRelicFindQST.SetStage(10)
	endif
EndFunction	