Scriptname DBM_FurnitureSetupScript extends ObjectReference  

Message Property FurnitureSetup Auto
Message Property PatioSetup Auto
Message Property RoomSetup Auto

ObjectReference Property KidStuff Auto
ObjectReference Property FollowerStuff Auto

ObjectReference Property PatioStuff Auto
ObjectReference Property GardenStuff Auto

GlobalVariable Property GameHour Auto


Event OnActivate(ObjectReference akActionRef)
	if akActionRef == Game.GetPlayer()


		int MainBTN = FurnitureSetup.show()
		if MainBTN == 0 ; Safehouse
	

			int ChoiceBtn = RoomSetup.show()
			if ChoiceBtn == 0 ; Setup kid room
				Game.FadeOutGame(false, true, 2.0, 1.0)
				GameHour.Value += 2
				KidStuff.Enable()
				Followerstuff.Disable()
				Utility.wait(2)
				Debug.MessageBox("You spent 2 hours setting up furniture")
			elseif ChoiceBtn == 1 ; Setup follower room
				Game.FadeOutGame(false, true, 2.0, 1.0)
				GameHour.Value += 2
				KidStuff.Disable()
				Followerstuff.Enable()
				Utility.wait(2)
				Debug.MessageBox("You spent 2 hours setting up furniture")	
			Elseif ChoiceBTN == 2 ;cancel
	
			endif

		elseif MainBTN == 1 ; Patio

			int ChoiceBtn2 = PatioSetup.show()
			if ChoiceBtn2 == 0 ; Patio stuff
				Game.FadeOutGame(false, true, 2.0, 1.0)
				GameHour.Value += 2
				PatioStuff.Enable()
				Gardenstuff.Disable()
				Utility.wait(2)
				Debug.MessageBox("You spent 2 hours setting up furniture")
			elseif ChoiceBtn2 == 1 ; Garden Stuff
				Game.FadeOutGame(false, true, 2.0, 1.0)
				GameHour.Value += 2
				GardenStuff.Enable()
				Patiostuff.Disable()
				Utility.wait(2)
				Debug.MessageBox("You spent 2 hours setting up furniture")		
			Elseif ChoiceBTN2 == 2 ;cancel
			endif
		
		Elseif MainBTN == 2 ; cancel

		Endif
	endif
Endevent