Scriptname DBM_LightDisplayScript extends ObjectReference  

Light Property LDISPLAY  Auto 
Light Property LDISPLAY2  Auto 
ObjectReference Property DISPLAYCHEST  Auto  
Message Property defaultLackTheItemMSG  Auto
Actor Property PlayerRef Auto

GlobalVariable property DBM_displayMAX Auto

GlobalVariable Property DBM_SortWait Auto

EVENT OnActivate(objectReference akActivator)
If akActivator == PlayerRef 
	if DBM_SortWait.GetValue() == 1
		Debug.messagebox("You must wait for the current sorting opperation to complete before removing displays")
		Return
	Elseif DBM_SortWait.GetValue() == 0
		if (self.getLinkedRef().isdisabled())
			if PlayerRef.getItemCount(LDISPLAY) >= 1
				PlayerRef.removeItem(LDISPLAY, 1,False,DISPLAYCHEST)
				Self.GetLinkedRef().Enable()
				DBM_DisplayMax.Value += 1
			elseif PlayerRef.getItemCount(LDISPLAY2) >= 1
				PlayerRef.removeItem(LDISPLAY2, 1,False,DISPLAYCHEST)
				Self.GetLinkedRef().Enable()
				DBM_DisplayMax.Value += 1
			else
				defaultLackTheItemMSG.show()
			endif
		elseif (self.getLinkedRef().isenabled())
		if DISPLAYCHEST.GetItemCount(LDISPLAY) >= 1
			self.getLinkedRef().disable()
			DISPLAYCHEST.removeItem(LDISPLAY, 1,False,PlayerRef)
			DBM_DisplayMax.Value -= 1
		elseif DISPLAYCHEST.GetItemCount(LDISPLAY2) >= 1
			self.getLinkedRef().disable()
			DISPLAYCHEST.removeItem(LDISPLAY2, 1,False,PlayerRef)
			DBM_DisplayMax.Value -= 1
		endif
	  EndIf
	endif
endif

endEvent 

