Scriptname DBM_MAASE_DweBoothButton extends ObjectReference  
{Replacement VOX script for booth buttons}

Sound property Voice1 auto
{Irk Staff and Battleaxe SFX}
Sound property Voice2 auto
{Xrib Sunblessed SFX}
Sound property Voice3 auto
{Xrib Staff SFX}
Sound property WARNING auto
{Warning button SFX}

Location Property IrkngthandLocaiton Auto
{Irkngthand Location}
Location Property SightlessPitLocaiton Auto
{Xrib Location}

ObjectReference Property SunBlessedDisplay Auto

Formlist property XribStasisList auto
{FormList holding Xrib Staff (1)}
Formlist property StasisShield auto
{ForList holding Sunblesssed Shield and Statue}
Formlist property IrkStasisList auto
{FormList holding Irkgthand Staff and Battleaxe (3)}

ObjectReference Focus



state closed
	function OnBeginState()
		if Focus == none
			Focus = game.FindClosestReferenceOfAnyTypeInListFromRef(IrkStasisList, self as ObjectReference, 250.000)			
		elseif !Focus.IsDisabled() || self.IsInLocation(IrkngthandLocaiton) ; Irk Location
			Voice1.PlayandWait(self as ObjectReference)
			self.GotoState("Open")
			return
		EndIf
		
		if Focus == none 
			Focus = game.FindClosestReferenceOfAnyTypeInListFromRef(StasisShield, self as ObjectReference, 250.000)
		elseif !Focus.IsDisabled() && Focus == SunBlessedDisplay
			Voice2.PlayandWait(self as ObjectReference)
			self.GotoState("Open")
			return 
		endIf
		
		if Focus == none
			Focus = game.FindClosestReferenceOfAnyTypeInListFromRef(XribStasisList, self as ObjectReference, 250.000)
		elseif !Focus.IsDisabled() || self.IsInLocation(SightlessPitLocaiton) ;Xrib Temple
			Voice3.PlayandWait(self as ObjectReference)
			self.GotoState("Open")
			return
		endif
		
		if Focus == none || Focus.IsDisabled()
			WARNING.PlayandWait(self as ObjectReference)
			self.GotoState("Open")
			return 
		endIf
	EndFunction
EndState

auto State open
	function OnActivate(ObjectReference Whodid)
		self.playAnimationAndWait("Trigger01", "done")
		self.GotoState("Closed")
	endFunction

	function onCellLoad()

		self.playAnimation("Open")
	endFunction
endState