Scriptname DBM_MAASE_GhostTriggerLast extends ObjectReference  
{Controller for final Ghost Scene}

Actor Property Ghost Auto
{The spooky ghost}
Scene Property FinalScene Auto
{The last scene played}
Sound Property OverHere Auto
{Ghost draws attention}
Explosion Property DramaticExit Auto
{Effect when ghost despawns}
Quest Property MAASE_Quest Auto
{Much Ado About Snow Elves}

Int Property xGap Auto
{x axis distance from triggerbox}
Int Property yGap Auto
{y axis distance from triggerbox}

Int DoOnce = 0

Function OnTriggerEnter (ObjectReference akPlayer)
	if akPlayer == Game.GetPlayer() && DoOnce == 0 && MAASE_Quest.IsRunning() && !MAASE_Quest.IsCompleted()
		DoOnce = 1
		Ghost.MoveTo(Self,xGap,yGap,0,false) ;Move Near but not quite too the final marker
		Ghost.Enable(true)
		OverHere.Play(akPlayer)
		Utility.Wait(3)
		FinalScene.Start()
		Utility.Wait(6)
		FinalScene.Stop()
		Utility.Wait(1)
		Ghost.PlaceAtMe(DramaticExit,1,false,false)
		Ghost.Disable(true)
	Endif
EndFunction