Scriptname DBM_MannequinToggleScript2 extends ObjectReference  

Message Property MTMSG Auto

FormList Property DBM_MaleMannequinList Auto
FormList Property DBM_FemaleMannequinList Auto

; ------ properties for safehouse mannequin

Event OnActivate(ObjectReference akActionRef)
	If akActionRef == Game.GetPlayer()

		int ChoiceBTN = MTMSG.Show()
		if ChoiceBTN == 0 ; Male only
			int Index = DBM_MaleMannequinList.GetSize()
			While Index
				Index -= 1
				ObjectReference M = DBM_MaleMannequinList.GetAt(Index) as ObjectReference
				M.Enable()
				ObjectReference F = DBM_FemaleMannequinList.GetAt(Index) as ObjectReference
				F.Disable()
			Endwhile
			Debug.Messagebox("All male mannequins set")
		elseif ChoiceBTN == 1 ; male and female
			int Index = DBM_MaleMannequinList.GetSize()
			While Index
				Index -= 1
				ObjectReference M = DBM_MaleMannequinList.GetAt(Index) as ObjectReference
				M.Disable()
				ObjectReference F = DBM_FemaleMannequinList.GetAt(Index) as ObjectReference
				F.Enable()
			Endwhile
			Debug.Messagebox("Male and Female mannequins set")
		Elseif ChoiceBTN == 2 ; exit

		endif
	endif
EndEvent
