Scriptname DBM_MCMScript extends SKI_ConfigBase  


FormList Property DisplayActivators Auto
FormList Property DisplayItems Auto

FormList Property DBM_DaedricDisplays Auto
FormList Property DBM_DaedricItems Auto

FormList Property DBM_HOLEDisplays Auto
FormList Property DBM_HOLEItems Auto

FormList Property OddityDisplays Auto
FormList Property OddityItems Auto

FormList Property DBM_HOSDisplays Auto
FormList Property DBM_HOSItems Auto

FormList Property DBM_BCSDisplays Auto
FormList Property DBM_BCSItems Auto

FormList Property DBM_UTDisplays Auto
FormList Property DBM_UTItems Auto

FormList Property DBM_JARDisplays Auto
FormList Property DBM_JARItems Auto

FormList Property DBM_ShellDisplays Auto
FormList Property DBM_ShellList Auto

FormList Property DBM_MILDisplays Auto
FormList Property DBM_MILItems Auto

FormList Property DBM_HeadsDisplays Auto
FormList Property DBM_HeadsItems Auto

FormList Property GemstoneDisplays Auto
FormList Property GemstoneList Auto

FormList Property DBM_FishDisplays Auto
FormList Property DBM_FishItems Auto

FormList Property DBM_MadMaskerDisplays Auto
FormList Property DBM_MadMaskerItems Auto

FormList Property DBM_AetherealDisplays Auto
FormList Property DBM_AetherealItems Auto

FormList Property UpperDisplays Auto
FormList Property UpperItems Auto

FormList Property DBM_FairyDisplays Auto
FormList Property DBM_FairyItems Auto

FormList Property DBM_FalskaarDisplays Auto
FormList Property DBM_FalskaarItems Auto

FormList Property DBM_JewelryMCMItems Auto
FormList Property DBM_JewelryMCMDisplays Auto

FormList Property DBM_GrayCowlDisplays Auto
FormList Property DBM_GrayCowlItems Auto

FormList Property DBM_HelgenDisplays Auto
FormList Property DBM_HelgenItems Auto

FormList Property DBM_IWIADisplays Auto
FormList Property DBM_IWIAItems Auto

FormList Property DBM_KADisplays Auto
FormList Property DBM_KAItems Auto

FormList Property DBM_LullDisplaysList Auto
FormList Property DBM_LullItems Auto

FormList Property DBM_MASDisplays Auto
FormList Property DBM_MASItems Auto

FormList Property DBM_WyrmstoothDisplays Auto
FormList Property DBM_WyrmstoothItems Auto

FormList Property DBM_AOBDisplays Auto
FormList Property DBM_AOBItems Auto

FormList Property DBM_OAPDisplays Auto
FormList Property DBM_OAPItems Auto

FormList Property DBM_AOSDisplays Auto
FormList Property DBM_AOSItems Auto

FormList Property DBM_CloakDisplays Auto
FormList Property DBM_CloakItems Auto

FormList Property DBM_SUGItems Auto
FormList Property DBM_SUGDisplays Auto

FormList Property DBM_RAItems Auto
FormList Property DBM_RADisplays Auto

FormList Property DBM_EDItems Auto
FormList Property DBM_EDDisplays Auto

FormList Property DBM_FossilItems Auto
FormList Property DBM_FossilDisplays Auto

FormList Property DBM_VigilantItems Auto
FormList Property DBM_VigilantDisplays Auto

FormList Property DBM_ICWItems Auto
FormList Property DBM_ICWDisplays Auto

FormList Property DBM_TWRItems Auto
FormList Property DBM_TWRDisplays Auto

FormList Property DBM_DBHItems Auto
FormList Property DBM_DBHDisplays Auto

FormList Property DBM_FCItems Auto
FormList Property DBM_FCDisplays Auto

FormList Property DBM_MapItems Auto
FormList Property DBM_MapDisplays Auto

FormList Property DBM_ODItems Auto
FormList Property DBM_ODDisplays Auto

FormList Property DBM_ArmoryIron Auto
FormList Property DBM_ArmorySteel Auto
FormList Property DBM_ArmoryNordic Auto
FormList Property DBM_ArmoryElven Auto
FormList Property DBM_ArmoryGlass Auto
FormList Property DBM_ArmoryOrcish Auto
FormList Property DBM_ArmoryDwarven Auto
FormList Property DBM_ArmoryStalhrim Auto
FormList Property DBM_ArmoryEbony Auto
FormList Property DBM_ArmoryDaedric Auto
FormList Property DBM_ArmoryDragon Auto
FormList Property DBM_ArmoryDawnguard Auto
FormList Property DBM_ArmoryFalmer Auto
FormList Property DBM_ArmoryForsworn Auto
FormList Property DBM_ArmoryBlades Auto
FormList Property DBM_ArmoryAncientNord Auto


Int Index 
Int Property CPos Auto
String ItemName 
Int ITMCNT
FormList DISPLIST
FormList ITMLIST
FormList Sublist
FormList Sublist2

; SCRIPT VERSION ----------------------------------------------------------------------------------
;
; NOTE:
; This is an example to show you how to update scripts after they have been deployed.
;
; History
;
; 1 - Initial version
; 2 - Added color option
; 3 - Added keymap option
int function GetVersion()
return 3 ; Default version
endFunction
; PRIVATE VARIABLES -------------------------------------------------------------------------------
; --- Version 1 ---
; Lists
string[] _difficultyList
; OIDs (T:Text B:Toggle S:Slider M:Menu, C:Color, K:Key)
int _toggle1OID_B
int _toggle2OID_B
int _toggle3OID_B
int _textOID_T
int _counterOID_T
int _sliderFormatOID_S
int _difficultyMenuOID_M
; State
bool _toggleState1 = false
bool _toggleState2 = false
bool _toggleState3 = false
int _counter = 0
float _sliderPercent = 50.0
int _curDifficulty = 0
; --- Version 2 ---
; OIDs
int _colorOID_C
; State
int _color = 0xFFFFFF
; --- Version 3 ---
; OIDs
int _keymapOID_K
; State
int _myKey = -1
; INITIALIZATION ----------------------------------------------------------------------------------
; @overrides SKI_ConfigBase
event OnConfigInit()
Pages = new string[51]
Pages[0] = "Hall of Heroes 1"
Pages[1] = "Hall of Heroes 2"
Pages[2] = "Upper Gallery"
Pages[3] = "Daedric Gallery"
Pages[4] = "Hall of Lost Empires"
Pages[5] = "Hall of Oddities"
Pages[6] = "Hall of Secrets"
Pages[7] = "Dragonborn Hall"
Pages[8] = "Library 1"
Pages[9] = "Library 2"
Pages[10] = "Library 3"
Pages[11] = "Library 4"
Pages[12] = "Gemstone Collection"
Pages[13] = "Tidepool Display"
Pages[14] = "Armory 1"
Pages[15] = "Armory 2"
Pages[16] = "Armory 3"
Pages[17] = "Armory 4"
Pages[18] = "Armory 5"
Pages[19] = "Jewelry"

int i = Game.GetModByName("SkyrimsUniqueTreasures.esp")
if i != 255
Pages[20] = "Unique Treasures"
   endif

i = Game.GetModByName("BadGremlinsJarHunt.esp")
if i != 255
Pages [21] = "Great Jar Hunt"
   endif

i = Game.GetModByName("More Interesting Loot For Skyrim.esp")
if i != 255
Pages[22] = "More Interesting Loot"
  endif

i = Game.GetModByName("BGTrophyHeads.esp")
if i != 255
Pages[23] = "Trophy Heads"
   endif

i = Game.GetModByName("BGSomethingFishy.esp")
if i != 255
Pages[24] = "Fish Bowls"
   endif

i = Game.GetModByName("TheMadMasker.esp")
if i != 255
Pages[25] = "Mad Masker"
   endif

i = Game.GetModByName("AetheriumSwordsnArmor.esp")
if i != 255
Pages[26] = "Aetherium Collection"
   endif

i = Game.GetModByName("BGtheCapturedFairies.esp")
if i != 255
Pages[27] = "Captured Fairies"
   endif

i = Game.GetModByName("Falskaar.esm")
if i != 255
Pages[28] = "Falskaar Items"
	endif

i = Game.GetModByName("Gray Fox Cowl.esm")
if i != 255
Pages[29] = "Gray Cowl Items"
	endif

i = Game.GetModByName("Immersive Weapons.esp")
int j = Game.GetModByName("Hothtrooper44_ArmorCompilation.esp")
if i != 255 || J != 255
Pages[30] = "Immersive weapons/Armor Items"
	endif

i = Game.GetModByName("Konahrik_Accoutrements.esp")
if i != 255
Pages[31] = "Konahrik's Accoutrements Items"
	endif

i = Game.GetModByName("WheelsOfLull.esp")
if i != 255
Pages[32] = "Wheels of Lull Items"
	endif

i = Game.GetModByName("Wyrmstooth.esp")
if i != 255
Pages[33] = "Wyrmstooth Items"
	endif

i = Game.GetModByName("ArtifactsOfBoethiah.esp")
if i != 255
Pages[34] = "Artifacts of Boethiah Items"
	endif

i = Game.GetModByName("escutcheonredwave.esp")
if i != 255
Pages[35] = "Oblivion Artifacts Pack Items"
	endif

i = Game.GetModByName("SL01AmuletsSkyrim.esp")
if i != 255
Pages[36] = "Amulets of Skyrim Items 1"
Pages[37] = "Amulets of Skyrim Items 2"
	endif

i = Game.GetModByName("Cloaks.esp")
j = Game.GetModByName("Complete Crafting Overhaul_Remade.esp")
if i != 255 || j != 255
Pages[38] = "Cloaks of Skyrim"
	endif

i = Game.GetModByName("AKSkyrimUnderground.esp")
if i != 255
Pages[39] = "Skyrim Underground"
	endif

i = Game.GetModByName("PrvtIRoyalArmory.esp")
if i != 255
Pages[40] = "Royal Armory"
	endif

i = Game.GetModByName("Elemental_Dragons.esp")
if i != 255
Pages[41] = "Elemental Dragons"
	endif

i = Game.GetModByName("Fossilsyum.esp")
if i != 255
Pages[42] = "Fossil Mining 1"
Pages[43] = "Fossil Mining 2"
	endif

i = Game.GetModByName("Vigilant.esp")
if i != 255
Pages[44] = "Vigilant"
	endif	

i = Game.GetModByName("CollegeOfWinterholdImmersive.esp")
if i != 255
Pages[45] = "Immersive College of Winterhold"
	endif	

i = Game.GetModByName("ThaneWeaponsReborn.esp")
if i != 255
Pages[46] = "Thane Weapons Reborn"
	endif

i = Game.GetModByName("ForgottenCity.esp")
if i != 255
Pages[47] = "Forgotten City"
	endif

i = Game.GetModByName("MoonAndStar_MAS.esp")
if i != 255
Pages[48] = "Moon and Star"
	endif

i = Game.GetModByName("Treasure_hunt.esp")
if i != 255
Pages[49] = "Treasure Hunt (Maps)"
	endif	
	
i = Game.GetModByName("OdysseyoftheDragonborn_Act1.esp")
if i != 255
Pages[50] = "Odyssey of the Dragonborn"
	endif
	
endEvent
; @implements SKI_QuestBase
event OnVersionUpdate(int a_version)
{Called when a version update of this script has been detected}
; Version 2 specific updating code
if (a_version >= 2 && CurrentVersion < 2)
Debug.Trace(self + ": Updating script to version 2")
_color = Utility.RandomInt(0x000000, 0xFFFFFF) ; Set a random color
endIf
; Version 3 specific updating code
if (a_version >= 3 && CurrentVersion < 3)
Debug.Trace(self + ": Updating script to version 3")
_myKey = Input.GetMappedKey("Jump")
endIf
endEvent
; EVENTS ------------------------------------------------------------------------------------------
; @implements SKI_ConfigBase
event OnPageReset(string a_page)
{Called when a new page is selected, including the initial empty page}
; Load custom logo in DDS format
if (a_page == "")
; Image size 256x256
; X offset = 376 - (height / 2) = 258
; Y offset = 223 - (width / 2) = 95
LoadCustomContent("LOTDMCM.dds", 258, 95)
return
else
UnloadCustomContent()
endIf
;-------------- HALL OF HEROES ---------------
if (a_page == "Hall of Heroes 1")

DISPLIST = DisplayActivators		; display list to use
ITMLIST = DisplayItems				; item list to use
ITMCNT = 128 						; the index spot to stop at
Index = 0							; Start at the begining of display list
ListItem()							; call function

elseif (a_page == "Hall of Heroes 2")

DISPLIST = DisplayActivators	
ITMLIST = DisplayItems		
ITMCNT = DISPLIST.GetSize() 		
Index = 128							
ListItem()	


; --------------------- DAEDRIC GALLERY-------------------------
elseIf (a_page == "Daedric Gallery")

					
DISPLIST = DBM_DaedricDisplays	
ITMLIST = DBM_DaedricItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	


;------------------- HALL OF LOST EMPIRES------------------------
elseIf (a_page == "Hall of Lost Empires")

DISPLIST = DBM_HOLEDisplays	
ITMLIST = DBM_HOLEItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	


;----------------- HALL OF ODDITIES-----------------------------
elseIf (a_page == "Hall of Oddities")

DISPLIST = OddityDisplays	
ITMLIST = OddityItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	


;------------------HALL OF SECRETS----------------------------------
elseIf (a_page == "Hall of Secrets")

DISPLIST = DBM_HOSDisplays	
ITMLIST = DBM_HOSItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	

;------------------DRAGONBORN HALL----------------------------------
elseIf (a_page == "Dragonborn Hall")

DISPLIST = DBM_DBHDisplays	
ITMLIST = DBM_DBHItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	

;--------------------LIBRARY-------------------------------------------
elseIf (a_page == "Library 1")

DISPLIST = DBM_BCSDisplays	
ITMLIST = DBM_BCSItems		
ITMCNT = 128 	
Index = 0							
ListItem()	

elseIf (a_page == "Library 2")

DISPLIST = DBM_BCSDisplays	
ITMLIST = DBM_BCSItems		
ITMCNT = 256 	
Index = 128							
ListItem()

elseIf (a_page == "Library 3")

DISPLIST = DBM_BCSDisplays	
ITMLIST = DBM_BCSItems		
ITMCNT = 384 	
Index = 256							
ListItem()

elseIf (a_page == "Library 4")

DISPLIST = DBM_BCSDisplays	
ITMLIST = DBM_BCSItems		
ITMCNT = DISPLIST.GetSize()	
Index = 384							
ListItem()

;----------------------------UNIQUE TREASURES-----------------------------

elseIf (a_page == "Unique Treasures")

DISPLIST = DBM_UTDisplays	
ITMLIST = DBM_UTItems		
ITMCNT = DISPLIST.GetSize()	
Index = 0							
ListItem()


;-------------------------JAR HUNT-------------------------------------
elseIf (a_page == "Great Jar Hunt")

DISPLIST = DBM_JARDisplays	
ITMLIST = DBM_JARItems		
ITMCNT = DISPLIST.GetSize()	
Index = 0							
ListItem()


;------------------------GEMSTONES------------------------------------------
elseIf (a_page == "Gemstone Collection")

DISPLIST = GemstoneDisplays	
ITMLIST = GemstoneList		
ITMCNT = DISPLIST.GetSize()	
Index = 0							
ListItem()

;---------------------TIDEPOOL---------------------------------------------
elseIf (a_page == "Tidepool Display")

DISPLIST = DBM_ShellDisplays	
ITMLIST = DBM_ShellList		
ITMCNT = DISPLIST.GetSize()	
Index = 0							
ListItem()

;----------------------MORE INTERESTING LOOT--------------------------
elseIf (a_page == "More Interesting Loot")

DISPLIST = DBM_MILDisplays	
ITMLIST = DBM_MILItems		
ITMCNT = DISPLIST.GetSize()	
Index = 0							
ListItem()

;---------------------TROPHY HEADS---------------------------------------
elseIf (a_page == "Trophy Heads")

DISPLIST = DBM_HeadsDisplays	
ITMLIST = DBM_HeadsItems		
ITMCNT = DISPLIST.GetSize()	
Index = 0							
ListItem()

;---------------------FISH BOWLS ----------------------------------------
elseIf (a_page == "Fish Bowls")

DISPLIST = DBM_FishDisplays	
ITMLIST = DBM_FishItems		
ITMCNT = DISPLIST.GetSize()	
Index = 0							
ListItem()

;---------------------MAD MASKER----------------------------------------
elseIf (a_page == "Mad Masker")

DISPLIST = DBM_MadMaskerDisplays	
ITMLIST = DBM_MadMaskerItems		
ITMCNT = DISPLIST.GetSize()	
Index = 0							
ListItem()

;---------------------AETHERIUM COLLECTION----------------------------------------
elseIf (a_page == "Aetherium Collection")

DISPLIST = DBM_AetherealDisplays	
ITMLIST = DBM_AetherealItems		
ITMCNT = DISPLIST.GetSize()	
Index = 0							
ListItem()

;-----------------------UPPER GALLERY----------------------------------------------

elseIf (a_page == "Upper Gallery")

DISPLIST = UpperDisplays	
ITMLIST = UpperItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	

;-----------------------ARMORY 1----------------------------------------------

elseIf (a_page == "Armory 1")

DISPLIST = DBM_ArmoryIron	
ITMLIST = DBM_ArmoryIron		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListArmoryItem()	

DISPLIST = DBM_ArmorySteel	
ITMLIST = DBM_ArmorySteel	
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListArmoryItem()

DISPLIST = DBM_ArmoryNordic	
ITMLIST = DBM_ArmoryNordic		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListArmoryItem()


;-----------------------ARMORY 2----------------------------------------------

elseIf (a_page == "Armory 2")

DISPLIST = DBM_ArmoryElven	
ITMLIST = DBM_ArmoryElven	
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListArmoryItem()

DISPLIST = DBM_ArmoryGlass	
ITMLIST = DBM_ArmoryGlass		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListArmoryItem()

DISPLIST = DBM_ArmoryDawnguard	
ITMLIST = DBM_ArmoryDawnguard
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListArmoryItem()


;-----------------------ARMORY 3----------------------------------------------

elseIf (a_page == "Armory 3")

DISPLIST = DBM_ArmoryOrcish	
ITMLIST = DBM_ArmoryOrcish		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListArmoryItem()	

DISPLIST = DBM_ArmoryDwarven	
ITMLIST = DBM_ArmoryDwarven	
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListArmoryItem()

DISPLIST = DBM_ArmoryStalhrim	
ITMLIST = DBM_ArmoryStalhrim		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListArmoryItem()


;-----------------------ARMORY 4----------------------------------------------

elseIf (a_page == "Armory 4")

DISPLIST = DBM_ArmoryEbony	
ITMLIST = DBM_ArmoryEbony	
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListArmoryItem()

DISPLIST = DBM_ArmoryDaedric	
ITMLIST = DBM_ArmoryDaedric		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListArmoryItem()

DISPLIST = DBM_ArmoryDragon	
ITMLIST = DBM_ArmoryDragon		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListArmoryItem()

;-----------------------ARMORY 5----------------------------------------------

elseIf (a_page == "Armory 5")


DISPLIST = DBM_ArmoryFalmer	
ITMLIST = DBM_ArmoryFalmer		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListArmoryItem()	

DISPLIST = DBM_ArmoryForsworn	
ITMLIST = DBM_ArmoryForsworn
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListArmoryItem()

DISPLIST = DBM_ArmoryBlades	
ITMLIST = DBM_ArmoryBlades		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListArmoryItem()

DISPLIST = DBM_ArmoryAncientNord	
ITMLIST = DBM_ArmoryAncientNord	
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListArmoryItem()


;-----------------------FAIRIES----------------------------------------------

elseIf (a_page == "Captured Fairies")

DISPLIST = DBM_FairyDisplays	
ITMLIST = DBM_FairyItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	

;-----------------------JEWELRY----------------------------------------------

elseIf (a_page == "Jewelry")

DISPLIST = DBM_JewelryMCMDisplays	
ITMLIST = DBM_JewelryMCMItems	
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListJewelry()

;-----------------------FALSKAAR----------------------------------------------

elseIf (a_page == "Falskaar Items")

DISPLIST = DBM_FalskaarDisplays	
ITMLIST = DBM_FalskaarItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	

;-----------------------GRAY COWL----------------------------------------------

elseIf (a_page == "Gray Cowl Items")

DISPLIST = DBM_GrayCowlDisplays	
ITMLIST = DBM_GrayCowlItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	


;-----------------------IMMERSIVE WEAPONS----------------------------------------------

elseIf (a_page == "Immersive Weapons/Armor Items")

DISPLIST = DBM_IWIADisplays	
ITMLIST = DBM_IWIAItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	


;-----------------------KONAHRIK'S ACCOUTREMENTS----------------------------------------------

elseIf (a_page == "Konahrik's Accoutrements Items")

DISPLIST = DBM_KADisplays	
ITMLIST = DBM_KAItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	


;-----------------------WHEELS OF LULL----------------------------------------------

elseIf (a_page == "Wheels of Lull Items")

DISPLIST = DBM_LullDisplaysList
ITMLIST = DBM_LullItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	


;-----------------------WYRMSTOOTH----------------------------------------------

elseIf (a_page == "Wyrmstooth Items")

DISPLIST = DBM_WyrmstoothDisplays
ITMLIST = DBM_WyrmstoothItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	


;-----------------------ARTIFACTS OF BOETHIAH----------------------------------------------

elseIf (a_page == "Artifacts of Boethiah Items")

DISPLIST = DBM_AOBDisplays
ITMLIST = DBM_AOBItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	


;-----------------------OBLIVION ARTIFACTS PACK----------------------------------------------

elseIf (a_page == "Oblivion Artifacts Pack Items")

DISPLIST = DBM_OAPDisplays
ITMLIST = DBM_OAPItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	

;-----------------------AMULETS OF SKYRIM----------------------------------------------

elseIf (a_page == "Amulets of Skyrim Items 1")

DISPLIST = DBM_AOSDisplays	
ITMLIST = DBM_AOSItems	
ITMCNT = 128 	
Index = 0							
ListJewelry()

elseIf (a_page == "Amulets of Skyrim Items 2")

DISPLIST = DBM_AOSDisplays	
ITMLIST = DBM_AOSItems	
ITMCNT = DISPLIST.GetSize() 	
Index = 128							
ListJewelry()

;-----------------------CLOAKS OF SKYRIM----------------------------------------------

elseIf (a_page == "Cloaks of Skyrim")

DISPLIST = DBM_CloakDisplays
ITMLIST = DBM_CloakItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	


;-----------------------SKYRIM UNDERGROUND----------------------------------------------

elseIf (a_page == "Skyrim Underground")

DISPLIST = DBM_SUGDisplays
ITMLIST = DBM_SUGItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	

;-----------------------ROYAL ARMORY----------------------------------------------

elseIf (a_page == "Royal Armory")

DISPLIST = DBM_RADisplays
ITMLIST = DBM_RAItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()	

;-----------------------ELEMENTAL DRAGONS----------------------------------------------

elseIf (a_page == "Elemental Dragons")

DISPLIST = DBM_EDDisplays
ITMLIST = DBM_EDItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()

;-----------------------FOSSIL Mining----------------------------------------------

elseIf (a_page == "Fossil Mining 1")

DISPLIST = DBM_FossilDisplays	
ITMLIST = DBM_FossilItems	
ITMCNT = 128 	
Index = 0							
ListItem()

elseIf (a_page == "Fossil Mining 2")

DISPLIST = DBM_FossilDisplays	
ITMLIST = DBM_FossilItems	
ITMCNT = DISPLIST.GetSize() 	
Index = 128							
ListItem()

;-----------------------VIGILANT----------------------------------------------

elseIf (a_page == "Vigilant")

DISPLIST = DBM_VigilantDisplays
ITMLIST = DBM_VigilantItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()

;-----------------------IMMERSIVE COLLEGE----------------------------------------------

elseIf (a_page == "Immersive College of Winterhold")

DISPLIST = DBM_ICWDisplays
ITMLIST = DBM_ICWItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()

;-----------------------FORGOTTEN CITY----------------------------------------------

elseIf (a_page == "Forgotten City")

DISPLIST = DBM_FCDisplays
ITMLIST = DBM_FCItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()

;-----------------------MOON AND STAR----------------------------------------------

elseIf (a_page == "Moon and Star")

DISPLIST = DBM_MASDisplays
ITMLIST = DBM_MASItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()

;-----------------------THANE WEAPONS REBORN----------------------------------------------

elseIf (a_page == "Thane Weapons Reborn")

DISPLIST = DBM_TWRDisplays
ITMLIST = DBM_TWRItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()

;-----------------------TREASURE HUNT----------------------------------------------

elseIf (a_page == "Treasure Hunt (maps)")

DISPLIST = DBM_MapDisplays
ITMLIST = DBM_MapItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()

;-----------------------ODYSSEY OF THE DRAGONBORN----------------------------------------------

elseIf (a_page == "Odyssey of the Dragonborn")

DISPLIST = DBM_ODDisplays
ITMLIST = DBM_ODItems		
ITMCNT = DISPLIST.GetSize() 	
Index = 0							
ListItem()


Endif

endEvent




Function ListItem()
   ObjectReference DISP
   Form ITM

While Index < ITMCNT
	DISP = DISPLIST.GetAt(Index) as ObjectReference
	ITM = ITMLIST.GetAt(Index) as Form
	
	if ITM.GetName() != ""	
		ItemName = ITM.GetName()
	else
		SubList = ITMLIST.GetAt(Index) as FormList
		ITM = Sublist.GetAt(0) as Form
		ItemName = ITM.GetName()
	Endif
		if DISP.IsEnabled()
		    AddToggleOption(" " + ItemName + " ", true)
		else
		    AddToggleOption(" "+ ItemName +" ", False)
		endif
	Index += 1
EndWhile

EndFunction




Function ListJewelry()
   ObjectReference DISP
   Form ITM

While Index < ITMCNT
    ITM = ITMLIST.GetAt(Index) as Form
    
    if ITM.GetName() != ""    ; If the item on the list is an actual item----------------------------------
        ItemName = ITM.GetName()
        DISP = DISPLIST.GetAt(Index) as ObjectReference
            if DISP.IsEnabled()
                AddToggleOption(" " + ItemName + " ", true)
            else
                AddToggleOption(" "+ ItemName +" ", False)
            endif
    else                                  ; The item on the list is a formlist -----------------------------------------
        SubList2 = DISPLIST.GetAt(Index) as FormList
        SubList = ITMLIST.GetAt(Index) as FormList
        int Index2 = Sublist2.GetSize()

        ; INSERT BEGIN
            Int NewIdx = CheckDisplays(SubList2,Index2)
            If NewIdx != -1
                Index2 = (NewIdx + 1)
            Else
                Index2 = 1
            EndIf
        ; INSERT END

        while Index2 >= 1
            Index2 -= 1
            ObjectReference OB = Sublist2.GetAt(index2) as ObjectReference
            if OB.IsEnabled()
                DISP = Sublist2.GetAt(Index2) as ObjectReference
                ITM = Sublist.GetAt(Index2) as Form
                ItemName = ITM.GetName()
                Index2 = 0

        ; INSERT BEGIN
            Else
                DISP = NONE
                ITM = Sublist.GetAt(Index2) as Form
                ItemName = ITM.GetName()
            Endif
        ; INSERT END

            if DISP.IsEnabled()
                AddToggleOption(" " + ItemName + " ", true)
            else
                AddToggleOption(" "+ ItemName +" ", False)
            endif    
        EndWhile    
    Endif

    Index += 1
EndWhile

EndFunction

Int Function CheckDisplays(FormList DispList1, Int ListSize)
    Int Result = -1
    int Idx = 0
    While Idx < ListSize
        If (DispList1.GetAt(Idx) as ObjectReference).IsEnabled()
            Result = Idx
        EndIf
        If Result != -1
            Idx = ListSize  ;got value - get out of loop
        Else
            Idx += 1
        EndIf
    EndWhile
    Return Result
EndFunction  
Function ListArmoryItem()
   ObjectReference O
   Weapon M
   Armor N

While Index < ITMCNT
	O = DISPLIST.GetAt(index) as Objectreference
		if O.GetBaseObject() as Weapon
			M = O.GetBaseObject() as Weapon
				if M.GetName() != ""	
						ItemName = M.GetName()
				Endif
		Elseif O.GetBaseObject() as Armor
			N = O.GetBaseObject() as Armor
				if N.GetName() != ""	
						ItemName = N.GetName()
				Endif

	Endif
		if O.IsEnabled()
		    AddToggleOption(" " + ItemName + " ", true)
		else
		    AddToggleOption(" "+ ItemName +" ", False)
		endif
	Index += 1
EndWhile

EndFunction