Scriptname DBM_NavigateScript extends ObjectReference  

ObjectReference Property Ship Auto
ObjectReference Property Mark Auto

FormList Property CurShip Auto
FormList Property CurPlayerMark Auto
FormList Property ShipList Auto

GlobalVariable Property ReadyState Auto

String MyMSG ; uses the name of the flag as destination text

Event OnActivate (ObjectReference akActionRef )
	If akActionRef == Game.GetPlayer() && ReadyState.Value == 0 || ReadyState.Value == 1
		CurShip.Revert()
		CurPlayerMark.Revert()
		Utility.Wait(0.2)
		CurShip.AddForm(Ship)
		CurPlayerMark.AddForm(Mark)
		ShipList.Addform(Ship)
		ReadyState.Value = 1
		Debug.MessageBox("Heading set for " + MyMSG + "")
	Elseif akActionRef == Game.GetPlayer() && ReadyState.Value == 2 ;Beacon Activated
		CurShip.AddForm(Ship)
		CurPlayerMark.AddForm(Mark)
		ShipList.Addform(Ship)
		Debug.Notification("The Dev Aveza is preparing to move to " + MyMSG + "")
	Elseif akActionRef == Game.GetPlayer() && ReadyState.Value == 3 ;Airship in transit
		Debug.MessageBox("The airship is still in transit, I should wait for it to arrive before moving it again.")
	endif
endevent

Event OnLoad() ;SKSE
	if MyMSG != Self.GetDisplayName()
		MyMSG = Self.GetDisplayName()
	endif  
EndEvent