Scriptname DBM_PickyBeaconInstall extends ObjectReference  
{Script controlling the adding or removing of the beacon controller.}

MiscObject Property DBM_PickyBeacon Auto
{The beacon item}
Sound Property Activate Auto
{SFX when placed}
Sound Property Deactivate Auto
{SFX when removed}
Message Property defaultLackTheItemMSG Auto
{Failed placement message}
Int DoOnce

Event OnActivate (ObjectReference akActivator)
if akActivator == Game.GetPlayer()
	if akActivator.GetItemCount(DBM_PickyBeacon) >= 1 && Self.GetLinkedRef().IsDisabled()
		akActivator.RemoveItem(DBM_PickyBeacon,1,False)
		Self.GetLinkedRef().Enable()
		Activate.Play(akActivator)
		if DoOnce == 0
			debug.Messagebox("The Dev Aveza's controls creak and twitch as if the ship has come alive!")
			DoOnce = 1
		endif
	elseif !Self.GetLinkedRef().IsDisabled()
		akActivator.AddItem(DBM_PickyBeacon,1,false)
		Self.GetLinkedRef().Disable()
		Deactivate.Play(akActivator)
	else
		defaultLackTheItemMSG.Show()
	endif
endif
EndEvent