Scriptname DBM_PlatformScript extends ObjectReference  

Float Property PosX Auto
Float Property PosY Auto
Float Property PosZ Auto
Float Property AngX Auto
Float Property AngY Auto
Float Property AngZ Auto
Float Property SPD Auto

Float Property PosX2 Auto
Float Property PosY2 Auto
Float Property PosZ2 Auto
Float Property AngX2 Auto
Float Property AngY2 Auto
Float Property AngZ2 Auto
Float Property SPD2 Auto

GlobalVariable Property DBM_PlatformON Auto

Auto State PlatformStart

Event OnActivate(ObjectReference akActionRef)
	Self.TranslateTo(PosX, PosY, PosZ, AngX, AngY, AngZ, SPD, afMaxRotationSpeed = 20.0)
EndEvent

Event OnTranslationComplete()
	GoToState("PlatformDone")
	Utility.Wait(3)
	Self.Activate(self)
EndEvent

EndState

State PlatformDone

Event OnActivate(ObjectReference akActionRef)
	Self.TranslateTo(PosX2, PosY2, PosZ2, AngX2, AngY2, AngZ2, SPD2, afMaxRotationSpeed = 20.0)
EndEvent

Event OnTranslationComplete()
	GoToState("PlatformStart")
	Self.Activate(self)
EndEvent

EndState
