
Scriptname DBM_PrepStationScript2 extends ObjectReference  

Actor Property PlayerRef Auto

FormList Property DBM_ExcludeList Auto

FormList Property DisplayActivators Auto
FormList Property DisplayItems Auto
FormList Property DisplayItemsALT Auto

FormList Property DBM_DaedricDisplays Auto
FormList Property DBM_DaedricItems Auto
FormList Property DBM_DaedricItemsALT Auto

FormList Property OddityDisplays Auto
FormList Property OddityItems Auto
FormList Property OddityItemsALT Auto

FormList Property DBM_HOLEDisplays Auto
FormList Property DBM_HOLEItems Auto
FormList Property DBM_HOLEItemsALT Auto

FormList Property DBM_HOSDisplays Auto
FormList Property DBM_HOSItems Auto
FormList Property DBM_HOSItemsALT Auto

FormList Property DBM_BCSDisplays Auto
FormList Property DBM_BCSItems Auto
FormList Property DBM_BCSItemsALT Auto

FormList Property DBM_UTDisplays Auto
FormList Property DBM_UTItems Auto

FormList Property DBM_KADisplays Auto
FormList Property DBM_KAItems Auto
FormList Property DBM_KAItemsALT Auto

FormList Property DBM_JARDisplays Auto
FormList Property DBM_JARItems Auto

FormList Property DBM_AetherealDisplays Auto
FormList Property DBM_AetherealItems Auto
FormList Property DBM_AetherealItemsALT Auto

FormList Property DBM_MILDisplays Auto
FormList Property DBM_MILItems Auto

FormList Property DBM_FairyDisplays Auto
FormList Property DBM_FairyItems Auto

FormList Property DBM_MadMaskerDisplays Auto
FormList Property DBM_MadMaskerItems Auto
FormList Property DBM_MadMaskerItemsALT Auto

FormList Property DBM_HelgenDisplays Auto
FormList Property DBM_HelgenItems Auto

FormList Property DBM_GrayCowlDisplays Auto
FormList Property DBM_GrayCowlItems Auto

FormList Property DBM_WyrmstoothDisplays Auto
FormList Property DBM_WyrmstoothItems Auto

FormList Property DBM_FalskaarDisplays Auto
FormList Property DBM_FalskaarItems Auto

FormList Property DBM_LullDisplaysList Auto
FormList Property DBM_LullItems Auto
FormList Property DBM_LullItemsALT Auto

FormList Property DBM_HeadsDisplays Auto
FormList Property DBM_HeadsItems Auto

FormList Property UpperDisplays Auto
FormList Property UpperItems Auto
FormList Property UpperItemsALT Auto

FormList Property GemstoneDisplays Auto
FormList Property GemstoneList Auto

FormList Property ShellDisplays Auto
FormList Property ShellList Auto

FormList Property DBM_FishDisplays Auto
FormList Property DBM_FishItems Auto

FormList Property DBM_IWIADisplays Auto
FormList Property DBM_IWIAItems Auto

FormList Property DBM_JewelryUnique Auto
FormList Property DBM_JewelryUniqueAlt Auto

FormList Property DBM_MASItems Auto
FormList Property DBM_MASDisplays Auto

FormList Property DBM_AOBItems Auto
FormList Property DBM_AOBDisplays Auto

FormList Property DBM_OAPItems Auto
FormList Property DBM_OAPDisplays Auto

FormList Property DBM_SUGItems Auto
FormList Property DBM_SUGDisplays Auto

FormList Property DBM_RADisplays Auto
FormList Property DBM_RAItems Auto
FormList Property DBM_RAItemsALT Auto

FormList Property DBM_EDDisplays Auto
FormList Property DBM_EDItems Auto

FormList Property DBM_FossilDisplays Auto
FormList Property DBM_FossilItems Auto

FormList Property DBM_VigilantDisplays Auto
FormList Property DBM_VigilantItems Auto

FormList Property DBM_ICWDisplays Auto
FormList Property DBM_ICWItems Auto

FormList Property DBM_MapDisplays Auto
FormList Property DBM_MapItems Auto

FormList Property DBM_ODDisplays Auto
FormList Property DBM_ODItems Auto

FormList Property DBM_DBHDisplays Auto
FormList Property DBM_DBHItems Auto
FormList Property DBM_DBHItemsALT Auto

FormList Property DBM_TWRDisplays Auto
FormList Property DBM_TWRItems Auto
FormList Property DBM_TWRItemsALT Auto

FormList Property DBM_FCDisplays Auto
FormList Property DBM_FCItems Auto
FormList Property DBM_FCItemsALT Auto

FormList Property DBM_AOSCaseList Auto

FormList Property DBM_ArmoryIron Auto
FormList Property DBM_ArmorySteel Auto
FormList Property DBM_ArmoryNordic Auto
FormList Property DBM_ArmoryElven Auto
FormList Property DBM_ArmoryGlass Auto
FormList Property DBM_ArmoryOrcish Auto
FormList Property DBM_ArmoryDwarven Auto
FormList Property DBM_ArmoryStalhrim Auto
FormList Property DBM_ArmoryEbony Auto
FormList Property DBM_ArmoryDaedric Auto
FormList Property DBM_ArmoryDragon Auto
FormList Property DBM_ArmoryDawnguard Auto
FormList Property DBM_ArmoryFalmer Auto
FormList Property DBM_ArmoryBlades Auto
FormList Property DBM_ArmoryForsworn Auto
FormList Property DBM_ArmoryAncientNord Auto
FormList Property DBM_ArmoryItems Auto

DBM_JewelryDisplayScript Property JewelryDisplays Auto
DBM_JewelryDisplayScript Property JewelryDisplays2 Auto
DBM_JewelryDisplayScript Property ScaleDisplays Auto

Quest Property DBM_GuidebookHandler Auto

Int Index
Weapon M
Armor N
Int Index2

FormList ITEMLIST 
FormList DISPLAYLIST 

Bool Lefty

ObjectReference Property DisplaySafe Auto
ObjectReference Property DisplaySafe2 Auto
ObjectReference Property ArmorySafe Auto
ObjectReference Property JewelryCase Auto
ObjectReference Property JewelryCase2 Auto
ObjectReference Property ScaleCase Auto

GlobalVariable Property DBM_DisplayMAX Auto


Message Property SortMsg Auto

GlobalVariable Property DBM_SortWait Auto

objectReference O
Form f
Form f2
auto state ready

	Event OnActivate(ObjectReference akActionRef)
		if(akActionRef == PlayerRef)
			if DBM_SortWait.GetValue() == 1
				Debug.messagebox("You must wait for the current sorting opperation to complete before removing displays")
				Return
			Elseif DBM_SortWait.GetValue() == 0
				int SortBtn = SortMsg.show()
				if SortBtn == 0 ; Sort all display items
					gotostate("busy")
					DBM_SortWait.SetValue(1)

					Debug.Notification("All items being displayed, this will take a moment")



					
					;JEWELRY SORTING
					ITEMLIST = DBM_JewelryUnique
					DISPLAYLIST = DBM_JewelryUnique
					If Game.GetPlayer().GetItemCount(DBM_JewelryUnique) > 0 || Game.GetPlayer().GetItemCount(DBM_JewelryUniqueALT) > 0
						SortJewelry()
					Endif

					;MAIN MUSEUM
					ITEMLIST = DisplayItems
					DISPLAYLIST = DisplayActivators
					If Game.GetPlayer().GetItemCount(DisplayItems) > 0 || Game.GetPlayer().GetItemCount(DisplayItemsALT) > 0
						SortGroup()
					Endif

					;UPPER GALLERY
					ITEMLIST = UpperItems
					DISPLAYLIST = UpperDisplays
					If Game.GetPlayer().GetItemCount(UpperItems) > 0 || Game.GetPlayer().GetItemCount(UpperItemsALT) > 0
						SortGroup()
					Endif

debug.notification("Still sorting displays")
					;DAEDRIC GALLERY
					ITEMLIST = DBM_DaedricItems
					DISPLAYLIST = DBM_DaedricDisplays
					If Game.GetPlayer().GetItemCount(DBM_DaedricItems) > 0 || Game.GetPlayer().GetItemCount(DBM_DaedricItemsALT) > 0
						SortGroup()
					Endif

					;HALL OF LOST EMPIRES
					ITEMLIST = DBM_HOLEItems
					DISPLAYLIST = DBM_HOLEDisplays
					If Game.GetPlayer().GetItemCount(DBM_HOLEItems) > 0 || Game.GetPlayer().GetItemCount(DBM_HOLEItemsALT) > 0
						SortGroup()
					Endif

					;HALL OF SECRETS
					ITEMLIST = DBM_HOSItems
					DISPLAYLIST = DBM_HOSDisplays
					If Game.GetPlayer().GetItemCount(DBM_HOSItems) > 0 || Game.GetPlayer().GetItemCount(DBM_HOSItemsALT) > 0
						SortGroup()
					Endif

					;DRAGONBORN HALL
					ITEMLIST = DBM_DBHItems
					DISPLAYLIST = DBM_DBHDisplays
					If Game.GetPlayer().GetItemCount(DBM_DBHItems) > 0 || Game.GetPlayer().GetItemCount(DBM_DBHItemsALT) > 0
						SortGroup()
					Endif					
										
					;HALL OF ODDITIES
					ITEMLIST = OddityItems
					DISPLAYLIST = OddityDisplays
					If Game.GetPlayer().GetItemCount(OddityItems) > 0 || Game.GetPlayer().GetItemCount(OddityItemsALT) > 0
						SortGroup()
					Endif

debug.notification("Still sorting displays")




					;LIBRARY SORTING
					ITEMLIST = DBM_BCSItems
					DISPLAYLIST = DBM_BCSDisplays
					If Game.GetPlayer().GetItemCount(DBM_BCSItems) > 0 || Game.GetPlayer().GetItemCount(DBM_BCSItemsALT) > 0
						SortBooks()
					Endif

	;----------------------------------ARMORY--------------------------------------
					ArmorySafe.BlockActivation()
				If Game.GetPlayer().GetItemCount(DBM_ArmoryItems) > 0
					ITEMLIST = DBM_ArmoryIron
					DISPLAYLIST = DBM_ArmoryIron
					ArmorySort()

					ITEMLIST = DBM_ArmorySteel
					DISPLAYLIST = DBM_ArmorySteel
					ArmorySort()

					ITEMLIST = DBM_ArmoryNordic
					DISPLAYLIST = DBM_ArmoryNordic
					ArmorySort()

					ITEMLIST = DBM_ArmoryElven
					DISPLAYLIST = DBM_ArmoryElven
					ArmorySort()

					ITEMLIST = DBM_ArmoryGlass
					DISPLAYLIST = DBM_ArmoryGlass
					ArmorySort()

					ITEMLIST = DBM_ArmoryOrcish
					DISPLAYLIST = DBM_ArmoryOrcish
					ArmorySort()

					ITEMLIST = DBM_ArmoryDwarven
					DISPLAYLIST = DBM_ArmoryDwarven
					ArmorySort()

					ITEMLIST = DBM_ArmoryStalhrim
					DISPLAYLIST = DBM_ArmoryStalhrim
					ArmorySort()

					ITEMLIST = DBM_ArmoryEbony
					DISPLAYLIST = DBM_ArmoryEbony
					ArmorySort()

					ITEMLIST = DBM_ArmoryDaedric
					DISPLAYLIST = DBM_ArmoryDaedric
					ArmorySort()

					ITEMLIST = DBM_ArmoryDragon
					DISPLAYLIST = DBM_ArmoryDragon
					ArmorySort()

					ITEMLIST = DBM_ArmoryDawnguard
					DISPLAYLIST = DBM_ArmoryDawnguard
					ArmorySort()

					ITEMLIST = DBM_ArmoryFalmer
					DISPLAYLIST = DBM_ArmoryFalmer
					ArmorySort()

					ITEMLIST = DBM_ArmoryForsworn
					DISPLAYLIST = DBM_ArmoryForsworn
					ArmorySort()

					ITEMLIST = DBM_ArmoryBlades
					DISPLAYLIST = DBM_ArmoryBlades
					ArmorySort()

					ITEMLIST = DBM_ArmoryAncientNord
					DISPLAYLIST = DBM_ArmoryAncientNord
					ArmorySort()
				Endif
					ArmorySafe.BlockActivation(false)

	;----------------------------------------------------------------------
debug.notification("Still sorting displays")
					;GEMSTONE DISPLAYS
					index = GemstoneDisplays.GetSize()
					ITEMLIST = Gemstonelist
					DISPLAYLIST = Gemstonedisplays
					If Game.GetPlayer().GetItemCount(Gemstonelist) > 0
						SortGroup()
					Endif

					;SHELL DISPLAYS
					index = ShellDisplays.GetSize()
					ITEMLIST = ShellList
					DISPLAYLIST = ShellDisplays
					If Game.GetPlayer().GetItemCount(ShellList) > 0
						SortGroup()
					Endif

					;SUT COLLECTION
					int i = Game.GetModByName("SkyrimsUniqueTreasures.esp")
					if i != 255
					ITEMLIST = DBM_UTItems
					DISPLAYLIST = DBM_UTDisplays
					If Game.GetPlayer().GetItemCount(DBM_UTItems) > 0
						SortGroup()
					Endif
					Endif

					;TROPHY HEADS
					i = Game.GetModByName("BGTrophyHeads.esp")
					if i != 255
					ITEMLIST = DBM_HeadsItems
					DISPLAYLIST = DBM_HeadsDisplays
					If Game.GetPlayer().GetItemCount(DBM_HeadsItems) > 0
						SortGroup()
					Endif
					endif

					;JAR COLLECTION
					i = Game.GetModByName("BadGremlinsJarHunt.esp")
					if i != 255
					ITEMLIST = DBM_JarItems
					DISPLAYLIST = DBM_JarDisplays
					If Game.GetPlayer().GetItemCount(DBM_JarItems) > 0
						SortGroup()
					Endif
					endif
debug.notification("Still sorting displays")

					;AETHERIUM COLLECTION
					i = Game.GetModByName("AetheriumSwordsnArmor.esp")
					if i != 255
					ITEMLIST = DBM_AetherealItems
					DISPLAYLIST = DBM_AetherealDisplays
					If Game.GetPlayer().GetItemCount(DBM_AetherealItems) > 0 || Game.GetPlayer().GetItemCount(DBM_AetherealItemsALT) > 0
						SortGroup()
					Endif
					Endif


					;MORE INTERESTING LOOT
					index = DBM_MILDisplays.GetSize()
					i = Game.GetModByName("More Interesting Loot for Skyrim.esp")
					if i != 255
					ITEMLIST = DBM_MILItems
					DISPLAYLIST = DBM_MILDisplays
					If Game.GetPlayer().GetItemCount(DBM_MILItems) > 0
						SortGroup()
					Endif
					Endif

					;CAPTURED FAIRIES
					index = DBM_FairyDisplays.GetSize()
					i = Game.GetModByName("BGTheCapturedFairies.esp")
					if i != 255
					ITEMLIST = DBM_FairyItems
					DISPLAYLIST = DBM_FairyDisplays
					If Game.GetPlayer().GetItemCount(DBM_FairyItems) > 0
						SortGroup()
					Endif
					Endif


					;MAD MASKER

					index = DBM_MadMaskerDisplays.GetSize()
					i = Game.GetModByName("TheMadMasker.esp")
					if i != 255
					ITEMLIST = DBM_MadMaskerItems
					DISPLAYLIST = DBM_MadMaskerDisplays
					If Game.GetPlayer().GetItemCount(DBM_MadMaskerItems) > 0 || Game.GetPlayer().GetItemCount(DBM_MadMaskerItemsALT) > 0
						SortGroup()
					Endif
					Endif


					;FISH DISPLAYS
					index = DBM_FishDisplays.GetSize()
					i = Game.GetModByName("BGSomethingFishy.esp")
					if i != 255
					ITEMLIST = DBM_FishItems
					DISPLAYLIST = DBM_FishDisplays
					If Game.GetPlayer().GetItemCount(DBM_FishItems) > 0
						SortGroup()
					Endif
					Endif


					;HELGEN
					i = Game.GetModByName("Helgen Reborn.esp")
					if i != 255
					ITEMLIST = DBM_HelgenItems
					DISPLAYLIST = DBM_HelgenDisplays
					If Game.GetPlayer().GetItemCount(DBM_HelgenItems) > 0
						SortGroup()
					Endif
					Endif

debug.notification("Still sorting displays")
					;GrayCowl
					i = Game.GetModByName("Gray Fox Cowl.esm")
					if i != 255
					ITEMLIST = DBM_GrayCowlItems
					DISPLAYLIST = DBM_GrayCowlDisplays
					If Game.GetPlayer().GetItemCount(DBM_GrayCowlItems) > 0
						SortGroup()
					Endif
					Endif


					;WYRMSTOOTH
					i = Game.GetModByName("Wyrmstooth.esp")
					if i != 255
					ITEMLIST = DBM_WyrmstoothItems
					DISPLAYLIST = DBM_WyrmstoothDisplays
					If Game.GetPlayer().GetItemCount(DBM_WyrmstoothItems) > 0
						SortGroup()
					Endif
					Endif


					;FALSKAAR
					i = Game.GetModByName("Falskaar.esm")
					if i != 255
					ITEMLIST = DBM_FalskaarItems
					DISPLAYLIST = DBM_FalskaarDisplays
					If Game.GetPlayer().GetItemCount(DBM_FalskaarItems) > 0
						SortGroup()
					Endif
					Endif


					;WHEELS OF LULL
					i = Game.GetModByName("WheelsOfLull.esp")
					if i != 255
					ITEMLIST = DBM_LullItems
					DISPLAYLIST = DBM_LullDisplaysList
					If Game.GetPlayer().GetItemCount(DBM_LullItems) > 0 || Game.GetPlayer().GetItemCount(DBM_LullItemsALT) > 0
						SortGroup()
					Endif
					Endif

					;MOON AND STAR
					i = Game.GetModByName("Moonandstar_MAS.esp")
					if i != 255
					ITEMLIST = DBM_MASItems
					DISPLAYLIST = DBM_MASDisplays
					If Game.GetPlayer().GetItemCount(DBM_MASItems) > 0
						SortGroup()
					Endif
					Endif

					;IWIA
					i = Game.GetModByName("Immersive Weapons.esp")
					int j = Game.GetModByName("Hothtrooper44_ArmorCompilation.esp")
					if i != 255 || j != 255
					ITEMLIST = DBM_IWIAItems
					DISPLAYLIST = DBM_IWIADisplays
					If Game.GetPlayer().GetItemCount(DBM_IWIAItems) > 0
						SortGroup()
					Endif
					Endif


					;KA displays
					i = Game.GetModByName("Konahrik_Accoutrements.esp")
					if i != 255
					ITEMLIST = DBM_KAItems
					DISPLAYLIST = DBM_KADisplays
					If Game.GetPlayer().GetItemCount(DBM_KAItems) > 0 || Game.GetPlayer().GetItemCount(DBM_KAItemsALT) > 0
						SortGroup()
					Endif
					Endif


					;AOB Displays
					i = Game.GetModByName("ArtifactsOfBoethiah.esp")
					if i != 255
					ITEMLIST = DBM_AOBItems
					DISPLAYLIST = DBM_AOBDisplays
					If Game.GetPlayer().GetItemCount(DBM_AOBItems) > 0
						SortGroup()
					Endif
					Endif

					;Oblivion artifacts Displays
					i = Game.GetModByName("escutcheonredwave.esp")
					if i != 255
					ITEMLIST = DBM_OAPItems
					DISPLAYLIST = DBM_OAPDisplays
					If Game.GetPlayer().GetItemCount(DBM_OAPItems) > 0
						SortGroup()
					Endif
					Endif

					;AMULETS OF SKYRIM SORTING
					i = Game.GetModByName("SL01AmuletsSkyrim.esp")
					if i != 255
					ITEMLIST = DBM_AOSCaseList
					DISPLAYLIST = DBM_AOSCaseList
					If Game.GetPlayer().GetItemCount(DBM_AOSCaseList) > 0
						SortJewelry2()
					Endif
					Endif

					;Skyrim Underground
					i = Game.GetModByName("akskyrimunderground.esp")
					if i != 255
					ITEMLIST = DBM_SUGItems
					DISPLAYLIST = DBM_SUGDisplays
					If Game.GetPlayer().GetItemCount(DBM_SUGItems) > 0
						SortGroup()
					Endif
					Endif

					;Royal Armory
					i = Game.GetModByName("PrvtIRoyalArmory.esp")
					if i != 255
					ITEMLIST = DBM_RAItems
					DISPLAYLIST = DBM_RADisplays
					If Game.GetPlayer().GetItemCount(DBM_RAItems) > 0 || Game.GetPlayer().GetItemCount(DBM_RAItemsALT) > 0
						SortGroup()
					Endif
					Endif

					;ElementalDragons
					i = Game.GetModByName("Elemental_Dragons.esp")
					if i != 255
					ITEMLIST = DBM_EDItems
					DISPLAYLIST = DBM_EDDisplays
					If Game.GetPlayer().GetItemCount(DBM_EDItems) > 0
						SortScales()
					Endif
					Endif

					;Fossil Mod
					i = Game.GetModByName("Fossilsyum.esp")
					if i != 255
					ITEMLIST = DBM_FossilItems
					DISPLAYLIST = DBM_FossilDisplays
					If Game.GetPlayer().GetItemCount(DBM_FossilItems) > 0
						SortGroup()
					Endif
					Endif

					;Vigilant
					i = Game.GetModByName("Vigilant.esp")
					if i != 255
					ITEMLIST = DBM_VigilantItems
					DISPLAYLIST = DBM_VigilantDisplays
					If Game.GetPlayer().GetItemCount(DBM_VigilantItems) > 0
						SortGroup()
					Endif
					Endif

					;Immersive College of Winterhold 
					i = Game.GetModByName("CollegeOfWinterholdImmersive.esp")
					if i != 255
					ITEMLIST = DBM_ICWItems
					DISPLAYLIST = DBM_ICWDisplays
					If Game.GetPlayer().GetItemCount(DBM_ICWItems) > 0
						SortGroup()
					Endif
					Endif

					;Thane weapons reborn
					i = Game.GetModByName("ThaneWeaponsReborn.esp")
					if i != 255
					ITEMLIST = DBM_TWRItems
					DISPLAYLIST = DBM_TWRDisplays
					If Game.GetPlayer().GetItemCount(DBM_TWRItems) > 0 || Game.GetPlayer().GetItemCount(DBM_TWRItemsALT) > 0
						SortGroup()
					Endif
					Endif

					;Forgotten City
					i = Game.GetModByName("ForgottenCity.esp")
					if i != 255
					ITEMLIST = DBM_FCItems
					DISPLAYLIST = DBM_FCDisplays
					If Game.GetPlayer().GetItemCount(DBM_FCItems) > 0 || Game.GetPlayer().GetItemCount(DBM_FCItemsALT) > 0
						SortGroup()
					Endif
					Endif					

					;Treasure Hunt
					i = Game.GetModByName("Treasure_Hunt.esp")
					if i != 255
					ITEMLIST = DBM_MapItems
					DISPLAYLIST = DBM_MapDisplays
					If Game.GetPlayer().GetItemCount(DBM_MapItems) > 0
						SortBooks()
					Endif
					Endif					
					
					;Odyssey Support
					i = Game.GetModByName("OdysseyoftheDragonborn_Act1.esp")
					if i != 255
					ITEMLIST = DBM_ODItems
					DISPLAYLIST = DBM_ODDisplays
					If Game.GetPlayer().GetItemCount(DBM_ODItems) > 0 
						SortGroup()
					Endif
					Endif
					
					Debug.Messagebox("All items displayed")
					DBM_GuidebookHandler.SetStage(10)
					if DBM_Utils.getSharingEnabled()
						SendModEvent("DBM_Message","DoFullScan")
					Endif
				
					DBM_SortWait.SetValue(0)
					gotostate("ready")
				elseif SortBtn == 1 ; Exit
					Return
				endif
			Endif
		Endif
	EndEvent
endstate

state busy
	event OnActivate(ObjectReference akActionRef)
		if (akActionRef == PlayerRef)
			Debug.messagebox("You must wait for the current sorting opperation to complete before starting another")
		endif
	endEvent
endState

Function SortGroup()
	index = DISPLAYLIST.GetSize()
	While index
		index -= 1
		F = ITEMLIST.GetAt(index) as form
		O = DISPLAYLIST.GetAt(index) as ObjectReference
		if F as Formlist
			FormList Sublist = ITEMLIST.GetAt(index) as FormList
			Index2 = Sublist.GetSize()
			While Index2
				index2 -= 1
				F2 = Sublist.GetAt(index2) as Form
					if O && O.IsDisabled() && DISPLAYSAFE.GetItemCount(F2) == 0 &&(PlayerRef.GetItemCount(F2)) && PlayerRef.IsEquipped(F2) == 0 && Game.IsObjectFavorited(F2) == False && DBM_ExcludeList.HasForm(F2) == 0
						PlayerRef.Removeitem(F2, 1, true, DISPLAYSAFE)
						DBM_DisplayMax.Value += 1
						O.Enable()
					endif  
			Endwhile			
		Else
			if O.IsDisabled() && (PlayerRef.GetItemCount(F)) && DISPLAYSAFE.GetItemCount(F) == 0 && PlayerRef.IsEquipped(F) == 0 && Game.IsObjectFavorited(F) == False && DBM_ExcludeList.HasForm(F) == 0
				PlayerRef.Removeitem(F, 1, true, DisplaySafe)
				DBM_DisplayMax.Value += 1
				O.Enable()
			endif            
		Endif
	EndWhile
	O = none
EndFunction

Function SortBooks()
	index = DISPLAYLIST.GetSize()
	While index
		index -= 1
		F = ITEMLIST.GetAt(index) as form
		O = DISPLAYLIST.GetAt(index) as ObjectReference
		if F as Formlist
			FormList Sublist = ITEMLIST.GetAt(index) as FormList
			Index2 = Sublist.GetSize()
			While Index2
				index2 -= 1
				F2 = Sublist.GetAt(index2) as Form
					if O.IsDisabled() && DISPLAYSAFE2.GetItemCount(F2) == 0 &&(PlayerRef.GetItemCount(F2)) && Game.IsObjectFavorited(F2) == False && DBM_ExcludeList.HasForm(F2) == 0
						PlayerRef.Removeitem(F2, 1, true, DISPLAYSAFE2)
						DBM_DisplayMax.Value += 1
						O.Enable()						
					endif  
			Endwhile			
		Else
			if O.IsDisabled() && (PlayerRef.GetItemCount(F)) && DISPLAYSAFE2.GetItemCount(F) == 0 && Game.IsObjectFavorited(F) == False && DBM_ExcludeList.HasForm(F) == 0
				PlayerRef.Removeitem(F, 1, true, DisplaySafe2)
				DBM_DisplayMax.Value += 1
				O.Enable()
			endif            
		Endif           
	EndWhile
	O = none
EndFunction

Function SortJewelry()
	index = ITEMLIST.GetSize()
	While index
		index -= 1
		N = ITEMLIST.GetAt(index) as Armor
		if N as armor
			if JewelryCase.GetItemCount(N) == 0 &&(PlayerRef.GetItemCount(N)) && PlayerRef.IsEquipped(N) == 0 && Game.IsObjectFavorited(N) == False && DBM_ExcludeList.HasForm(F) == 0
				PlayerRef.Removeitem(N, 1, true, JewelryCase)
			endif
		Else
			FormList Sublist = ITEMLIST.GetAt(index) as FormList
			Index2 = Sublist.GetSize()
			While Index2
				index2 -= 1
				N = Sublist.GetAt(index2) as Armor
					if JewelryCase.GetItemCount(N) == 0 &&(PlayerRef.GetItemCount(N)) && PlayerRef.IsEquipped(N) == 0 && Game.IsObjectFavorited(N) == False && DBM_ExcludeList.HasForm(F) == 0
						PlayerRef.Removeitem(N, 1, true, JewelryCase)
					endif  
			Endwhile
		Endif
	EndWhile

	JewelryDisplays.ResetDisplay()
	JewelryDisplays.UpdateDisplay()
	JewelryDisplays.RefreshCount()
EndFunction

Function SortJewelry2()
	index = ITEMLIST.GetSize()
	While index
		index -= 1
		N = ITEMLIST.GetAt(index) as Armor
		if N as armor
			if JewelryCase.GetItemCount(N) == 0 &&(PlayerRef.GetItemCount(N)) && PlayerRef.IsEquipped(N) == 0 && Game.IsObjectFavorited(N) == False && DBM_ExcludeList.HasForm(F) == 0
				PlayerRef.Removeitem(N, 1, true, JewelryCase2)
			endif
		Else
			FormList Sublist = ITEMLIST.GetAt(index) as FormList
			Index2 = Sublist.GetSize()
			While Index2
				index2 -= 1
				N = Sublist.GetAt(index2) as Armor
					if JewelryCase.GetItemCount(N) == 0 && (PlayerRef.GetItemCount(N)) && PlayerRef.IsEquipped(N) == 0 && Game.IsObjectFavorited(N) == False && DBM_ExcludeList.HasForm(F) == 0
						PlayerRef.Removeitem(N, 1, true, JewelryCase2)
					endif  
			Endwhile
		Endif
	EndWhile

	JewelryDisplays2.ResetDisplay()
	JewelryDisplays2.UpdateDisplay()
	JewelryDisplays2.RefreshCount()
EndFunction

Function SortScales()
	index = ITEMLIST.GetSize()
	While index
		index -= 1
		N = ITEMLIST.GetAt(index) as Armor
		if N as armor
			if ScaleCase.GetItemCount(N) == 0 && (PlayerRef.GetItemCount(N)) && PlayerRef.IsEquipped(N) == 0 && Game.IsObjectFavorited(N) == False && DBM_ExcludeList.HasForm(F) == 0
				PlayerRef.Removeitem(N, 1, true, ScaleCase)
			endif
		Else
			FormList Sublist = ITEMLIST.GetAt(index) as FormList
			Index2 = Sublist.GetSize()
			While Index2
				index2 -= 1
				N = Sublist.GetAt(index2) as Armor
					if ScaleCase.GetItemCount(N) == 0 && (PlayerRef.GetItemCount(N)) && PlayerRef.IsEquipped(N) == 0 && Game.IsObjectFavorited(N) == False && DBM_ExcludeList.HasForm(F) == 0
						PlayerRef.Removeitem(N, 1, true, ScaleCase)
					endif  
			Endwhile
		Endif
	EndWhile

	ScaleDisplays.ResetDisplay()
	ScaleDisplays.UpdateDisplay()
	ScaleDisplays.RefreshCount()
EndFunction


Function ArmorySort()
	index = DISPLAYLIST.GetSize()
	While index
			Index -= 1
			O = DisplayList.GetAt(index) as Objectreference
			if O.GetBaseObject() as Weapon
				M = O.GetBaseObject() as Weapon
				if ArmorySafe.GetItemCount(M) == 0 &&(PlayerRef.GetItemCount(M)) && PlayerRef.IsEquipped(M) == 0 && O.IsDisabled() && Game.IsObjectFavorited(M) == False && DBM_ExcludeList.HasForm(F) == 0
					PlayerRef.Removeitem(M, 1, true, ArmorySafe)
					DBM_DisplayMax.Value += 1
					O.Enable()
				Endif
			Elseif O.GetBaseObject() as Armor
				N = O.GetBaseObject() as Armor
				if ArmorySafe.GetItemCount(N) == 0 &&(PlayerRef.GetItemCount(N)) && PlayerRef.IsEquipped(N) == 0 && O.IsDisabled() && Game.IsObjectFavorited(N) == False && DBM_ExcludeList.HasForm(F) == 0
					PlayerRef.Removeitem(N, 1, true, ArmorySafe)
					DBM_DisplayMax.Value += 1
					O.Enable()
				endif  
			Endif
	EndWhile
EndFunction
