Scriptname DBM_PrintingPressScript extends ObjectReference  

ObjectReference Property OriginalCONT Auto
ObjectReference Property PrintSpot Auto
MiscObject Property Leather01 Auto
MiscObject Property Paperroll Auto
MiscObject Property InkWell Auto

Event OnActivate(ObjectReference akActionRef)
	If akActionRef == Game.GetPlayer()
		Form Original = OriginalCONT.GetNthForm(0)
		if Original == none
			Debug.Messagebox("You must place an original book beside the printing press")
		elseif Game.GetPlayer().GetItemCount(Leather01) >= 1 && Game.GetPlayer().GetItemCount(PaperRoll) >= 1 && Game.GetPlayer().GetItemCount(InkWell) >= 1
			PrintSpot.PlaceAtMe(Original, 1)
			OriginalCONT.RemoveItem(Original, 1, akOtherContainer = Game.GetPlayer())
			Game.GetPlayer().RemoveItem(Leather01, 1)
			Game.GetPlayer().RemoveItem(PaperRoll, 1)
			Game.GetPlayer().RemoveItem(InkWell, 1)
		elseif Game.GetPlayer().GetItemCount(Leather01) == 0 || Game.GetPlayer().GetItemCount(PaperRoll) == 0 || Game.GetPlayer().GetItemCount(InkWell) == 0
			Debug.Messagebox("Book printing requires 1 leather, 1 roll of paper and an ink well")
		endif
	Endif
EndEvent