Scriptname DBM_SloadMinionScript extends ObjectReference  
{Controls death events for Sload Minions}

Actor Property aSload Auto
{The boss}
;;Properties from FXSkeletonNecroScript
VisualEffect Property FXNecroSkeletonMultiEffect auto
VisualEffect Property FXSkeletonNecroEyeGlowEffect auto
EffectShader Property SkeletonNecroDeathFXS auto
Activator property AshPileObject auto
Actor selfRef

Float Unit

Event OnInit()
	Unit = (aSload.GetBaseActorValue("Health")/100)
EndEvent


Event OnDeath(Actor akKiller)
	float Remaining = ((aSload as Form) as DBM_SloadCombatScript).GetSloadHealth()
	if Remaining > 10
		aSload.DamageActorValue("Health", (Unit * 10))
	elseif (Remaining < 10) && (Remaining > 0)
		aSload.DamageActorValue("Health", Unit)
	endif
EndEvent

;;BELOW IS MODIFIED VERSION OF FXSkeletonNecroScript TO PREVENT MINIONS DESPAWNING BEFORE SLOAD IS DEAD.

EVENT OnEffectStart(Actor Target, Actor Caster)	
	selfRef = caster	
	FXNecroSkeletonMultiEffect.play(selfRef, -1)
	FXSkeletonNecroEyeGlowEffect.play(selfRef, -1)
ENDEVENT

Event OnEffectFinish(Actor akTarget, Actor akCaster)		
	FXNecroSkeletonMultiEffect.Stop(selfRef)
	FXSkeletonNecroEyeGlowEffect.Stop(selfRef)
ENDEVENT
	
EVENT OnDying(actor myKiller)	
if aSload.IsDead()
	FXNecroSkeletonMultiEffect.stop(selfRef)
	FXSkeletonNecroEyeGlowEffect.stop(selfRef)
	SkeletonNecroDeathFXS.play(selfRef)
	
	selfRef.SetCriticalStage(selfRef.CritStage_DisintegrateStart)
	selfRef.AttachAshPile(AshPileObject)
	
	utility.wait(2)	
	selfRef.SetAlpha (0.0)
	selfRef.SetCriticalStage(selfRef.CritStage_DisintegrateEnd)
endif
ENDEVENT

Function DeathFX()
	FXNecroSkeletonMultiEffect.stop(selfRef)
	FXSkeletonNecroEyeGlowEffect.stop(selfRef)
	SkeletonNecroDeathFXS.play(selfRef)
	
	selfRef.SetCriticalStage(selfRef.CritStage_DisintegrateStart)
	selfRef.AttachAshPile(AshPileObject)
	
	utility.wait(2)	
	selfRef.SetAlpha (0.0)
	selfRef.SetCriticalStage(selfRef.CritStage_DisintegrateEnd)
EndFunction