Scriptname DBM_SOATBowScript extends ObjectReference  

Ammo Property BoundArrow Auto
Quest Property DBM_SOATBowHandler Auto

Event OnEquipped(Actor akActor)
	if akActor == Game.GetPlayer()
		Game.GetPlayer().DamageActorValue("Magicka", 25)
		Game.GetPlayer().AddItem(BoundArrow, 100)
		Game.GetPlayer().equipItem(boundArrow, TRUE, TRUE)
		DBM_SOATBowHandler.RegisterForUpdate(30)
	endif
EndEvent

Event OnUnequipped(Actor akActor)
	if akActor == Game.GetPlayer()
		Game.GetPlayer().RemoveItem(BoundArrow, 100)
		DBM_SOATBowHandler.UnregisterForUpdate()
	Endif
EndEvent	

Event OnContainerChanged(ObjectReference akNewContainer, ObjectReference akOldContainer)
	if akOldContainer == Game.GetPlayer()
		Game.GetPlayer().RemoveItem(BoundArrow, 100)
		akNewContainer.RemoveItem(BoundArrow, 100)
		DBM_SOATBowHandler.UnregisterForUpdate()
	Endif
EndEvent