Scriptname DBM_VaultCofferScript extends ObjectReference  

ObjectReference Property CofferDISP Auto
ObjectReference Property CofferBox Auto
MiscObject Property Coffer Auto
Quest Property DBM_OgnumCofferHandler Auto

Event OnActivate(ObjectReference akActionRef)
	if akActionRef == Game.GetPlayer()
		if CofferDISP.IsDisabled()
			if Game.GetPlayer().GetItemCount(Coffer) == 1
				Game.GetPlayer().RemoveItem(Coffer, 1, akOtherContainer = CofferBox)
				CofferDISP.Enable()
				DBM_OgnumCofferHandler.RegisterForSingleUpdateGameTime(24)
				Debug.Messagebox("The coffer will overflow daily and continue to fill your treasury so long as it remains here.")
			Endif
		elseif CofferDISP.IsEnabled()
			CofferBox.RemoveItem(Coffer, 1, akOtherContainer = Game.GetPlayer())
			CofferDISP.Disable()
		Endif
	Endif
EndEvent