Scriptname DBM_VisageEquipScript extends ObjectReference  

Perk Property VisagePerk Auto
Spell Property VisageAbility Auto
GlobalVariable Property DBM_VisageEquipped Auto


Event OnEquipped(Actor akActor)
	if akActor == Game.GetPlayer()
		Game.GetPlayer().AddPerk(VisagePerk)
		Game.GetPlayer().AddSpell(VisageAbility)
		DBM_VisageEquipped.Value += 1
	Endif
EndEvent

Event OnUnEquipped(Actor akActor)
	if akActor == Game.GetPlayer()
		Game.GetPlayer().RemovePerk(VisagePerk)
		Game.GetPlayer().RemoveSpell(VisageAbility)
		DBM_VisageEquipped.Value -= 1
	Endif
EndEvent

Event OnContainerChanged(ObjectReference akNewContainer, ObjectReference akOldContainer)
	if akOldContainer == Game.GetPlayer()
		Game.GetPlayer().RemovePerk(VisagePerk)
		Game.GetPlayer().RemoveSpell(VisageAbility)
		DBM_VisageEquipped.Value -= 1
	Endif
EndEvent