Scriptname _DC_ClosetSortScript extends ObjectReference  

ObjectReference Property StandardCasual1 Auto
ObjectReference Property StandardCasual2 Auto
ObjectReference Property StandardFormal1 Auto
ObjectReference Property StandardFormal2 Auto
ObjectReference Property StandardSleep Auto
ObjectReference Property StandardSwim Auto

ObjectReference Property AdventureTravel Auto
ObjectReference Property AdventureArmor1 Auto
ObjectReference Property AdventureArmor2 Auto
ObjectReference Property AdventureArmor3 Auto
ObjectReference Property AdventureCeremonial Auto
ObjectReference Property AdventureHunting Auto

ObjectReference Property WorkSmithing Auto
ObjectReference Property WorkEnchanting Auto
ObjectReference Property WorkAlchemy Auto
ObjectReference Property WorkMerchant Auto
ObjectReference Property WorkFarm Auto
ObjectReference Property WorkMining Auto

Message Property ClosetMainMsg Auto
Message Property WorkClothesMsg Auto
Message Property StandardClothesMsg Auto
Message Property AdventureClothesMsg Auto

ObjectReference CurContainer

Event OnActivate(ObjectReference akActionRef)

	int BTN1 = ClosetMainMsg.show()
		if BTN1 == 0   ; list work attire

					int BTN2 = WorkClothesMsg.show()
					if BTN2 == 0  									; Smithing
						CurContainer = WorkSmithing
						StoreAttire(Game.GetPlayer())

					elseif BTN2 == 1								; Enchanting
						CurContainer = WorkEnchanting
						StoreAttire(Game.GetPlayer())

					elseif BTN2 == 2								; Alchemy
						CurContainer = WorkAlchemy
						StoreAttire(Game.GetPlayer())

					elseif BTN2 == 3								; Merchant
						CurContainer = WorkMerchant
						StoreAttire(Game.GetPlayer())

					elseif BTN2 == 4								; Farm
						CurContainer = WorkFarm
						StoreAttire(Game.GetPlayer())

					elseif BTN2 == 5								; Mining
						CurContainer = WorkMining
						StoreAttire(Game.GetPlayer())
					elseif BTN2 == 6
						;cancel
					Endif

		elseif BTN1 == 1  ;   list Standard attire

					int BTN3 = StandardClothesMsg.show()
					if BTN3 == 0  									; Casual1
						CurContainer = StandardCasual1
						StoreAttire(Game.GetPlayer())

					elseif BTN3 == 1								; Casual2
						CurContainer = StandardCasual2
						StoreAttire(Game.GetPlayer())

					elseif BTN3 == 2								; Formal1
						CurContainer = StandardFormal1
						StoreAttire(Game.GetPlayer())

					elseif BTN3 == 3								; Formal2
						CurContainer = StandardFormal2
						StoreAttire(Game.GetPlayer())

					elseif BTN3 == 4								; Sleep
						CurContainer = StandardSleep
						StoreAttire(Game.GetPlayer())

					elseif BTN3 == 5								; Swim
						CurContainer = StandardSwim
						StoreAttire(Game.GetPlayer())
					elseif BTN3 == 6
						;cancel
					Endif


		elseif BTN1 == 2  ;   list adventure attire

					int BTN4 = AdventureClothesMsg.show()
					if BTN4 == 0  									; Armor1
						CurContainer = AdventureArmor1
						StoreAttire(Game.GetPlayer())

					elseif BTN4 == 1								; Armor2
						CurContainer = AdventureArmor2
						StoreAttire(Game.GetPlayer())

					elseif BTN4 == 2								; Armor3
						CurContainer = AdventureArmor3
						StoreAttire(Game.GetPlayer())

					elseif BTN4 == 3								; Travel
						CurContainer = AdventureTravel
						StoreAttire(Game.GetPlayer())

					elseif BTN4 == 4								; Hunting
						CurContainer = AdventureHunting
						StoreAttire(Game.GetPlayer())

					elseif BTN4 == 5								; Ceremonial
						CurContainer = AdventureCeremonial
						StoreAttire(Game.GetPlayer())
					elseif BTN4 == 6
						;cancel
					Endif
		Elseif BTN1 == 3 ; cancel
			;cancel					
		Endif


endevent


String[] Function StoreAttire(Actor target)
    String[] wornForms = new String[30]
    int index
    int slotsChecked
 
    int thisSlot = 0x01
    while (thisSlot < 0x80000000)
        if (Math.LogicalAnd(slotsChecked, thisSlot) != thisSlot) ;only check slots we haven't found anything equipped on already
            Armor thisArmor = target.GetWornForm(thisSlot) as Armor
		if thisArmor != NONE
        		Game.GetPlayer().RemoveItem(ThisArmor, absilent = True,  akothercontainer = CurContainer)
		endif
            else ;no armor was found on this slot
                slotsChecked += thisSlot
            endif

        thisSlot *= 2 ;double the number to move on to the next slot
    endWhile
EndFunction