Scriptname DBM_AddPerkScript extends ObjectReference  

Perk Property PerkToAdd Auto

Event OnEquipped(Actor akActor)
  if akActor == Game.GetPlayer()
	Game.GetPlayer().AddPerk(PerkToAdd)
  endIf
endEvent

Event OnUnEquip(Actor akActor)
  if akActor == Game.GetPlayer()
	Game.GetPlayer().RemovePerk(PerkToAdd)
  endIf
endEvent

Event OnContainerChanged(ObjectReference akNewContainer, ObjectReference akOldContainer)
	if akOldContainer == Game.GetPlayer()
		Game.GetPlayer().RemovePerk(PerkToAdd)
	endif
EndEvent