Scriptname DBM_CompassScript extends ObjectReference  

Message Property DBM_CompassControl Auto
Message Property DBM_CompassControl2 Auto
Message Property DBM_CompassFound Auto
Message Property WayMSG Auto
Message Property SetLOC Auto
Message Property ResetCompass Auto
Message Property MyMessage Auto

ObjectReference Property Waymark Auto
ObjectReference Property WaymarkWait Auto
ObjectReference Property HomeMark Auto
GlobalVariable Property GameHour Auto

ObjectReference Property LocMark1 Auto
ObjectReference Property LocMark2 Auto
ObjectReference Property LocMark3 Auto

GlobalVariable Property RelicHunterStart Auto
Int Property DoOnce Auto

String Location1
String Location2
String Location3
String Wayspot

Location Property DBM_SafehouseLOC Auto
Quest Property DBM_hauntedMuseumQuest Auto
Quest Property DBM_MuseumheistQuest Auto
ObjectReference Property MuseumMark Auto


Int Property Port Auto

Event OnEquipped(Actor akActor)
	if (Game.GetPlayer() == akActor)
	int BTN = DBM_CompassControl.show()
		if BTN == 0 ; Travel 
			if Port == 0 ; Compass not set
				Debug.Messagebox("You must set the compass home location first")
			elseif Port == 1 ; teleport menu
				if Game.getPlayer().IsInInterior() == false
					
					GetNames()
					
					Debug.Messagebox("Do you want to travel to " + location1 + "(Location 1), " + Location2 + " (Location 2), or " + Location3 + " (Location 3) ?")
				
					Int PortBTN = DBM_CompassControl2.show()
					if PortBTN == 0 ; Location 1
						if LOCMark1.GetParentCell() != WayMarkWait.GetParentCell()
							int WaymarkBTN = WayMSG.show()
							if WayMarkBTN == 0 ; yes, set waymarker
								Waymark.MoveTo(Game.GetPlayer())
							Elseif WayMarkBTN == 1 ; no, don't set waymarker
							Endif
							if DBM_HauntedMuseumQuest.GetStage() >= 5 && DBM_HauntedMuseumQuest.GetStage() < 110 || DBM_MuseumHeistQuest.GetStage() >= 5 && DBM_MuseumHeistQuest.GetStage() < 60
								if LOCMark1.GetCurrentLocation() == DBM_SafehouseLOC
									Game.GetPlayer().MoveTo(MuseumMark)
									Debug.Messagebox("Something feels amiss at the museum")									
								Else
									Game.GetPlayer().MoveTo(LOCmark1)
									Gamehour.Value +6
								Endif
							Else
								Game.GetPlayer().MoveTo(LOCmark1)
								Gamehour.Value +6							
							Endif		
						Else
							Debug.MessageBox("No location set for Location 1")
						Endif
					elseif PortBTN == 1 ; Location 2
						if LOCMark2.GetParentCell() != WayMarkWait.GetParentCell()
							int WaymarkBTN = WayMSG.show()
							if WayMarkBTN == 0 ; yes, set waymarker
								Waymark.MoveTo(Game.GetPlayer())
							Elseif WayMarkBTN == 1 ; no, don't set waymarker
							Endif
							if DBM_HauntedMuseumQuest.GetStage() >= 5 && DBM_HauntedMuseumQuest.GetStage() < 110 || DBM_MuseumHeistQuest.GetStage() >= 5 && DBM_MuseumHeistQuest.GetStage() < 60
								if LOCMark2.GetCurrentLocation() == DBM_SafehouseLOC
									Game.GetPlayer().MoveTo(MuseumMark)
									Debug.Messagebox("Something feels amiss at the museum")
								Else
									Game.GetPlayer().MoveTo(LOCmark2)
									Gamehour.Value +6
								Endif
							Else
								Game.GetPlayer().MoveTo(LOCmark2)
								Gamehour.Value +6							
							Endif		
						Else
							Debug.MessageBox("No location set for Location 2")
						Endif
					elseif PortBTN == 2 ; Location 3
						if LOCMark3.GetParentCell() != WayMarkWait.GetParentCell()
							int WaymarkBTN = WayMSG.show()
							if WayMarkBTN == 0 ; yes, set waymarker
								Waymark.MoveTo(Game.GetPlayer())
							Elseif WayMarkBTN == 1 ; no, don't set waymarker
							Endif
							if DBM_HauntedMuseumQuest.GetStage() >= 5 && DBM_HauntedMuseumQuest.GetStage() < 110 || DBM_MuseumHeistQuest.GetStage() >= 5 && DBM_MuseumHeistQuest.GetStage() < 60
								if LOCMark3.GetCurrentLocation() == DBM_SafehouseLOC
									Game.GetPlayer().MoveTo(MuseumMark)
									Debug.Messagebox("Something feels amiss at the museum")									
								Else
									Game.GetPlayer().MoveTo(LOCmark3)
									Gamehour.Value +6
								Endif
							Else
								Game.GetPlayer().MoveTo(LOCmark3)
								Gamehour.Value +6							
							Endif		
						Else
							Debug.MessageBox("No location set for Location 3")
						Endif
					elseif PortBTN == 3 ; BACK
						BTN = DBM_CompassControl.show()
					Endif
				else
					Debug.Notification("You must be outdoors to use this")
				endif
			endif
		elseif BTN == 1 ; Teleport to Waymarker
		if Waymark.GetParentCell() != WayMarkWait.GetParentCell() 
			Game.GetPlayer().Moveto(Waymark)
			Gamehour.Value +6
			Waymark.MoveTo(WayMarkWait)
		Else
			Debug.messagebox("No waymark has been set, travel to a preset location to set a waymark to your current location.")
		Endif
			
		elseif BTN == 2 ; Set a location

			Int SetBTN = SetLOC.show()
			if SetBTN == 0 ; Loc 1
				LocMark1.Moveto(Game.GetPlayer())
				Port = 1
				GetNames()
				Debug.Messagebox("This location has now been set to return to " + Location1 + " ")
			Elseif SetBTN == 1 ; Loc2
				LocMark2.Moveto(Game.GetPlayer())
				Port = 1
				GetNames()
				Debug.Messagebox("This location has now been set to return to " + Location2 + " ")			
			Elseif SetBTN == 2 ; Loc3
				LocMark3.Moveto(Game.GetPlayer())
				Port = 1
				GetNames()
				Debug.Messagebox("This location has now been set to return to " + Location3 + " ")
			Else
				BTN = DBM_CompassControl.show()
			endif

		Elseif BTN == 3 ; reset compass
			Int SetBTN = ResetCompass.show()
			if SetBTN == 0 ; Yes reset
				WayMark.Moveto(WayMarkWait)
				LocMark1.Moveto(WayMarkWait)
				LocMark2.Moveto(WayMarkWait)
				LocMark3.Moveto(WayMarkWait)
				Port = 0
				debug.Messagebox("Compass has been reset. You must set at least 1 location prior to use")
			Elseif SetBTN == 1 ; No don't reset
			endif
		Elseif BTN == 4 ; check headings
					GetNames()
					Debug.Messagebox("Your compass is calibrated to travel to " + location1 + "(Location 1), " + Location2 + " (Location 2), " + Location3 + " (Location 3), and Waymark is set to " + Wayspot + " ")		

		elseif BTN == 4 ; exit
			return
		endif	
	endif
endevent

Event OnContainerChanged(ObjectReference akNewContainer, ObjectReference akOldContainer)
	if akNewContainer == Game.GetPlayer()
		if RelicHunterStart.Value == 1 && DoOnce == 0
			Debug.Messagebox("Now what's this thing? wow I must have really taken a hit. Ok, I rememember, this dwemer compass will allow me to mark locations to quickly travel to, but it only gives me good headings outdoors.")
			DoOnce = 1
		Endif
	Endif
endevent

Function getNames()
					if LOCMark1.IsInInterior() && LOCMark1.GetParentCell() != WayMarkWait.GetParentCell()              ; the Location 1 marker is not in the utility cell
						Location1 = LOCmark1.GetParentCell().getName()
					Elseif LOCMark1.GetParentCell() == WayMarkWait.GetParentCell()
						Location1 = "NONE"
					Else
						Location1 = LOCMark1.GetCurrentLocation().GetName()
					Endif
					
					if LOCMark2.IsInInterior() && LOCMark2.GetParentCell() != WayMarkWait.GetParentCell()              ; the Location 2 marker is not in the utility cell
						Location2 = LOCmark2.GetParentCell().getName()
					Elseif LOCMark2.GetParentCell() == WayMarkWait.GetParentCell()
						Location2 = "NONE"
					Else
						Location2 = LOCMark2.GetCurrentLocation().GetName()
					Endif					
					
					if LOCMark3.IsInInterior() && LOCMark3.GetParentCell() != WayMarkWait.GetParentCell()              ; the Location 3 marker is not in the utility cell
						Location3 = LOCmark3.GetParentCell().getName()
					Elseif LOCMark3.GetParentCell() == WayMarkWait.GetParentCell()
						Location3 = "NONE"
					Else
						Location3 = LOCMark3.GetCurrentLocation().GetName()
					Endif	
					
					if Waymark.IsInInterior() && Waymark.GetParentCell() != WayMarkWait.GetParentCell()              ; the Location 3 marker is not in the utility cell
						Wayspot = Waymark.GetParentCell().getName()
					Elseif Waymark.GetParentCell() == WayMarkWait.GetParentCell()
						Wayspot = "NONE"
					Else
						Wayspot = Waymark.GetCurrentLocation().GetName()
					Endif
EndFunction