Scriptname DBM_CraftLootScript extends ObjectReference

ObjectReference Property DBM_orestore1 Auto
ObjectReference Property DBM_GemBox1 Auto
ObjectReference Property DBM_ingredientstorage1 Auto
ObjectReference Property DBM_soulgembox1 Auto
ObjectReference Property DBM_Leatherstore1 Auto
ObjectReference Property DBM_WoodPile2 Auto
ObjectReference Property DBM_FoodContainerRaw Auto
ObjectReference Property DBM_FoodContainerCooked Auto
ObjectReference Property DBM_LiquorStore2 Auto
ObjectReference Property DBM_heartstonecontainerref Auto
ObjectReference Property DBM_MaterialStore Auto
ObjectReference Property CraftingTable Auto

Globalvariable Property SortIngot Auto
Globalvariable Property SortGems Auto
Globalvariable Property SortIngr Auto
Globalvariable Property SortSG Auto
Globalvariable Property SortRaw Auto
Globalvariable Property SortCooked Auto
Globalvariable Property SortLiquor Auto
Globalvariable Property SortLeather Auto
Globalvariable Property SortMaterials Auto
Globalvariable Property SortFirewood Auto

Globalvariable Property Craftloot Auto
Int Property StationType Auto
{1 = Smithing, 2 = Leather 3 = Enchanting, 4 = Alchemy, 5 = cooking, 6 = Staff maker, 7 = soul font, 8 = Distillery, 9 = Scribe Desk, 0 = all}

Perk OrdAdvLab
Perk OrdAdvWorkshop
Perk OrdGemDust

Auto State Ready

Event OnActivate(ObjectReference akActionRef)
if akactionref == game.getplayer()
GoToState("Working")

if StationType == 1
	if SortIngot.GetvalueInt() == 1
		DBM_OreStore1.removeAllItems(akactionref)
	Endif
	if SortGems.GetvalueInt() == 1
		DBM_GemBox1.removeAllItems(akactionref)
	Endif
	if SortLeather.GetvalueInt() == 1
		DBM_Leatherstore1.removeAllItems(akactionref)
	Endif
	if SortFirewood.GetvalueInt() == 1
		DBM_Woodpile2.removeAllItems(akactionref)
	Endif
	if SortMaterials.GetvalueInt() == 1
		DBM_MaterialStore.removeAllItems(akactionref)
	Endif
Endif

if StationType == 2
	if SortLeather.GetvalueInt() == 1
		DBM_Leatherstore1.removeAllItems(akactionref)
	Endif
Endif

if StationType == 3
	if SortSG.GetvalueInt() == 1
		DBM_soulgembox1.removeAllItems(akactionref)
	Endif
	if SortGems.GetvalueInt() == 1
		DBM_GemBox1.removeAllItems(akactionref)
	Endif
Endif

if StationType == 4
	if SortIngr.GetvalueInt() == 1
		DBM_ingredientstorage1.removeAllItems(akactionref)
	Endif
Endif

if StationType == 5
	if SortRaw.GetvalueInt() == 1
		DBM_FoodContainerRaw.removeAllItems(akactionref)
	Endif
	if SortCooked.GetvalueInt() == 1
		DBM_FoodContainerCooked.removeAllItems(akactionref)
	Endif
	if SortLiquor.GetvalueInt() == 1
		DBM_liquorstore2.removeAllItems(akactionref)
	Endif
		if SortIngr.GetvalueInt() == 1
		DBM_ingredientstorage1.removeAllItems(akactionref)
	Endif
Endif

if StationType == 6
	if SortFirewood.GetvalueInt() == 1
		DBM_Woodpile2.removeAllItems(akactionref)
	Endif
	if SortSG.GetvalueInt() == 1
		DBM_heartstonecontainerref.removeAllItems(akactionref)
	Endif
Endif

if StationType == 7
	if SortSG.GetvalueInt() == 1
		DBM_soulgembox1.removeAllItems(akactionref)
	Endif
Endif

if StationType == 8
	if SortLiquor.GetvalueInt() == 1
		DBM_liquorstore2.removeAllItems(akactionref)
	Endif
	if SortRaw.GetvalueInt() == 1
		DBM_FoodContainerRaw.removeAllItems(akactionref)
	Endif
	if SortIngr.GetvalueInt() == 1
		DBM_ingredientstorage1.removeAllItems(akactionref)
	Endif
Endif

if StationType == 9
	if SortLeather.GetvalueInt() == 1
		DBM_Leatherstore1.removeAllItems(akactionref)
	Endif
Endif


if StationType == 0
	if SortIngot.GetvalueInt() == 1
		DBM_OreStore1.removeAllItems(akactionref)
	Endif
	if SortGems.GetvalueInt() == 1
		DBM_GemBox1.removeAllItems(akactionref)
	Endif
	if SortLeather.GetvalueInt() == 1
		DBM_Leatherstore1.removeAllItems(akactionref)
	Endif
	if SortFirewood.GetvalueInt() == 1
		DBM_Woodpile2.removeAllItems(akactionref)
	Endif
	if SortMaterials.GetvalueInt() == 1
		DBM_MaterialStore.removeAllItems(akactionref)
	Endif
	if SortSG.GetvalueInt() == 1
		DBM_soulgembox1.removeAllItems(akactionref)
	Endif
	if SortIngr.GetvalueInt() == 1
		DBM_ingredientstorage1.removeAllItems(akactionref)
	Endif
	if SortRaw.GetvalueInt() == 1
		DBM_FoodContainerRaw.removeAllItems(akactionref)
	Endif
	if SortCooked.GetvalueInt() == 1
		DBM_FoodContainerCooked.removeAllItems(akactionref)
	Endif
	if SortLiquor.GetvalueInt() == 1
		DBM_liquorstore2.removeAllItems(akactionref)
	Endif
	if SortFirewood.GetvalueInt() == 1
		DBM_Woodpile2.removeAllItems(akactionref)
	Endif
Endif



debug.Notification("Supplies gathered, ready to craft")
Utility.Wait(1)
If CraftingTable.IsDisabled()
CraftingTable.enable()
EndIf
Utility.Wait(1)
if ShouldActivate()
	CraftingTable.Activate(akactionref)
endif
GoToState("Ready")
Endif
endevent

EndState

State Working
Event OnActivate(ObjectReference akActionRef)
if akactionref == game.getplayer()

EndIf
EndEvent
EndState

Bool Function ShouldActivate()
	if (!OrdAdvWorkshop || !OrdAdvLab || !OrdGemDust) && Game.GetModByName("Ordinator - Perks of Skyrim.esp") != 255 
		OrdAdvWorkshop = Game.GetFormFromFile(0x03BAFE, "Ordinator - Perks of Skyrim.esp") as Perk
		OrdGemDust = Game.GetFormFromFile(0x0389FC, "Ordinator - Perks of Skyrim.esp") as Perk
		OrdAdvLab = Game.GetFormFromFile(0x03D68B, "Ordinator - Perks of Skyrim.esp") as Perk
	endif
	
	if OrdAdvWorkshop || OrdGemDust || OrdAdvLab
		if (Game.GetPlayer().HasPerk(OrdAdvWorkshop) && StationType == 1) || (Game.GetPlayer().HasPerk(OrdGemDust) && StationType == 3) || (Game.GetPlayer().HasPerk(OrdAdvLab) && StationType == 4)
			Return False 
		elseif (Game.GetModByName("Complete Alchemy & Cooking Overhaul.esp") != 255 && StationType == 4)
			Return False
		else
			Return True
		endif
	else
		Return True
	endif
EndFunction