Scriptname DBM_CraftlootToggleScript extends ObjectReference  

GlobalVariable Property CraftLoot Auto
ObjectReference Property ForgeREF Auto
ObjectReference Property TanningRackREF Auto
ObjectReference Property SharpeningStoneREF Auto
ObjectReference Property ArmorTableREF Auto
ObjectReference Property EnchantingTableREF Auto
ObjectReference Property AlchemyTableREF Auto
ObjectReference Property StaffTableREF Auto
ObjectReference Property SmelterREF Auto
ObjectReference Property OvenREF Auto
ObjectReference Property CookPotREF Auto
ObjectReference Property ScribeDeskREF Auto
ObjectReference Property ReplicaBenchREF Auto
ObjectReference Property DistilleryREF Auto
ObjectReference Property SoulFontREF Auto

Event OnActivate(ObjectReference akActionref)
if akActionRef == Game.GetPlayer()
	if CraftLoot.Value == 1
		CraftLoot.Value = 0
		ForgeREF.Enable()
		TanningRackREF.Enable()
		SharpeningStoneREF.Enable()
		ArmorTableREF.Enable()
		EnchantingTableREF.Enable()
		AlchemyTableREF.Enable()
		StaffTableREF.Enable()
		SmelterREF.Enable()
		OvenREF.Enable()
		CookPotREF.Enable()
		ScribeDeskREF.Enable()
		ReplicaBenchREF.Enable()
		DistilleryREF.Enable()
		SoulFontREF.Enable()
		Debug.MessageBox("Craftlooting is now OFF. Crafting materials will NOT be added to your inventory from storage and replaced after crafting")
	Elseif CraftLoot.Value == 0
		CraftLoot.Value = 1
		ForgeREF.Disable()
		TanningRackREF.Disable()
		SharpeningStoneREF.Disable()
		ArmorTableREF.Disable()
		EnchantingTableREF.Disable()
		AlchemyTableREF.Disable()
		StaffTableREF.Disable()
		SmelterREF.Disable()
		OvenREF.Disable()
		CookPotREF.Disable()
		ScribeDeskREF.Disable()
		ReplicaBenchREF.Disable()
		DistilleryREF.Disable()
		SoulFontREF.Disable()
		Debug.MessageBox("Craftlooting is now ON. Crafting materials will be added to your inventory from storage and replaced after crafting")
	endif
    endIf
EndEvent