Scriptname DBM_Excavation01TrapScript extends ObjectReference  

ObjectReference Property Door1 Auto
ObjectReference Property Door2 Auto
Quest Property DBM_Excavation01 Auto
ObjectReference Property EX01Block Auto

Auto State ReadyTrigger

Event OnCellAttach()
	Door1.Activate(Game.Getplayer())
	Door2.Activate(Game.Getplayer())
Endevent

Event OnTriggerEnter(ObjectReference akActionRef)
    if akActionRef == Game.GetPlayer()
        ;Debug.Notification("tigger entered")
        RegisterForSingleUpdate(0.2)
        GoToState("TriggerRunning")
    Endif
EndEvent

EndState

State TriggerRunning

Event OnUpdate()
	EX01Block.Enable()
	Door1.Activate(Game.Getplayer())
      	Door2.Activate(Game.Getplayer())
	DBM_Excavation01.SetStage(142)
	Door1.Lock()
	Door2.Lock()
	Door1.SetLockLevel(255)
	Door2.SetLockLevel(255)
	Utility.wait(15)
	DBM_Excavation01.SetStage(143)
	Self.Disable()
EndEvent

EndState