Scriptname DBM_GearPuzzleScript extends ObjectReference  

Float Property PosX Auto
Float Property PosY Auto
Float Property PosZ Auto
Float Property AngX Auto
Float Property AngY Auto
Float Property AngZ Auto
Float Property SPD Auto

Float Property PosX2 Auto
Float Property PosY2 Auto
Float Property PosZ2 Auto
Float Property AngX2 Auto
Float Property AngY2 Auto
Float Property AngZ2 Auto
Float Property SPD2 Auto

Float Property RingX Auto
Float Property RingY Auto
Float Property RingZ Auto
Float Property RingAX Auto
Float Property RingAY Auto
Float Property RingAZ Auto

ObjectReference Property PillarMark Auto

ObjectReference Property Part1 Auto
ObjectReference Property Part2 Auto
ObjectReference Property Part3 Auto
ObjectReference Property Part4 Auto
ObjectReference Property Part5 Auto
ObjectReference Property Part6 Auto
ObjectReference Property Part7 Auto
ObjectReference Property Part8 Auto
ObjectReference Property Part9 Auto
ObjectReference Property Part10 Auto
ObjectReference Property Part11 Auto
ObjectReference Property Part12 Auto

Scene Property MyScene Auto

Sound Property DRSMetalPitGateOpenSND Auto
Sound Property DRSMetalPitGateCloseSND Auto

ObjectReference Property Pillar Auto
GlobalVariable Property DBM_GearSolved Auto

Function PillarShow()
	Part1.TranslateTo(-1628.161255, -0.387700, -64, 0, 0, 0, SPD, afMaxRotationSpeed = 20.0)
	Part2.TranslateTo(-1628.161255, -0.387700, -64, 0, 0, 0, SPD, afMaxRotationSpeed = 20.0)
	Part3.TranslateTo(-1628.161255, -0.387700, -64, 0, 0, 0, SPD, afMaxRotationSpeed = 20.0)
	Part4.TranslateTo(-1628.161255, -0.387700, -64, 0, 0, 0, SPD, afMaxRotationSpeed = 20.0)
	Utility.wait(3)
	Pillar.Enable()
EndFunction

Auto State GearSpotA

Event OnActivate(ObjectReference akActionRef)
	Self.TranslateTo(PosX, PosY, PosZ, AngX, AngY, AngZ, SPD, afMaxRotationSpeed = 20.0)
	DRSMetalPitGateOpenSND.Play(Self)
EndEvent

Event OnTranslationComplete()
	GoToState("GearSpotB")
	DRSMetalPitGateCloseSND.Play(Self)
;	DBM_GearSolved.Value += 1
;	if DBM_GearSolved.Value == 12

	if Part1.getdistance(PillarMark) <= 400 && Part2.getdistance(PillarMark) <= 400 && Part3.getdistance(PillarMark) <= 400 && Part4.getdistance(PillarMark) <= 400 && Part5.getdistance(PillarMark) <= 400 && Part6.getdistance(PillarMark) <= 400 && Part7.getdistance(PillarMark) <= 400 && Part8.getdistance(PillarMark) <= 400 && Part9.getdistance(PillarMark) <= 400 && Part10.getdistance(PillarMark) <= 400 && Part11.getdistance(PillarMark) <= 400 && Part12.getdistance(PillarMark) <= 400
		PillarShow()
		MyScene.Start()
	Endif
EndEvent

Event OnCellAttach()
	Self.MoveToMyEditorLocation()
	GoToState("GearSpotA")
EndEvent

EndState

State GearSpotB

Event OnActivate(ObjectReference akActionRef)
	Self.TranslateTo(PosX2, PosY2, PosZ2, AngX2, AngY2, AngZ2, SPD2, afMaxRotationSpeed = 20.0)
	DRSMetalPitGateOpenSND.Play(Self)
	DBM_GearSolved.Value -= 1
EndEvent

Event OnTranslationComplete()
	GoToState("GearSpotA")
EndEvent

Event OnCellAttach()
	Self.MoveToMyEditorLocation()
	GoToState("GearSpotA")
	DRSMetalPitGateCloseSND.Play(Self)
	Pillar.Disable()
EndEvent

EndState
