Scriptname DBM_GhostHelmScript extends ObjectReference  

Actor Property PlayerRef Auto
Spell  Property ATPOWER Auto
Perk Property PerkToAdd Auto

Event OnEquipped(Actor akActor)
  if akActor == PlayerRef
	PlayerRef.addspell (ATPOWER, abverbose = true)
	Game.GetPlayer().AddPerk(PerkToAdd)
  endif
endevent

Event OnUnequipped(Actor akActor)
  if akActor == PlayerRef
	Game.GetPlayer().RemovePerk(PerkToAdd)
	PlayerRef.removespell (ATPOWER)
	Game.GetPlayer().SetAlpha(1)
  endif
endevent

Event OnContainerChanged(ObjectReference akNewContainer, ObjectReference akOldContainer)
	if akOldContainer == Game.GetPlayer()
		Game.GetPlayer().RemovePerk(PerkToAdd)
		PlayerRef.removespell (ATPOWER)
		Game.GetPlayer().SetAlpha(1)
	Endif
EndEvent
