Scriptname DBM_LavaScript extends ObjectReference  

Keyword property DLC1LD_LavaKeyword Auto
Explosion property DLC1LD_LavaTriggerExplosion Auto
Spell property DLC1LD_LavaImagespaceSpell Auto
ObjectReference Property Lava Auto

Event OnTrigger(ObjectReference triggerRef)
if Game.GetPlayer().IsSwimming() == True
         Game.GetPlayer().AddSpell(DLC1LD_LavaImagespaceSpell, False)
Elseif Game.GetPlayer().IsSwimming() == False
	   Game.GetPlayer().RemoveSpell(DLC1LD_LavaImagespaceSpell)
Endif

If Game.GetPlayer().IsSwimming() == True
	if (((TriggerRef as actor) != None) && !(triggerRef as actor).IsDead())
		;If the actor does not already have this fire effect on them
		if !(triggerRef as actor).HasMagicEffectWithKeyword(DLC1LD_LavaKeyword)
 			;debug.Trace(self + " has applied gas to " + triggerRef)
			triggerRef.placeAtMe(DLC1LD_LavaTriggerExplosion)
		endif
	endif
Endif

EndEvent
