Scriptname DBM_MAASE_ForceFieldControl extends ObjectReference  
{Controller for buttons that turn forcefields on and off}

Sound property ShieldDown auto
{Replace button press sound}
Sound property ShieldUp auto
{Shield Activates sound}
Formlist property ForceFieldList auto
{FormList for Static Forcefields}
Formlist property Gear1List auto
{Formlist for Gear1}
Formlist property Gear2List auto
{Formlist for Gear2}

ObjectReference Field

Function OnActivate(ObjectReference akActor)
	self.PlayAnimation("Trigger01")
	if Field == none
		Field = game.FindClosestReferenceOfAnyTypeInListFromRef(ForceFieldList, self as ObjectReference, 2000.00)
	endIf
	ObjectReference Gear1 = game.FindClosestReferenceOfAnyTypeInListFromRef(Gear1List, Field, 250.000)
	ObjectReference Gear2 = game.FindClosestReferenceOfAnyTypeInListFromRef(Gear2List, Field, 250.000)
	if Field.IsDisabled()
		ShieldUp.Play(self as ObjectReference)
		Field.Enable(true)
		Gear1.PlayAnimation("startLooping")
		Gear2.PlayAnimation("startLooping")
	else
		ShieldDown.Play(self as ObjectReference)
		Field.Disable(true)
		Gear1.PlayAnimation("startOFF")
		Gear2.PlayAnimation("startOFF")
	endIf
endFunction