Scriptname DBM_MAASE_ShadeAppearScript extends ObjectReference  
{Shade Ambush on exiting ruins}

Quest Property MAASE Auto
{Much Ado About Snow Elves}
Sound property WeLostSFX auto
{We lost everything SFX}
sound property WailSFX auto
{Shade wait SFX}
Explosion Property DramaticEntrance auto
{Explosion when shade appears}
Spell Property AmbushSpell auto
{Spell it hit player with}
Actorbase Property Shade auto
{Shade base actor to spawn}

ObjectReference property AmbushMarker auto
{Where the shade appears}
Weapon Property Staff auto
{Staff taken from ruin}

Bool Done = FALSE
ObjectReference Ghost

function OnTriggerEnter(ObjectReference akPlayer)
		if akPlayer == Game.GetPlayer() && !Done && game.GetPlayer().GetItemCount(Staff) > 0 && MAASE.IsRunning() && !MAASE.IsCompleted()
			Done = TRUE
			Ghost = AmbushMarker.PlaceAtMe(Shade, 1, false, false)
			Ghost.PlaceAtMe(DramaticEntrance, 1, false, false)
			Ghost.SetScale(0.100000)
			Float SCL = 0.100000
			while SCL < 1.00000
				SCL += 0.0500000
				Ghost.SetScale(SCL)
			endWhile
			WeLostSFX.Play(Self)
			Utility.Wait(2.00000)
			WailSFX.Play(Game.GetPlayer())
			Actor GhostA = Ghost as actor
			;GhostA.SendAssaultAlarm()
			GhostA.StartCombat(Game.GetPlayer())
			GhostA.EvaluatePackage()
			AmbushSpell.Cast(GhostA, game.GetPlayer() as ObjectReference)
			self.disable()
		elseif MAASE.IsCompleted()
			Self.Disable()
		endIf
	endFunction