Scriptname DBM_MacnarianScript extends ObjectReference  

Quest Property MyQuest Auto

Event OnCellAttach()
if MyQuest.IsCompleted()
	if GetCurrentHourOfDay() >= 21 || GetCurrentHourOfDay() <= 5
		Self.Enable(true)
	Else
		Self.Disable(true)
	Endif
Endif
EndEvent

float Function GetCurrentHourOfDay() 
 
	float Time = Utility.GetCurrentGameTime()
	Time -= Math.Floor(Time) ; Remove "previous in-game days passed" bit
	Time *= 24 ; Convert from fraction of a day to number of hours
	Return Time
 
EndFunction