Scriptname DBM_PerkResetScript extends ObjectReference  


Perk Property DBM_ArcPerkExcavator1 Auto
Perk Property DBM_ArcPerkExcavator2 Auto
Perk Property DBM_ArcPerkExcavator3 Auto
Perk Property DBM_ArcPerkRelicHunter Auto
Perk Property DBM_ArcPerkSurveyor Auto
Perk Property DBM_ArcPerkPackItIn1 Auto
Perk Property DBM_ArcPerkPackItIn2 Auto
Perk Property DBM_ArcPerkPackItIn3 Auto
Perk Property DBM_ArcPerkScrapper Auto
Perk Property DBM_ArcPerkbenefactor Auto
Perk Property DBM_ArcPerkQuartermaster Auto
Perk Property DBM_ArcPerkDwemerSpec Auto
Perk Property DBM_ArcPerkSalvager Auto
Perk Property DBM_ArcPerkArtificer Auto
Perk Property DBM_ArcPerkNordicSpec Auto
Perk Property DBM_ArcPerkExhume Auto
Perk Property DBM_ArcPerkWalkWithDead Auto
Perk Property DBM_ArcPerkFalmerSpec Auto
Perk Property DBM_ArcPerkScavenger Auto
Perk Property DBM_ArcPerkTamersHand Auto
Message Property DBM_PerkResetMSG Auto
GlobalVariable Property DBM_ArcPerkToSpend Auto
GlobalVariable Property DBM_ArcPerkOwned Auto



Event OnActivate(ObjectReference akActionREF)
	if akActionREF == Game.GetPlayer()
		int MyBtn = DBM_PerkResetMSG.Show()
		if MyBtn == 0 ; Yes reset
			if Game.GetPlayer().HasPerk(DBM_ArcPerkExcavator1)
				ResetPerk(DBM_ArcPerkExcavator1)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkExcavator2)
				ResetPerk(DBM_ArcPerkExcavator2)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkExcavator3)
				ResetPerk(DBM_ArcPerkExcavator3)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkRelicHunter)
				ResetPerk(DBM_ArcPerkRelicHunter)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkSurveyor)
				ResetPerk(DBM_ArcPerkSurveyor)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkPackItIn1)
				ResetPerk(DBM_ArcPerkPackItIn1)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkPackItIn2)
				ResetPerk(DBM_ArcPerkPackItIn2)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkPackItIn3)
				ResetPerk(DBM_ArcPerkPackItIn3)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkScrapper)
				ResetPerk(DBM_ArcPerkScrapper)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkBenefactor)
				ResetPerk(DBM_ArcPerkbenefactor)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkQuartermaster)
				ResetPerk(DBM_ArcPerkQuartermaster)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkDwemerSpec)
				ResetPerk(DBM_ArcPerkDwemerSpec)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkSalvager)
				ResetPerk(DBM_ArcPerkSalvager)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkArtificer)
				ResetPerk(DBM_ArcPerkArtificer)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkNordicSpec)
				ResetPerk(DBM_ArcPerkNordicSpec)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkExhume)
				ResetPerk(DBM_ArcPerkExhume)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkWalkWithDead)
				ResetPerk(DBM_ArcPerkWalkWithDead)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkFalmerSpec)
				ResetPerk(DBM_ArcPerkFalmerSpec)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkScavenger)
				ResetPerk(DBM_ArcPerkScavenger)
			Endif
			if Game.GetPlayer().HasPerk(DBM_ArcPerkTamersHand)
				ResetPerk(DBM_ArcPerkTamersHand)
			Endif
			Debug.Notification("Your Archeology Perks have been reset.")
		Elseif MyBtn == 1 ; No, cancel
			; cancel
		Endif
	Endif
EndEvent

Function ResetPerk(perk MyPerk)
	Game.GetPlayer().RemovePerk(MyPerk)
	DBM_ArcPerkToSpend.Value += 1
	DBM_ArcPerkOwned.value -= 1
EndFunction

