Scriptname DBM_PlanetariumAstrolabeScript extends ObjectReference  
{Makes the astrolabe move when button is pressed.}

ObjectReference Property Cubestand Auto
{Cubestand must be setup with activate links.}

int maxPos = 4
int minPos = 1

int currentPos = -1

Event OnLoad()
	currentPos = 1
	GoToState("ready")
EndEvent


State ready
	Event OnActivate(ObjectReference TriggerRef)
		if     (TriggerRef == Cubestand)
			RotateHub()
		endif
	EndEvent
EndState

State busy
EndState

Function RotateHub()
	GoToState("busy")
	int nextPos = currentPos + 1
	if (nextPos > maxPos)
		nextPos = minPos
	endif
	PlayAnimationandWait("Trigger0" + currentPos, "Trans0" + currentPos)
	currentPos = nextPos
	GoToState("ready")
EndFunction