Scriptname DBM_PrepStationScript extends ObjectReference  

FormList Property DisplayActivators Auto
FormList Property DisplayItems Auto

ObjectReference Property DisplaySafe Auto

GlobalVariable Property DBM_DisplayMAX Auto

Message Property SortMsg Auto

GlobalVariable Property DBM_SortWait Auto

objectReference O
Form f
auto state ready


Event OnActivate(ObjectReference akActionRef)
	if(akActionRef == Game.GetPlayer())
		if DBM_SortWait.GetValue() == 1
			Debug.messagebox("You must wait for the current sorting opperation to complete before removing displays")
			Return
		Elseif DBM_SortWait.GetValue() == 0
			int SortBtn = SortMsg.show()
			if SortBtn == 0 ; Sort all display items
				gotostate("busy")
				DBM_SortWait.SetValue(1)
				Int index = DisplayActivators.GetSize()
				Debug.Notification("All items being displayed, this will take a moment")

				While index
					index -= 1
					F = DisplayItems.GetAt(index) as form
					O = DisplayActivators.GetAt(index) as ObjectReference
					if(akActionRef.GetItemCount(F)) && DISPLAYSAFE.GetItemCount(F) == 0 && Game.GetPlayer().IsEquipped(F) == 0
						akActionRef.Removeitem(F, 1, true, DisplaySafe)
						DBM_DisplayMax.Value += 1
						O.Enable()
							if (O.Is3DLoaded())
								O.BlockActivation(true)
								O.setMotionType(Motion_Keyframed, FALSE)
								O.MoveToMyEditorLocation()
							Endif
					endif            
				EndWhile
				O = none

				Debug.Messagebox("All items displayed")
				DBM_SortWait.SetValue(0)
				gotostate("ready")
		elseif SortBtn == 1 ; Exit
			Return
		endif
	endif
	endif
	EndEvent
endstate

state busy
	event OnActivate(ObjectReference akActionRef)
		if (akActionRef == Game.GetPlayer())
			Debug.messagebox("You must wait for the current sorting opperation to complete before starting another")
		endif
	endEvent
endState

