Scriptname DBM_RkundAirshipPlatform extends ObjectReference  
{Controls the airship summon button at Karagas' tower exit.}

ObjectReference Property ShipKaragasTower Auto
ObjectReference Property KTAirshipHelm Auto

ImagespaceModifier Property AzuraFadeToBlack Auto
ImagespaceModifier Property FadeToBlackBackIMod Auto

Quest Property DBM_AirshipQuest Auto

bool Discovered

event onCellAttach()
	playAnimation("Up")
	if ShipKaragasTower.IsDisabled()
		GoToState("Waiting")
		(Self.GetLinkedRef()).Disable(True)
	else
		GoToState("Inactive")
	endif
endEvent

State Waiting

Event OnActivate(ObjectReference akActivator)
	if akActivator == Game.GetPlayer()
	BlockActivation()
	playAnimation("down")
	GoToState("working")
	(Self.GetLinkedRef()).Enable(True)
	Game.DisablePlayerControls(1,1,0,0,1,1,1,1,0)
	Utility.Wait(0.5)
	if DBM_AirshipQuest.GetStageDone(100)
		if !Discovered
			debug.Messagebox("You press the button and the beacon illumiates. In the distance you hear a familiar sound, the Dev Aveza seems to be flying itself to the beacon.")
			Discovered == TRUE
		endif
		(KTAirshipHelm as DBM_AirshipScript).ResetShipREFSBeacon()
		AzuraFadeToBlack.Apply()
		Utility.Wait(2)
		Game.FadeOutGame(False,True,50, 1)
		ShipKaragasTower.Enable()
		Game.FadeOutGame(False,True,0.1, 0.1)
		AzuraFadeToBlack.PopTo(FadeToBlackBackImod)
		Utility.Wait(2)
	else
		debug.Messagebox("This beacon illumiates but doesn't appear to do anything at the moment.")
		utility.wait(1)
		(Self.GetLinkedRef()).Disable(True)
	endif
	playAnimation("up")
	Game.EnablePlayerControls()
	GoToState("Inactive")
	endif
EndEvent

EndState

State Inactive

Event OnActivate(ObjectReference akActivator)
	playAnimation("down")
	(Self.GetLinkedRef()).Disable(True)
	if ShipKaragasTower.IsDisabled()
		GoToState("Waiting")
		Self.Activate(Game.GetPlayer())
	else
		playAnimation("up")
	endif
EndEvent

EndState

State Working

EndState