Scriptname DBM_SunDoorScript extends ObjectReference  

Weapon Property MyStaff Auto
Objectreference Property StaffStore Auto
ObjectReference Property MyGate Auto
Sound Property QSTSnowElfTempleDoorUnlockSND Auto
Quest Property MyQuest Auto

Auto State Empty

Event OnActivate(ObjectReference akActionRef)
	if akActionRef == Game.GetPlayer()
		if Game.GetPlayer().GetItemCount(MyStaff) == 1
			Game.GetPlayer().RemoveItem(MyStaff, 1, akOtherContainer = StaffStore)
			GetLinkedRef().Enable()
			QSTSnowElfTempleDoorUnlockSND.Play(MyGate)
			Utility.wait(3)
			MyGate.Lock(false)
			Utility.wait(0.2)
			MyGate.PlayGamebryoAnimation("Forward")
			GoToState("StaffPlaced")
			if MyQuest.GetStage() < 155
				MyQuest.SetStage(155)
			Endif
		Else
			Debug.Notification("You lack the required item")
		Endif
	Endif
EndEvent

EndState

State StaffPlaced

Event OnActivate(ObjectReference akActionRef)
	if akActionRef == Game.GetPlayer()
		StaffStore.RemoveItem(MyStaff, 1, akOtherContainer = Game.GetPlayer())
		GetLinkedRef().Disable()
		Utility.wait(1)
		int OpenState = MyGate.GetOpenState()
		if (openState == 1 || openState == 2)
			MyGate.SetOpen(false)
		Endif
		QSTSnowElfTempleDoorUnlockSND.Play(MyGate)
		MyGate.Lock()
		GoToState("Empty")
	Endif
EndEvent

EndState