Scriptname DBM_SupplyGrabScript extends ObjectReference  

Form MyItem
String MyName
ObjectReference Property LinkedCont Auto

ObjectReference Property StartDisplay Auto
Int Index

Event OnActivate(ObjectReference akActivator)
	if akActivator == Game.GetPlayer() && LinkedCont != NONE
		MyItem = Self.GetBaseObject()
		LinkedCont.RemoveItem(MyItem, 1, akOtherContainer = Game.GetPlayer())
		MyName = MyItem.GetName()
		Debug.Notification(" " + MyName + " added")

	if StartDisplay != NONE
		Index = StartDisplay.CountLinkedRefChain()
		;debug.notification("Chain size is" + Index + " ")
		While Index > LinkedCont.GetItemCount(MyItem)
			;debug.notification("Index is" + Index + " ")
			if LinkedCont.GetItemCount(MyItem) < Index
				StartDisplay.GetNthLinkedRef(Index - 1).Disable()
			Endif
			Index -= 1
		EndWhile
	Elseif StartDisplay == NONE
		if LinkedCont.GetItemCount(MyItem) == 0
			Self.Disable()
		Endif
	Endif

	Endif
EndEvent

EVENT onLoad()
	if (Self.Is3DLoaded())
		BlockActivation(true)
		setMotionType(Motion_Keyframed, FALSE)
		self.MoveToMyEditorLocation()
	Endif
endEVENT

EVENT onCellAttach()
	if (Self.Is3DLoaded())
		BlockActivation(true)
		setMotionType(Motion_Keyframed, FALSE)
		self.MoveToMyEditorLocation()
	Endif
endEVENT

EVENT onLoadGame()
	if (Self.Is3DLoaded())
		BlockActivation(true)
		setMotionType(Motion_Keyframed, FALSE)
		self.MoveToMyEditorLocation()
	Endif
endEVENT
