Scriptname DBM_SupplySortScript2 extends ObjectReference  

Globalvariable Property SortIngot Auto
Globalvariable Property SortGems Auto
Globalvariable Property SortIngr Auto
Globalvariable Property SortPotions Auto
Globalvariable Property SortPoisons Auto
Globalvariable Property SortSG Auto
Globalvariable Property SortRaw Auto
Globalvariable Property SortCooked Auto
Globalvariable Property SortLiquor Auto
Globalvariable Property SortScrolls Auto
Globalvariable Property SortLeather Auto
Globalvariable Property SortRecipes Auto
Globalvariable Property SortMaterials Auto
Globalvariable Property SortFragments Auto
Globalvariable Property SortFirewood Auto

ObjectReference Property HoldingContainer Auto

MiscObject Property DLC2Heartstone Auto
FormList Property DBM_IngotsNOre Auto
FormList Property DBM_GemList Auto
FormList Property DBM_Ingredients Auto
FormList Property DBM_PotionsList Auto
FormList Property DBM_PoisonList Auto
FormList Property DBM_Soulgemlist Auto
FormList Property DBM_ScrollsList Auto
FormList Property DBM_LeatherList Auto
FormList Property DBM_FoodListRaw Auto
FormList Property DBM_FoodListCooked Auto
FormList Property DBM_LiquorList Auto
FormList Property WoodList Auto
FormList Property DBM_MaterialsList Auto
FormList Property DBM_FragmentList Auto
FormList Property DBM_RecipeList Auto
FormList Property DBM_ExcludeList Auto

ObjectReference Property DBM_orestore1 Auto
ObjectReference Property DBM_GemBox1 Auto
ObjectReference Property DBM_ingredientstorage1 Auto
ObjectReference Property DBM_potionstoragecontainer1 Auto
ObjectReference Property DBM_poisonstoreref Auto
ObjectReference Property DBM_soulgembox1 Auto
ObjectReference Property dbm_ScrollShelf1 Auto
ObjectReference Property DBM_Leatherstore1 Auto
ObjectReference Property DBM_WoodPile2 Auto
ObjectReference Property DBM_FoodContainerRaw Auto
ObjectReference Property DBM_FoodContainerCooked Auto
ObjectReference Property DBM_LiquorStore2 Auto
ObjectReference Property DBM_heartstonecontainerref Auto
ObjectReference Property DBM_MaterialStore Auto
ObjectReference Property ArcheologyStore Auto
ObjectReference Property RecipeBook Auto

Event OnActivate(ObjectReference akActionRef)
    Int ItemCount = 0

if SortIngot.GetValue() == 1
	If HoldingContainer.GetItemCount(DBM_IngotsNOre) > 0
		ItemCount = HoldingContainer.GetItemCount(DBM_IngotsNOre)
		HoldingContainer.removeItem(DBM_IngotsNOre,ItemCount,True,DBM_OreStore1)
		If DBM_OreStore1.GetItemCount(DBM_ExcludeList) > 0
			ItemCount = DBM_OreStore1.GetItemCount(DBM_ExcludeList)
			DBM_OreStore1.removeItem(DBM_ExcludeList,ItemCount,True,HoldingContainer)
		Endif
	EndIf
endif
if SortGems.GetValue() == 1
	If HoldingContainer.GetItemCount(DBM_Gemlist) > 0
		ItemCount = HoldingContainer.GetItemCount(DBM_Gemlist)
		HoldingContainer.removeItem(DBM_Gemlist,ItemCount,True,DBM_GemBox1)
		If DBM_GemBox1.GetItemCount(DBM_ExcludeList) > 0
			ItemCount = DBM_GemBox1.GetItemCount(DBM_ExcludeList)
			DBM_GemBox1.removeItem(DBM_ExcludeList,ItemCount,True,HoldingContainer)
		Endif
	EndIf
endif
if SortIngr.GetValue() == 1
	If HoldingContainer.GetItemCount(DBM_Ingredients) > 0
		ItemCount = HoldingContainer.GetItemCount(DBM_Ingredients)
		HoldingContainer.removeItem(DBM_Ingredients,ItemCount,True,DBM_ingredientstorage1 )
		If DBM_Ingredientstorage1.GetItemCount(DBM_ExcludeList) > 0
			ItemCount = DBM_Ingredientstorage1.GetItemCount(DBM_ExcludeList)
			DBM_Ingredientstorage1.removeItem(DBM_ExcludeList,ItemCount,True,HoldingContainer)
		Endif
	EndIf
endif
if SortMaterials.GetValue() == 1
	If HoldingContainer.GetItemCount(DBM_MaterialsList) > 0
		ItemCount = HoldingContainer.GetItemCount(DBM_MaterialsList)
		HoldingContainer.removeItem(DBM_MaterialsList,ItemCount,True,DBM_MaterialStore)
		If DBM_MaterialStore.GetItemCount(DBM_ExcludeList) > 0
			ItemCount = DBM_MaterialStore.GetItemCount(DBM_ExcludeList)
			DBM_MaterialStore.removeItem(DBM_ExcludeList,ItemCount,True,HoldingContainer)
		Endif
	EndIf
endif
if SortPotions.GetValue() == 1
	If HoldingContainer.GetItemCount(DBM_PotionsList) > 0
		ItemCount = HoldingContainer.GetItemCount(DBM_PotionsList)
		HoldingContainer.removeItem(DBM_PotionsList,ItemCount,True,DBM_potionstoragecontainer1 )
		If DBM_potionstoragecontainer1.GetItemCount(DBM_ExcludeList) > 0
			ItemCount = DBM_potionstoragecontainer1.GetItemCount(DBM_ExcludeList)
			DBM_potionstoragecontainer1.removeItem(DBM_ExcludeList,ItemCount,True,HoldingContainer)
		Endif
	EndIf
endif
if SortPoisons.GetValue() == 1
	If HoldingContainer.GetItemCount(DBM_PoisonList) > 0
		ItemCount = HoldingContainer.GetItemCount(DBM_PoisonList)
		HoldingContainer.removeItem(DBM_PoisonList,ItemCount,True,DBM_poisonstoreref )
		If DBM_PoisonStoreREF.GetItemCount(DBM_ExcludeList) > 0
			ItemCount = DBM_PoisonStoreREF.GetItemCount(DBM_ExcludeList)
			DBM_PoisonStoreREF.removeItem(DBM_ExcludeList,ItemCount,True,HoldingContainer)
		Endif
	EndIf
endif
if SortSG.GetValue() == 1
	If HoldingContainer.GetItemCount(DBM_SoulgemList) > 0
		ItemCount = HoldingContainer.GetItemCount(DBM_SoulGemList)
		HoldingContainer.removeItem(DBM_SoulGemList,ItemCount,True,DBM_soulgembox1 )
		If DBM_SoulGemBox1.GetItemCount(DBM_ExcludeList) > 0
			ItemCount = DBM_SoulGemBox1.GetItemCount(DBM_ExcludeList)
			DBM_SoulGemBox1.removeItem(DBM_ExcludeList,ItemCount,True,HoldingContainer)
		Endif
	EndIf
endif
if SortRaw.GetValue() == 1
	If HoldingContainer.GetItemCount(DBM_FoodListRaw) > 0
		ItemCount = HoldingContainer.GetItemCount(DBM_FoodListRaw)
		HoldingContainer.removeItem(DBM_FoodListRaw,ItemCount,True,DBM_FoodContainerRaw)
		If DBM_FoodContainerRaw.GetItemCount(DBM_ExcludeList) > 0
			ItemCount = DBM_FoodContainerRaw.GetItemCount(DBM_ExcludeList)
			DBM_FoodContainerRaw.removeItem(DBM_ExcludeList,ItemCount,True,HoldingContainer)
		Endif
	EndIf
endif
if SortCooked.GetValue() == 1
	If HoldingContainer.GetItemCount(DBM_FoodListCooked) > 0
		ItemCount = HoldingContainer.GetItemCount(DBM_FoodListCooked)
		HoldingContainer.removeItem(DBM_FoodListCooked,ItemCount,True,DBM_FoodContainerCooked)
		If DBM_FoodContainerCooked.GetItemCount(DBM_ExcludeList) > 0
			ItemCount = DBM_FoodContainerCooked.GetItemCount(DBM_ExcludeList)
			DBM_FoodContainerCooked.removeItem(DBM_ExcludeList,ItemCount,True,HoldingContainer)
		Endif
	EndIf
endif
if SortLiquor.GetValue() == 1
	If HoldingContainer.GetItemCount(DBM_LiquorList) > 0
		ItemCount = HoldingContainer.GetItemCount(DBM_LiquorList)
		HoldingContainer.removeItem(DBM_LiquorList,ItemCount,True,DBM_LiquorStore2)
		If DBM_LiquorStore2.GetItemCount(DBM_ExcludeList) > 0
			ItemCount = DBM_LiquorStore2.GetItemCount(DBM_ExcludeList)
			DBM_LiquorStore2.removeItem(DBM_ExcludeList,ItemCount,True,HoldingContainer)
		Endif
	EndIf
endif
if SortScrolls.GetValue() == 1
	If HoldingContainer.GetItemCount(DBM_ScrollsList) > 0
		ItemCount = HoldingContainer.GetItemCount(DBM_ScrollsList)
		HoldingContainer.removeItem(DBM_ScrollsList,ItemCount,True,DBM_ScrollShelf1)
		If DBM_ScrollShelf1.GetItemCount(DBM_ExcludeList) > 0
			ItemCount = DBM_ScrollShelf1.GetItemCount(DBM_ExcludeList)
			DBM_ScrollShelf1.removeItem(DBM_ExcludeList,ItemCount,True,HoldingContainer)
		Endif
	EndIf
endif
if SortLeather.GetValue() == 1
	If HoldingContainer.GetItemCount(DBM_LeatherList) > 0
		ItemCount = HoldingContainer.GetItemCount(DBM_LeatherList)
		HoldingContainer.removeItem(DBM_LeatherList,ItemCount,True,DBM_LeatherStore1)
		If DBM_LeatherStore1.GetItemCount(DBM_ExcludeList) > 0
			ItemCount = DBM_LeatherStore1.GetItemCount(DBM_ExcludeList)
			DBM_LeatherStore1.removeItem(DBM_ExcludeList,ItemCount,True,HoldingContainer)
		Endif
	EndIf
endif
if SortRecipes.GetValue() == 1
	If HoldingContainer.GetItemCount(DBM_RecipeList) > 0
		ItemCount = HoldingContainer.GetItemCount(DBM_RecipeList)
		HoldingContainer.removeItem(DBM_RecipeList,ItemCount,True,RecipeBook)
		If RecipeBook.GetItemCount(DBM_ExcludeList) > 0
			ItemCount = RecipeBook.GetItemCount(DBM_ExcludeList)
			RecipeBook.removeItem(DBM_ExcludeList,ItemCount,True,HoldingContainer)
		Endif
	EndIf
endif
if SortSG.GetValue() == 1
	If HoldingContainer.GetItemCount(DLC2Heartstone) > 0
		ItemCount = HoldingContainer.GetItemCount(DLC2Heartstone)
		HoldingContainer.removeItem(DLC2Heartstone,ItemCount,True,DBM_heartstonecontainerref)
		If DBM_heartstonecontainerref.GetItemCount(DBM_ExcludeList) > 0
			ItemCount = DBM_heartstonecontainerref.GetItemCount(DBM_ExcludeList)
			DBM_heartstonecontainerref.removeItem(DBM_ExcludeList,ItemCount,True,HoldingContainer)
		Endif
	EndIf
endif
if SortFirewood.GetValue() == 1
	If HoldingContainer.GetItemCount(Woodlist) > 0
		ItemCount = HoldingContainer.GetItemCount(Woodlist)
		HoldingContainer.removeItem(Woodlist,ItemCount,True,DBM_Woodpile2)
		If DBM_Woodpile2.GetItemCount(DBM_ExcludeList) > 0
			ItemCount = DBM_Woodpile2.GetItemCount(DBM_ExcludeList)
			DBM_Woodpile2.removeItem(DBM_ExcludeList,ItemCount,True,Game.Getplayer())
		Endif
	EndIf
endif
if SortFragments.GetValue() == 1
	If HoldingContainer.GetItemCount(DBM_FragmentList) > 0
		ItemCount = HoldingContainer.GetItemCount(DBM_FragmentList)
		HoldingContainer.removeItem(DBM_FragmentList,ItemCount,True,ArcheologyStore)
		If ArcheologyStore.GetItemCount(DBM_ExcludeList) > 0
			ItemCount = ArcheologyStore.GetItemCount(DBM_ExcludeList)
			ArcheologyStore.removeItem(DBM_ExcludeList,ItemCount,True,HoldingContainer)
		Endif
	EndIf
endif
    Debug.Notification("All Supplies Sorted")

		

endevent 
