Scriptname DBM_TonalStaffEquipScript extends ObjectReference  

Spell Property DBM_KaragasTPSPEL Auto
Spell Property GemAbility Auto


Event OnEquipped(Actor akActor)
  if akActor == Game.GetPlayer()
	akActor.addspell(GemAbility, abverbose = true)
  endif
endevent

Event OnUnequipped(Actor akActor)
  if akActor == Game.GetPlayer()
	akActor.removespell(GemAbility)
  endif
endevent

Event OnContainerChanged(ObjectReference akNewContainer, ObjectReference akOldContainer)
	if akOldContainer == Game.GetPlayer()
		(akOldContainer as Actor).RemoveSpell(GemAbility)
		(akOldContainer as Actor).RemoveSpell(DBM_KaragasTPSPEL)
	elseif akNewContainer == Game.GetPlayer()
		(akNewContainer as Actor).AddSpell(DBM_KaragasTPSPEL)
	Endif
EndEvent