Scriptname DBM_treasuryScript extends ObjectReference  


ObjectReference property DBMVaultLoot1 auto
ObjectReference property DBMVaultLoot2 auto
ObjectReference property DBMVaultLoot03 auto
ObjectReference property DBMVaultLoot4 auto
ObjectReference property DBMVaultLoot5 auto
ObjectReference property DBMVaultLoot006 auto
ObjectReference property DBMVaultLoot07 auto
ObjectReference property DBMVaultLoot08 auto
ObjectReference property DBMVaultLoot09 auto
ObjectReference property DBMVaultLoot10 auto
ObjectReference property DBMVaultLoot11 auto
ObjectReference property DBMVaultLoot12 auto
ObjectReference property DBMVaultLoot13 auto
ObjectReference property DBMVaultLoot14 auto
ObjectReference property DBMVaultLoot15 auto
ObjectReference property DBMVaultLoot16 auto

ObjectReference property DBMGoldVault auto

Form gold001
Form ingotSilver
Form IngotGold
Form StatueDibellaGold
Form SilverCandleStick01Off
Form SilverCandleStick02Off
Form SilverCandleStick03Off
Form DLC1SilverGoblet01
Form DLC1SilverGoblet02
Form DLC1SilverJug01

bool loadCoinReplacerRedux
Form CoinDumac
Form CoinHarald
Form CoinUlfric

bool loadMIL
Form MIL_SCandle
Form MIL_SCandle01
Form MIL_SCandle02
Form MIL_SCandle03
Form MIL_Dibella01
Form MIL_Dibella02
Form MIL_JeweledEgg01
Form MIL_JeweledEgg02
Form MIL_GoldEgg
Form MIL_GoldPlatter
Form MIL_GoldPlate
Form MIL_GoldJug
Form MIL_GoldGoblet01
Form MIL_GoldGoblet02
Form MIL_GoldCandle01
Form MIL_GoldCandle02
Form MIL_GoldCandle03
Form MIL_GoldBowl01
Form MIL_GoldBowl02
Form MIL_JeweledGoblet
Form MIL_DragonGold

;MIL Thieves Guild Trophy Items
Form MIL_GoldShip
Form MIL_JewelPitcher
Form MIL_GoldUrn
Form MIL_JewelGoblet
Form MIL_JewelFlagon
Form MIL_OrnateHorn
Form MIL_JewelCandle

bool loadIJ
Form IngotGoldTab
Form IngotSilverTab
Form IngotGoldBullion
Form IngotSilverSmith
Form JewelledDibellaStatue

int value = 0

Event OnInit()

	gold001 = Game.GetFormFromFile(0x00000f,"Skyrim.esm")
	ingotSilver = Game.GetFormFromFile(0x05ACE3,"Skyrim.esm")
	IngotGold = Game.GetFormFromFile(0x05AD9E,"Skyrim.esm")
	StatueDibellaGold = Game.GetFormFromFile(0x08F997,"Skyrim.esm")
	SilverCandleStick01Off = Game.GetFormFromFile(0x0E42DF,"Skyrim.esm")
	SilverCandleStick02Off = Game.GetFormFromFile(0x0E42E0,"Skyrim.esm")
	SilverCandleStick03Off = Game.GetFormFromFile(0x0E42E1,"Skyrim.esm")
	DLC1SilverGoblet01 = Game.GetFormFromFile(0x011DB2,"Dawnguard.esm")
	DLC1SilverGoblet02 = Game.GetFormFromFile(0x011DB3,"Dawnguard.esm")
	DLC1SilverJug01 = Game.GetFormFromFile(0x011DB4,"Dawnguard.esm")
    
    loadCoinReplacerRedux = (Game.GetModByName("SkyrimCoinReplacerRedux.esp") != 255)
    If loadCoinReplacerRedux != 255
        CoinDumac = Game.GetFormFromFile(0x001000, "SkyrimCoinReplacerRedux.esp")
        CoinHarald = Game.GetFormFromFile(0x001001, "SkyrimCoinReplacerRedux.esp")
        CoinUlfric = Game.GetFormFromFile(0x005109, "SkyrimCoinReplacerRedux.esp")
    EndIf
    
    loadMIL = (Game.GetModByName("More Interesting Loot for Skyrim.esp") != 255)
    If loadMIL != 255
		MIL_SCandle = Game.GetFormFromFile(0x08ACCD, "More Interesting Loot for Skyrim.esp")
		MIL_SCandle01 = Game.GetFormFromFile(0x08B245, "More Interesting Loot for Skyrim.esp")
		MIL_SCandle02 = Game.GetFormFromFile(0x08B246, "More Interesting Loot for Skyrim.esp")
		MIL_SCandle03 = Game.GetFormFromFile(0x08B247, "More Interesting Loot for Skyrim.esp")
		MIL_Dibella01 = Game.GetFormFromFile(0x08ACDB, "More Interesting Loot for Skyrim.esp")
		MIL_Dibella02 = Game.GetFormFromFile(0x08ACDC, "More Interesting Loot for Skyrim.esp")
		MIL_JeweledEgg01 = Game.GetFormFromFile(0x235232, "More Interesting Loot for Skyrim.esp")
		MIL_JeweledEgg02 = Game.GetFormFromFile(0x235233, "More Interesting Loot for Skyrim.esp")
		MIL_GoldEgg = Game.GetFormFromFile(0x235234, "More Interesting Loot for Skyrim.esp")
		MIL_GoldPlatter = Game.GetFormFromFile(0x235235, "More Interesting Loot for Skyrim.esp")
		MIL_GoldPlate = Game.GetFormFromFile(0x235236, "More Interesting Loot for Skyrim.esp")
		MIL_GoldJug = Game.GetFormFromFile(0x235237, "More Interesting Loot for Skyrim.esp")
		MIL_GoldGoblet01 = Game.GetFormFromFile(0x235238, "More Interesting Loot for Skyrim.esp")
		MIL_GoldGoblet02 = Game.GetFormFromFile(0x235239, "More Interesting Loot for Skyrim.esp")
		MIL_GoldCandle01 = Game.GetFormFromFile(0x23523A, "More Interesting Loot for Skyrim.esp")
		MIL_GoldCandle02 = Game.GetFormFromFile(0x23523B, "More Interesting Loot for Skyrim.esp")
		MIL_GoldCandle03 = Game.GetFormFromFile(0x23523C, "More Interesting Loot for Skyrim.esp")
		MIL_GoldBowl01 = Game.GetFormFromFile(0x23523D, "More Interesting Loot for Skyrim.esp")
		MIL_GoldBowl02 = Game.GetFormFromFile(0x23523E, "More Interesting Loot for Skyrim.esp")
		MIL_JeweledGoblet = Game.GetFormFromFile(0x23523F, "More Interesting Loot for Skyrim.esp")
		MIL_DragonGold = Game.GetFormFromFile(0x235240, "More Interesting Loot for Skyrim.esp")
		
		;MIL Thieves Guild Trophy Items
		MIL_GoldShip = Game.GetFormFromFile(0x08ACCE, "More Interesting Loot for Skyrim.esp")
		MIL_JewelPitcher = Game.GetFormFromFile(0x08ACCF, "More Interesting Loot for Skyrim.esp")
		MIL_GoldUrn = Game.GetFormFromFile(0x08ACD0, "More Interesting Loot for Skyrim.esp")
		MIL_JewelGoblet = Game.GetFormFromFile(0x08ACD1, "More Interesting Loot for Skyrim.esp")
		MIL_JewelFlagon = Game.GetFormFromFile(0x08ACD2, "More Interesting Loot for Skyrim.esp")
		MIL_OrnateHorn = Game.GetFormFromFile(0x08ACD3, "More Interesting Loot for Skyrim.esp")
		MIL_JewelCandle = Game.GetFormFromFile(0x08ACD4, "More Interesting Loot for Skyrim.esp")
    EndIf
    
    
    
    loadIJ = (Game.GetModByName("Immersive Jewelry.esp") != 255)
    If loadIJ != 255
		IngotGoldTab = Game.GetFormFromFile(0x5127F6,"Immersive Jewelry.esp")
		IngotSilverTab = Game.GetFormFromFile(0x517923,"Immersive Jewelry.esp")
		IngotGoldBullion = Game.GetFormFromFile(0xCC39C8,"Immersive Jewelry.esp")
		IngotSilverSmith = Game.GetFormFromFile(0xCC3A32,"Immersive Jewelry.esp")
		JewelledDibellaStatue = Game.GetFormFromFile(0xCC407A,"Immersive Jewelry.esp")
    EndIf
EndEvent

int Function ValueChange(Form akBaseItem, int aiItemCount)
	{Returns the value change from moving [aiItemCount] of [akBaseItem]}
	
	If akBaseItem==gold001
		return aiItemCount
	EndIf
	If akBaseItem==ingotSilver || akBaseItem==IngotGold || akBaseItem==StatueDibellaGold || akBaseItem==SilverCandleStick01Off || akBaseItem==SilverCandleStick02Off || akBaseItem==SilverCandleStick03Off || akBaseItem==DLC1SilverGoblet01 || akBaseItem==DLC1SilverGoblet02 || akBaseItem==DLC1SilverJug01
		return aiItemCount * akBaseItem.GetGoldValue()
	EndIf
	If akBaseItem.HasKeyword(Keyword.GetKeyword("VendorItemGem"))
		return aiItemCount * akBaseItem.GetGoldValue()
	EndIf
	If akBaseItem.HasKeyword(Keyword.GetKeyword("VendorItemJewelry"))
		return aiItemCount * akBaseItem.GetGoldValue()
	EndIf
	
	If loadCoinReplacerRedux != 255
		If akBaseItem==CoinDumac || akBaseItem==CoinHarald || akBaseItem==CoinUlfric
			return akBaseItem.GetGoldValue() * aiItemCount
		EndIf
	EndIf
	
	If loadMIL != 255
		If akBaseItem==MIL_SCandle || akBaseItem==MIL_SCandle01 || akBaseItem==MIL_SCandle02 || akBaseItem==MIL_SCandle03 || akBaseItem==MIL_Dibella01 || akBaseItem==MIL_Dibella02 || akBaseItem==MIL_JeweledEgg01 || akBaseItem==MIL_JeweledEgg02 || akBaseItem==MIL_GoldEgg || akBaseItem==MIL_GoldPlatter || akBaseItem==MIL_GoldPlate || akBaseItem==MIL_GoldJug || akBaseItem==MIL_GoldGoblet01 || akBaseItem==MIL_GoldGoblet02 || akBaseItem==MIL_GoldCandle01 || akBaseItem==MIL_GoldCandle02 || akBaseItem==MIL_GoldCandle03 || akBaseItem==MIL_GoldBowl01 || akBaseItem==MIL_GoldBowl02 || akBaseItem==MIL_JeweledGoblet || akBaseItem==MIL_DragonGold
			return akBaseItem.GetGoldValue() * aiItemCount
		EndIf
		
		;MIL Thieves Guild Trophy Items
		If akBaseItem==MIL_GoldShip || akBaseItem==MIL_JewelPitcher || akBaseItem==MIL_GoldUrn || akBaseItem==MIL_JewelGoblet || akBaseItem==MIL_JewelFlagon || akBaseItem==MIL_OrnateHorn || akBaseItem==MIL_JewelCandle
			return akBaseItem.GetGoldValue() * aiItemCount
		EndIf
	EndIf
	
	If loadIJ != 255
		If akBaseItem==IngotGoldTab || akBaseItem==IngotSilverTab || akBaseItem==IngotGoldBullion || akBaseItem==IngotSilverSmith || akBaseItem==JewelledDibellaStatue
			return akBaseItem.GetGoldValue() * aiItemCount
		EndIf
	EndIf

EndFunction

Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)

    value += ValueChange(akBaseItem, aiItemCount)
    
    if (value >= 1000)
        DBMVaultLoot1.enable()
    elseif  (value <= 999)
        DBMVaultLoot1.disable()
    endif
    if (value >= 5000)
        DBMVaultLoot2.enable()
    elseif  (value <= 4999)
        DBMVaultLoot2.disable()
    endif
    if (value >= 10000)
        DBMVaultLoot03.enable()
    elseif  (value <= 9999)
        DBMVaultLoot03.disable()
    endif
    if (value >= 25000)
        DBMVaultLoot4.enable()
    elseif  (value <= 24999)
        DBMVaultLoot4.disable()
    endif
    if (value >= 50000)
        DBMVaultLoot5.enable()
    elseif  (value <= 49999)
        DBMVaultLoot5.disable()
    endif
    if (value >= 100000)
        DBMVaultLoot006.enable()
    elseif  (value <= 99999)
        DBMVaultLoot006.disable()
    endif
    if (value >= 200000)
        DBMVaultLoot07.enable()
    elseif  (value <= 199999)
        DBMVaultLoot07.disable()
    endif
    if (value >= 300000)
        DBMVaultLoot08.enable()
    elseif  (value <= 299999)
        DBMVaultLoot08.disable()
    endif
    if (value >= 400000)
        DBMVaultLoot09.enable()
    elseif  (value <= 399999)
        DBMVaultLoot09.disable()
    endif
    if (value >= 500000)
        DBMVaultLoot10.enable()
    elseif  (value <= 499999)
        DBMVaultLoot10.disable()
    endif
    if (value >= 650000)
        DBMVaultLoot11.enable()
    elseif  (value <= 649999)
        DBMVaultLoot11.disable()
    endif
    if (value >= 850000)
        DBMVaultLoot12.enable()
    elseif  (value <= 749999)
        DBMVaultLoot12.disable()
    endif
    if (value >= 1000000)
        DBMVaultLoot13.enable()
    elseif  (value <= 999999)
        DBMVaultLoot13.disable()
    endif
    if (value >= 1250000)
        DBMVaultLoot14.enable()
    elseif  (value <= 1249999)
        DBMVaultLoot14.disable()
    endif
    if (value >= 1500000)
        DBMVaultLoot15.enable()
    elseif  (value <= 1499999)
        DBMVaultLoot15.disable()
    endif
    if (value >= 2000000)
        DBMVaultLoot16.enable()
    elseif  (value <= 1999999)
        DBMVaultLoot16.disable()
    endif
Endevent

Event OnItemRemoved(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akDestContainer)
    
    value -= ValueChange(akBaseItem, aiItemCount)
    
    if (value >= 1000)
        DBMVaultLoot1.enable()
    elseif  (value <= 999)
        DBMVaultLoot1.disable()
    endif
    if (value >= 5000)
        DBMVaultLoot2.enable()
    elseif  (value <= 4999)
        DBMVaultLoot2.disable()
    endif
    if (value >= 10000)
        DBMVaultLoot03.enable()
    elseif  (value <= 9999)
        DBMVaultLoot03.disable()
    endif
    if (value >= 25000)
        DBMVaultLoot4.enable()
    elseif  (value <= 24999)
        DBMVaultLoot4.disable()
    endif
    if (value >= 50000)
        DBMVaultLoot5.enable()
    elseif  (value <= 49999)
        DBMVaultLoot5.disable()
    endif
    if (value >= 100000)
        DBMVaultLoot006.enable()
    elseif  (value <= 99999)
        DBMVaultLoot006.disable()
    endif
    if (value >= 200000)
        DBMVaultLoot07.enable()
    elseif  (value <= 199999)
        DBMVaultLoot07.disable()
    endif
    if (value >= 300000)
        DBMVaultLoot08.enable()
    elseif  (value <= 299999)
        DBMVaultLoot08.disable()
    endif
    if (value >= 400000)
        DBMVaultLoot09.enable()
    elseif  (value <= 399999)
        DBMVaultLoot09.disable()
    endif
    if (value >= 500000)
        DBMVaultLoot10.enable()
    elseif  (value <= 499999)
        DBMVaultLoot10.disable()
    endif
    if (value >= 650000)
        DBMVaultLoot11.enable()
    elseif  (value <= 649999)
        DBMVaultLoot11.disable()
    endif
    if (value >= 850000)
        DBMVaultLoot12.enable()
    elseif  (value <= 749999)
        DBMVaultLoot12.disable()
    endif
    if (value >= 1000000)
        DBMVaultLoot13.enable()
    elseif  (value <= 999999)
        DBMVaultLoot13.disable()
    endif
    if (value >= 1250000)
        DBMVaultLoot14.enable()
    elseif  (value <= 1249999)
        DBMVaultLoot14.disable()
    endif
    if (value >= 1500000)
        DBMVaultLoot15.enable()
    elseif  (value <= 1499999)
        DBMVaultLoot15.disable()
    endif
    if (value >= 2000000)
        DBMVaultLoot16.enable()
    elseif  (value <= 1999999)
        DBMVaultLoot16.disable()
    endif

Endevent