Scriptname DBM_WaystoneScript extends ObjectReference  

Quest Property MyQuest Auto
ObjectReference Property SANCRETOR Auto
Actor Property PlayerRef Auto
Armor Property WAYSTONE Auto
ObjectReference Property WAYSTONERETURN Auto
ObjectReference Property DBM_UtilityMark Auto
Sound Property SoundEffect Auto

Event OnEquipped(Actor akActor)
  if akActor == Game.GetPlayer()
	int QSTSTG = MyQuest.GetStage()
	SoundEffect.Play(Game.GetPlayer())
	WAYSTONERETURN.moveto(PlayerRef)
	PlayerRef.MoveTo(SANCRETOR)
	SoundEffect.Play(Game.GetPlayer())
	if QSTSTG == 83
		MyQuest.SetStage(85)
		PlayerRef.Equipitem(WAYSTONE, abPreventRemoval = true)
		Debug.Messagebox("Some mysterious force is preventing removal of the Waystone amulet")
	elseif QSTSTG == 85 || QSTSTG == 86
		PlayerRef.Equipitem(WAYSTONE, abPreventRemoval = true)
		Debug.Messagebox("Some mysterious force is preventing removal of the Waystone amulet")
	else
		Return
	endif
endif


endEvent

Event OnUnequipped(Actor akActor)
  if akActor == Game.GetPlayer()
	int QSTSTG = MyQuest.GetStage()

	if QSTSTG < 87
		PlayerRef.Equipitem(WAYSTONE, abPreventRemoval = True)
		Debug.messagebox("Some mysterious force is preventing removal of the Waystone amulet")
	else 
		PlayerRef.Unequipitem(WAYSTONE)
		SoundEffect.Play(Game.GetPlayer())
		PlayerRef.Moveto(WAYSTONERETURN)
		WAYSTONERETURN.MoveTo(DBM_UtilityMark)
		SoundEffect.Play(Game.GetPlayer())

	endif
	endif
endevent


