Scriptname PDBM_DeckScript extends ObjectReference  

Spell Property DeckPower Auto
Perk Property DeckPerk Auto
Message Property DeckMSG Auto
FormList Property DBM_CharmsList Auto
ObjectReference Property CharmBag Auto

Event OnContainerChanged(ObjectReference akNewContainer, ObjectReference akOldContainer)
  if akNewContainer == Game.GetPlayer() || akNewContainer == CharmBag
		Game.GetPlayer().Addspell(DeckPower, false)
		Game.GetPlayer().AddPerk(DeckPerk)
		DeckMSG.show()

  elseif akOldContainer == Game.GetPlayer() || akNewContainer == CharmBag && !akOldContainer == Game.GetPlayer()
	Game.GetPlayer().Removespell(DeckPower)
	Game.GetPlayer().RemovePerk(DeckPerk)
	Game.GetPlayer().DispelSpell(DeckPower)
  endif
endevent