Scriptname BMR_DEFontScript1 extends ObjectReference  

ObjectReference Property myEffect Auto
Int Property DoOnce Auto
FormList Property DBM_DEExcludeList Auto

Event OnActivate(ObjectReference akActionRef)
	If DoOnce == 0
		Debug.MessageBox("The Disenchanting font removes enchantments from items. Use it on self made enchantments and unique items ONLY! If you disenchant randomly found enchanted items, it will disenchant ALL copies you EVER find of it")
		DoOnce = 1
	Endif
EndEvent

Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
	If DBM_DEExcludeList.HasForm(akBaseItem) == True
		Self.RemoveItem(akBaseItem, akOtherContainer = Game.GetPlayer())
		Debug.MessageBox("You may only disenchant unique items and self enchanted items")
	Elseif DBM_DEExcludeList.HasForm(akBaseItem) == false
		Self.GetLinkedRef().Enable(True)
		MyEffect.Enable(true)
	Endif
EndEvent

Event OnItemRemoved(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
	if Self.GetNumItems() < 1
		Self.GetLinkedRef().Disable(True)
		MyEffect.Disable(true)
	Endif
EndEvent
