Scriptname DBM_BookListScript extends ObjectReference  

Import StringUtil
Import Game
Import Utility
Import Debug

ObjectReference Property BookReturn Auto
ObjectReference Property AGShelf Auto
ObjectReference Property HLShelf Auto
ObjectReference Property MRShelf Auto
ObjectReference Property SZShelf Auto
ObjectReference Property SpellShelf Auto
ObjectReference Property SkillShelf Auto
ObjectReference Property NumShelf Auto
ObjectReference Property NoteStore Auto
ObjectReference Property JournalStore Auto
ObjectReference Property RecipeStore Auto
ObjectReference Property ScrollStore Auto
ObjectReference Property TransferBox Auto
ObjectReference Property Displaychest Auto

ObjectReference CurContainer

FormList Property BookList Auto

Int ItmCnt

Auto State Waiting

Event OnActivate(ObjectReference akActionRef)
    If AkActionRef == Game.GetPlayer()
        Debug.Notification("Updating Catalog List")
	GoToState("Cataloging")

BookList.Revert()

CurContainer = AGShelf 
UpdateBookList()

CurContainer = HLShelf
UpdateBookList()

CurContainer = MRShelf
UpdateBookList()

CurContainer = SZShelf
UpdateBookList()

CurContainer = SpellShelf
UpdateBookList()

        Debug.Notification("Still Updating")
CurContainer = SkillShelf
UpdateBookList()

CurContainer = NumShelf
UpdateBookList()

CurContainer = NoteStore
UpdateBookList()

CurContainer = JournalStore
UpdateBookList()

CurContainer = RecipeStore
UpdateBookList()

CurContainer = Displaychest
UpdateBookList()

;-----------------------------------------------------


        Debug.Notification("All Done Recording")
	 GoToState("Waiting")
    EndIf
EndEvent

EndState

State Cataloging
	Event OnActivate(ObjectReference akActionRef)
		Debug.notification("Cataloging books, please wait")
	EndEvent
EndState


Function UpdateBookList()
		ItmCNT = CurContainer.GetNumItems()
		While ItmCNT
			ItmCNT -= 1
			if CurContainer.GetNthForm(ItmCNT).GetType() == 27
				BookList.AddForm(CurContainer.GetNthForm(ItmCNT))
			Endif			
		EndWhile
EndFunction
