Scriptname DBM_BYOHFieldStationScript extends ObjectReference  
{Controller for building the field stations}

Quest Property FSQuest Auto
{Current FS Quest}

Bool Property bAdvQuest Auto
{Should we advanced the quest?}

ObjectReference Property OEnable1 Auto
{Object to enable}
ObjectReference Property OEnable2 Auto
{Object to enable}
ObjectReference Property OEnable3 Auto
{Object to enable}

ObjectReference Property ODisable1 Auto
{Object to disable}
ObjectReference Property ODisable2 Auto
{Object to disable}
ObjectReference Property ODisable3 Auto
{Object to disable}

MiscObject Property DummyObject Auto
{Object to remove on completing action.}

Event OnContainerChanged(ObjectReference akPlayer, ObjectReference OldContainer)
	if akPlayer == Game.GetPlayer()
		if OEnable1
			OEnable1.Enable()
		endif
		if OEnable2
			OEnable2.Enable()
		endif
		if OEnable3
			OEnable3.Enable()
		endif
		if ODisable1
			ODisable1.Disable()
		endif
		if ODisable2
			ODisable2.Disable()
		endif
		if ODisable3
			ODisable3.Disable()
		endif
		akPlayer.RemoveItem(DummyObject,1,1)
		if bAdvQuest
			FSQuest.SetStage(15)
		endif
	endif
EndEvent