Scriptname DBM_DHFontGateScript extends ObjectReference  

ObjectReference Property TotemKeyChest Auto
MiscObject Property TotemKey Auto
ObjectReference Property MyDoor Auto
ObjectReference Property MySwitch Auto

Auto State DoorClosed

Event OnActivate(ObjectReference akActionRef)
	if GetLinkedRef().IsDisabled() && akActionRef.GetItemCount(TotemKey) == 1
		akActionRef.RemoveItem(TotemKey, 1, akOtherContainer = TotemKeyChest)
		GetLinkedRef().Enable()
		MySwitch.Activate(Self)
		if MyDoor != NONE
			MyDoor.PlayAnimation("Open")
		Endif
		GoToState("DoorOpened")
	Else
		Debug.Notification("You Lack the Required Item")
	Endif
EndEvent

EndState

State DoorOpened

Event OnActivate(ObjectReference akActionRef)
	if GetLinkedRef().IsEnabled()
		TotemKeyChest.RemoveItem(TotemKey, 1, akOtherContainer = Game.GetPlayer())
		GetLinkedRef().Disable()
		MySwitch.Activate(Self)
		if MyDoor != NONE
			MyDoor.Playanimation("Close")
		Endif
		GoToState("DoorClosed")
	Endif
EndEvent

EndState