Scriptname DBM_MAASE_AddSpellOnEquip extends ObjectReference  
{Adds a spell to the player and removes it on unequip or storage.}

Spell  Property SpellToEquip Auto

Event OnEquipped(Actor akActor)
  if akActor == Game.GetPlayer()
	akActor.addspell(SpellToEquip, abverbose = true)
  endif
endevent

Event OnUnequipped(Actor akActor)
  if akActor == Game.GetPlayer()
	akActor.removespell(SpellToEquip)
  endif
endevent

Event OnContainerChanged(ObjectReference akNewContainer, ObjectReference akOldContainer)
	if akOldContainer == Game.GetPlayer()
		(akOldContainer as Actor).removespell(SpellToEquip)
	Endif
EndEvent