Scriptname DBM_MAASE_FalmerFriendScript extends activemagiceffect  
{Controls the VFX for Falmer Friend Power for MAASE}

Faction Property FalmerFaction Auto
{The Falmer}

ActorBase Property Remnant Auto
{Ghostly remnant}

Explosion Property AppearFX Auto
{VFX when protectors appear}

Actor Guard1
Actor Guard2
Actor Guard3
Actor Guard4


Function OnEffectStart (Actor akTarget, Actor akCaster)
akCaster.AddToFaction(FalmerFaction)
akCaster.StopCombat()
Int GuardCount = 0
while GuardCount < 4
	Utility.Wait(0.5)
	Actor Protector = akCaster.PlaceAtMe(Remnant,1,0,0) as Actor
	Protector.SetAlpha(0,false)
	if GuardCount == 0
		Protector.KeepOffsetFromActor(akCaster,-100,-100,0,0,0,0,200,50)
		Protector = Guard1
	elseif GuardCount == 1
		Protector.KeepOffsetFromActor(akCaster,100,100,0,0,0,0,200,50)
		Protector = Guard2
	elseif GuardCount == 2
		Protector.KeepOffsetFromActor(akCaster,100,-100,0,0,0,0,200,50)
		Protector = Guard3
	elseif GuardCount == 3
		Protector.KeepOffsetFromActor(akCaster,-100,100,0,0,0,0,200,50)
		Protector = Guard4
	endIf
	Protector.SetAlpha(0.7, true)
	Protector.PlaceAtMe(AppearFX)
	GuardCount += 1
	Protector = none
RegisterForSingleUpdate(175)
endwhile
EndFunction

Function OnEffectFinish (Actor akTarget, Actor akCaster)
akCaster.RemoveFromFaction(FalmerFaction)
RemoveGuards()
EndFunction

Function OnSingleUpdate()
RemoveGuards()
EndFunction

Function RemoveGuards()
Guard1.Disable(true)
Guard1.PlaceAtMe(AppearFX)
Guard1.Delete()
Guard2.Disable(true)
Guard2.PlaceAtMe(AppearFX)
Guard2.Delete()
Guard3.Disable(true)
Guard3.PlaceAtMe(AppearFX)
Guard3.Delete()
Guard4.Disable(true)
Guard3.PlaceAtMe(AppearFX)
Guard4.Delete()
EndFunction