Scriptname DBM_MerrianSpyglassScript extends ObjectReference  

Quest Property MyQST Auto
GlobalVariable Property DBM_SpyglassStashed Auto
ObjectReference Property CharmBag Auto
Armor Property DBM_MerrianSpyglass Auto

Event OnEquipped(Actor akActor)
	if akActor == Game.GetPlayer()
		MyQST.SetStage(5)
	Endif
EndEvent

Event OnUnEquipped(Actor akActor)
	if akActor == Game.GetPlayer()
		if DBM_SpyglassStashed.Value == 1
			Game.GetPlayer().RemoveItem(DBM_MerrianSpyglass, abSilent = true, akOtherContainer = CharmBag)
		Endif
		MyQST.SetStage(1)
	Endif
EndEvent

Event OnContainerChanged(ObjectReference akNewContainer, ObjectReference akOldContainer)
	if akNewContainer == CharmBag
		DBM_SpyglassStashed.Value = 1		
	Endif
	if akOldContainer == Game.GetPlayer()
		MyQST.SetStage(1)
		DBM_SpyglassStashed.Value = 0
	Endif
EndEvent