Scriptname DBM_PickyTransponderScript extends ObjectReference  
{Information messages when activating transponder.}

MiscObject Property PickyBeacon Auto
{The beacon object}
MiscObject Property PickyTransponder Auto
{The transponder object}

Event OnEquipped(Actor akPlayer)
if akPlayer == Game.GetPlayer()
	if akPlayer.GetItemCount(PickyBeacon) > 0 && akPlayer.GetItemCount(PickyTransponder) > 0
		debug.MessageBox("The transponder glows in sync with the Beacon. The two appear to be linked.")
	else
		debug.MessageBox("It appears to be a small device of Dwemer design. I wonder what it does.")
	endif
endif
EndEvent