Scriptname DBM_RadiantRelicFilter extends ReferenceAlias
{Keeps the radiant relic list updated if the player acquires an item from it while not on quest.}

FormList Property DBM_RadiantRelicList Auto

Event OnInit()
	AddInventoryEventFilter(DBM_RadiantRelicList)
EndEvent

Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
	if akBaseItem
		Form R = akItemReference.GetBaseObject()
		DBM_RadiantRelicList.RemoveAddedForm(R)
	endif
EndEvent