Scriptname DBM_TiberSeptimArmorScript extends ObjectReference  

Actor Property PlayerRef Auto
Perk Property DBM_MiraakMaskPerk01 Auto
Perk Property DBM_MiraakMaskPerk02 Auto
Perk Property DBM_MiraakMaskPerk03 Auto
Spell Property DBM_MiraakMaskAbility01 Auto
Spell Property DBM_MiraakMaskAbility02 Auto
Spell Property DBM_MiraakMaskAbility03 Auto

Perk Property DBM_TiberSeptimPerk01 Auto
Perk Property DBM_TiberSeptimPerk02 Auto
Perk Property DBM_TiberSeptimPerk03 Auto
Spell Property DBM_TiberSeptimArmorAbility01 Auto
Spell Property DBM_TiberSeptimArmorAbility02 Auto
Spell Property DBM_TiberSeptimArmorAbility03 Auto

Perk Property DBM_QahnaarinGlovesPerk01 Auto
Perk Property DBM_QahnaarinGlovesPerk02 Auto
Perk Property DBM_QahnaarinGlovesPerk03 Auto
Spell Property DBM_QahnaarinGlovesAbility01 Auto
Spell Property DBM_QahnaarinGlovesAbility02 Auto
Spell Property DBM_QahnaarinGlovesAbility03 Auto

Perk Property DBM_WulfharthPerk01 Auto
Perk Property DBM_WulfharthPerk02 Auto
Perk Property DBM_WulfharthPerk03 Auto
Spell Property DBM_WulfharthAbility01 Auto
Spell Property DBM_WulfharthAbility02 Auto
Spell Property DBM_WulfharthAbility03 Auto

Perk Property DBM_AmuletofKingsPerk01 Auto
Perk Property DBM_AmuletofKingsPerk02 Auto
Perk Property DBM_AmuletofKingsPerk03 Auto
Spell Property DBM_AmuletofKingsAbility01 Auto
Spell Property DBM_AmuletofKingsAbility02 Auto
Spell Property DBM_AmuletofKingsAbility03 Auto

Perk Property DBM_MoonandStarPerk01 Auto
Perk Property DBM_MoonandStarPerk02 Auto
Perk Property DBM_MoonandStarPerk03 Auto
Spell Property DBM_MoonandStarAbility01 Auto
Spell Property DBM_MoonandStarAbility02 Auto
Spell Property DBM_MoonandStarAbility03 Auto

Perk Property DBM_RemanShieldPerk01 Auto
Perk Property DBM_RemanShieldPerk02 Auto
Perk Property DBM_RemanShieldPerk03 Auto
Spell Property DBM_RemanShieldAbility01 Auto
Spell Property DBM_RemanShieldAbility02 Auto
Spell Property DBM_RemanShieldAbility03 Auto

Armor Property DLC2MKMiraakMask1H Auto
Armor Property DLC2MKMiraakMask2H Auto
Armor Property DLC2MKMiraakMask3H Auto
Armor Property DLC2MKMiraakMask1L Auto
Armor Property DLC2MKMiraakMask2L Auto
Armor Property DLC2MKMiraakMask3L Auto

Armor Property DBM_aaAmuletofKings Auto
Armor Property DBM_aaTiberArmor Auto
Armor Property DBM_aaQahnaarinGloves Auto
Armor Property DBM_aaWulfharthBoots Auto
Armor Property DBM_aaMoonandStar Auto
Armor Property DBM_aaRemanShield Auto
Armor Property DBM_aaRemanShieldNew Auto

Armor Property DBM_aaMiraakH Auto
Armor Property DBM_aaMiraakL Auto
Armor Property DBM_aaMiraakR Auto
Armor Property DBM_aaTiberArmorNEW Auto
Armor Property DBM_aaTiberArmorNEWR Auto
Armor Property DBM_aaQahnaarinGlovesNEW Auto
Armor Property DBM_aaQahnaarinGlovesNEWR Auto
Armor Property DBM_aaWulfharthBootsNEW Auto
Armor Property DBM_aaWulfharthBootsNEWR Auto
Armor Property DBM_aaTiberArmorNEWL Auto
Armor Property DBM_aaQahnaarinGlovesNEWL Auto
Armor Property DBM_aaWulfharthBootsNEWL Auto

Armor Property DBM_aaMoonandStarALT Auto


GlobalVariable Property DBM_RelicEquipCount Auto



Function UpdateAbilities(Perk PerkToAdd, Spell SpellToAdd, Perk PerkToRemove1, Spell SpellToRemove1, Perk PerkToRemove2, Spell SpellToRemove2)
	PlayerRef.addperk (PerkToAdd)
	PlayerRef.addspell (SpellToAdd)
	PlayerRef.removeperk (PerkToRemove1)
	PlayerRef.removespell (SpellToRemove1)
	PlayerRef.removeperk (PerkToRemove2)
	PlayerRef.removespell (SpellToRemove2)
EndFunction 



Event OnEquipped(Actor akActor)
  if akActor == PlayerRef

Float REC = DBM_RELICEQUIPCOUNT.GetValue() + 1.0
DBM_RELICEQUIPCOUNT.SetValue(REC)

		if DBM_RELICEQUIPCOUNT .GetValue() <= 2
			if (Game.GetPlayer().IsEquipped(DBM_aaAmuletofKings))
				UpdateAbilities(DBM_AmuletofKingsPerk01,DBM_AmuletofKingsAbility01,DBM_AmuletofKingsPerk02,DBM_AmuletofKingsAbility02,DBM_AmuletofKingsPerk03,DBM_AmuletofKingsAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaMoonandStar)) || (Game.GetPlayer().IsEquipped(DBM_aaMoonandStarALT))
				UpdateAbilities(DBM_MoonandStarPerk01,DBM_MoonandStarAbility01,DBM_MoonandStarPerk02,DBM_MoonandStarAbility02,DBM_MoonandStarPerk03,DBM_MoonandStarAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaTiberArmor)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEW)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEWL)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEWR))
				UpdateAbilities(DBM_TiberSeptimPerk01,DBM_TiberSeptimArmorAbility01,DBM_TiberSeptimPerk02,DBM_TiberSeptimArmorAbility02,DBM_TiberSeptimPerk03,DBM_TiberSeptimArmorAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGloves)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEW)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEWL)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEWR))
				UpdateAbilities(DBM_QahnaarinGlovesPerk01,DBM_QahnaarinGlovesAbility01,DBM_QahnaarinGlovesPerk02,DBM_QahnaarinGlovesAbility02,DBM_QahnaarinGlovesPerk03,DBM_QahnaarinGlovesAbility03)
			endif  
			if (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBoots)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEW)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEWL)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEWR))
				UpdateAbilities(DBM_WulfharthPerk01,DBM_WulfharthAbility01,DBM_WulfharthPerk02,DBM_WulfharthAbility02,DBM_WulfharthPerk03,DBM_WulfharthAbility03)
			endif 
			if (Game.GetPlayer().IsEquipped(DBM_aaRemanShield)) || (Game.GetPlayer().IsEquipped(DBM_aaRemanShieldNew))
				UpdateAbilities(DBM_RemanShieldPerk01,DBM_RemanShieldAbility01,DBM_RemanShieldPerk02,DBM_RemanShieldAbility02,DBM_RemanShieldPerk03,DBM_RemanShieldAbility03)
			endif

			if (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask1L)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask2L)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask3L))
				UpdateAbilities(DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02,DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask1H)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask2H)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask3H))
				UpdateAbilities(DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02,DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaMiraakH)) || (Game.GetPlayer().IsEquipped(DBM_aaMiraakL)) || (Game.GetPlayer().IsEquipped(DBM_aaMiraakR))
				UpdateAbilities(DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02,DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03)
			endif
		endif		

		if DBM_RELICEQUIPCOUNT .GetValue() >= 3 && DBM_RELICEQUIPCOUNT .GetValue() < 7

			if (Game.GetPlayer().IsEquipped(DBM_aaAmuletofKings))
				UpdateAbilities(DBM_AmuletofKingsPerk02,DBM_AmuletofKingsAbility02,DBM_AmuletofKingsPerk01,DBM_AmuletofKingsAbility01,DBM_AmuletofKingsPerk03,DBM_AmuletofKingsAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaMoonandStar)) || (Game.GetPlayer().IsEquipped(DBM_aaMoonandStarALT))
				UpdateAbilities(DBM_MoonandStarPerk02,DBM_MoonandStarAbility02,DBM_MoonandStarPerk01,DBM_MoonandStarAbility01,DBM_MoonandStarPerk03,DBM_MoonandStarAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaTiberArmor)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEW)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEWL)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEWR))
				UpdateAbilities(DBM_TiberSeptimPerk02,DBM_TiberSeptimArmorAbility02,DBM_TiberSeptimPerk01,DBM_TiberSeptimArmorAbility01,DBM_TiberSeptimPerk03,DBM_TiberSeptimArmorAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGloves)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEW)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEWL)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEWR))
				UpdateAbilities(DBM_QahnaarinGlovesPerk02,DBM_QahnaarinGlovesAbility02,DBM_QahnaarinGlovesPerk01,DBM_QahnaarinGlovesAbility01,DBM_QahnaarinGlovesPerk03,DBM_QahnaarinGlovesAbility03)
			endif  
			if (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBoots)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEW)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEWL)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEWR))
				UpdateAbilities(DBM_WulfharthPerk02,DBM_WulfharthAbility02,DBM_WulfharthPerk01,DBM_WulfharthAbility01,DBM_WulfharthPerk03,DBM_WulfharthAbility03)
			endif 
			if (Game.GetPlayer().IsEquipped(DBM_aaRemanShield)) || (Game.GetPlayer().IsEquipped(DBM_aaRemanShieldNew))
				UpdateAbilities(DBM_RemanShieldPerk02,DBM_RemanShieldAbility02,DBM_RemanShieldPerk01,DBM_RemanShieldAbility01,DBM_RemanShieldPerk03,DBM_RemanShieldAbility03)
			endif

			if (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask1L)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask2L)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask3L))
				UpdateAbilities(DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02,DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask1H)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask2H)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask3H))
				UpdateAbilities(DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02,DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaMiraakH)) || (Game.GetPlayer().IsEquipped(DBM_aaMiraakL)) || (Game.GetPlayer().IsEquipped(DBM_aaMiraakR))
				UpdateAbilities(DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02,DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03)
			endif
		endif
		
		if DBM_RELICEQUIPCOUNT .GetValue() == 7
		
			if (Game.GetPlayer().IsEquipped(DBM_aaAmuletofKings))
				UpdateAbilities(DBM_AmuletofKingsPerk03,DBM_AmuletofKingsAbility03,DBM_AmuletofKingsPerk01,DBM_AmuletofKingsAbility01,DBM_AmuletofKingsPerk02,DBM_AmuletofKingsAbility02)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaMoonandStar)) || (Game.GetPlayer().IsEquipped(DBM_aaMoonandStarALT))
				UpdateAbilities(DBM_MoonandStarPerk03,DBM_MoonandStarAbility03,DBM_MoonandStarPerk01,DBM_MoonandStarAbility01,DBM_MoonandStarPerk02,DBM_MoonandStarAbility02)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaTiberArmor)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEW)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEWL)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEWR))
				UpdateAbilities(DBM_TiberSeptimPerk03,DBM_TiberSeptimArmorAbility03,DBM_TiberSeptimPerk01,DBM_TiberSeptimArmorAbility01,DBM_TiberSeptimPerk02,DBM_TiberSeptimArmorAbility02)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGloves)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEW)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEWL)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEWR))
				UpdateAbilities(DBM_QahnaarinGlovesPerk03,DBM_QahnaarinGlovesAbility03,DBM_QahnaarinGlovesPerk01,DBM_QahnaarinGlovesAbility01,DBM_QahnaarinGlovesPerk02,DBM_QahnaarinGlovesAbility02)
			endif  
			if (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBoots)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEW)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEWL)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEWR))
				UpdateAbilities(DBM_WulfharthPerk03,DBM_WulfharthAbility03,DBM_WulfharthPerk01,DBM_WulfharthAbility01,DBM_WulfharthPerk02,DBM_WulfharthAbility02)
			endif 
			if (Game.GetPlayer().IsEquipped(DBM_aaRemanShield)) || (Game.GetPlayer().IsEquipped(DBM_aaRemanShieldNew))
				UpdateAbilities(DBM_RemanShieldPerk03,DBM_RemanShieldAbility03,DBM_RemanShieldPerk01,DBM_RemanShieldAbility01,DBM_RemanShieldPerk02,DBM_RemanShieldAbility02)
			endif

			if (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask1L)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask2L)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask3L))
				UpdateAbilities(DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03,DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02)
			endif
			if (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask1H)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask2H)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask3H))
				UpdateAbilities(DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03,DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaMiraakH)) || (Game.GetPlayer().IsEquipped(DBM_aaMiraakL)) || (Game.GetPlayer().IsEquipped(DBM_aaMiraakR))
				UpdateAbilities(DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03,DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02)
			endif
		endif
	endif
Endevent


Event OnUnequipped(Actor akActor)
  if akActor == PlayerRef

Float REC = DBM_RELICEQUIPCOUNT.GetValue() - 1.0
DBM_RELICEQUIPCOUNT.SetValue(REC)

		if DBM_RELICEQUIPCOUNT .GetValue() <= 2
			if (Game.GetPlayer().IsEquipped(DBM_aaAmuletofKings))
				UpdateAbilities(DBM_AmuletofKingsPerk01,DBM_AmuletofKingsAbility01,DBM_AmuletofKingsPerk02,DBM_AmuletofKingsAbility02,DBM_AmuletofKingsPerk03,DBM_AmuletofKingsAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaMoonandStar)) || (Game.GetPlayer().IsEquipped(DBM_aaMoonandStarALT))
				UpdateAbilities(DBM_MoonandStarPerk01,DBM_MoonandStarAbility01,DBM_MoonandStarPerk02,DBM_MoonandStarAbility02,DBM_MoonandStarPerk03,DBM_MoonandStarAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaTiberArmor)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEW)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEWL)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEWR))
				UpdateAbilities(DBM_TiberSeptimPerk01,DBM_TiberSeptimArmorAbility01,DBM_TiberSeptimPerk02,DBM_TiberSeptimArmorAbility02,DBM_TiberSeptimPerk03,DBM_TiberSeptimArmorAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGloves)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEW)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEWL)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEWR))
				UpdateAbilities(DBM_QahnaarinGlovesPerk01,DBM_QahnaarinGlovesAbility01,DBM_QahnaarinGlovesPerk02,DBM_QahnaarinGlovesAbility02,DBM_QahnaarinGlovesPerk03,DBM_QahnaarinGlovesAbility03)
			endif  
			if (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBoots)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEW)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEWL)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEWR))
				UpdateAbilities(DBM_WulfharthPerk01,DBM_WulfharthAbility01,DBM_WulfharthPerk02,DBM_WulfharthAbility02,DBM_WulfharthPerk03,DBM_WulfharthAbility03)
			endif 
			if (Game.GetPlayer().IsEquipped(DBM_aaRemanShield)) || (Game.GetPlayer().IsEquipped(DBM_aaRemanShieldNew))
				UpdateAbilities(DBM_RemanShieldPerk01,DBM_RemanShieldAbility01,DBM_RemanShieldPerk02,DBM_RemanShieldAbility02,DBM_RemanShieldPerk03,DBM_RemanShieldAbility03)
			endif

			if (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask1L)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask2L)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask3L))
				UpdateAbilities(DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02,DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask1H)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask2H)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask3H))
				UpdateAbilities(DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02,DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaMiraakH)) || (Game.GetPlayer().IsEquipped(DBM_aaMiraakL)) || (Game.GetPlayer().IsEquipped(DBM_aaMiraakR))
				UpdateAbilities(DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02,DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03)
			endif
		endif		

		if DBM_RELICEQUIPCOUNT .GetValue() >= 3 && DBM_RELICEQUIPCOUNT .GetValue() < 7

			if (Game.GetPlayer().IsEquipped(DBM_aaAmuletofKings))
				UpdateAbilities(DBM_AmuletofKingsPerk02,DBM_AmuletofKingsAbility02,DBM_AmuletofKingsPerk01,DBM_AmuletofKingsAbility01,DBM_AmuletofKingsPerk03,DBM_AmuletofKingsAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaMoonandStar)) || (Game.GetPlayer().IsEquipped(DBM_aaMoonandStarALT))
				UpdateAbilities(DBM_MoonandStarPerk02,DBM_MoonandStarAbility02,DBM_MoonandStarPerk01,DBM_MoonandStarAbility01,DBM_MoonandStarPerk03,DBM_MoonandStarAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaTiberArmor)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEW)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEWL)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEWR))
				UpdateAbilities(DBM_TiberSeptimPerk02,DBM_TiberSeptimArmorAbility02,DBM_TiberSeptimPerk01,DBM_TiberSeptimArmorAbility01,DBM_TiberSeptimPerk03,DBM_TiberSeptimArmorAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGloves)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEW)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEWL)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEWR))
				UpdateAbilities(DBM_QahnaarinGlovesPerk02,DBM_QahnaarinGlovesAbility02,DBM_QahnaarinGlovesPerk01,DBM_QahnaarinGlovesAbility01,DBM_QahnaarinGlovesPerk03,DBM_QahnaarinGlovesAbility03)
			endif  
			if (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBoots)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEW)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEWL)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEWR))
				UpdateAbilities(DBM_WulfharthPerk02,DBM_WulfharthAbility02,DBM_WulfharthPerk01,DBM_WulfharthAbility01,DBM_WulfharthPerk03,DBM_WulfharthAbility03)
			endif 
			if (Game.GetPlayer().IsEquipped(DBM_aaRemanShield)) || (Game.GetPlayer().IsEquipped(DBM_aaRemanShieldNew))
				UpdateAbilities(DBM_RemanShieldPerk02,DBM_RemanShieldAbility02,DBM_RemanShieldPerk01,DBM_RemanShieldAbility01,DBM_RemanShieldPerk03,DBM_RemanShieldAbility03)
			endif

			if (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask1L)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask2L)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask3L))
				UpdateAbilities(DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02,DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask1H)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask2H)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask3H))
				UpdateAbilities(DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02,DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaMiraakH)) || (Game.GetPlayer().IsEquipped(DBM_aaMiraakL)) || (Game.GetPlayer().IsEquipped(DBM_aaMiraakR))
				UpdateAbilities(DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02,DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03)
			endif
		endif
		
		if DBM_RELICEQUIPCOUNT .GetValue() == 7
		
			if (Game.GetPlayer().IsEquipped(DBM_aaAmuletofKings))
				UpdateAbilities(DBM_AmuletofKingsPerk03,DBM_AmuletofKingsAbility03,DBM_AmuletofKingsPerk01,DBM_AmuletofKingsAbility01,DBM_AmuletofKingsPerk02,DBM_AmuletofKingsAbility02)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaMoonandStar)) || (Game.GetPlayer().IsEquipped(DBM_aaMoonandStarALT))
				UpdateAbilities(DBM_MoonandStarPerk03,DBM_MoonandStarAbility03,DBM_MoonandStarPerk01,DBM_MoonandStarAbility01,DBM_MoonandStarPerk02,DBM_MoonandStarAbility02)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaTiberArmor)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEW)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEWL)) || (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEWR))
				UpdateAbilities(DBM_TiberSeptimPerk03,DBM_TiberSeptimArmorAbility03,DBM_TiberSeptimPerk01,DBM_TiberSeptimArmorAbility01,DBM_TiberSeptimPerk02,DBM_TiberSeptimArmorAbility02)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGloves)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEW)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEWL)) || (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEWR))
				UpdateAbilities(DBM_QahnaarinGlovesPerk03,DBM_QahnaarinGlovesAbility03,DBM_QahnaarinGlovesPerk01,DBM_QahnaarinGlovesAbility01,DBM_QahnaarinGlovesPerk02,DBM_QahnaarinGlovesAbility02)
			endif  
			if (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBoots)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEW)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEWL)) || (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEWR))
				UpdateAbilities(DBM_WulfharthPerk03,DBM_WulfharthAbility03,DBM_WulfharthPerk01,DBM_WulfharthAbility01,DBM_WulfharthPerk02,DBM_WulfharthAbility02)
			endif 
			if (Game.GetPlayer().IsEquipped(DBM_aaRemanShield)) || (Game.GetPlayer().IsEquipped(DBM_aaRemanShieldNew))
				UpdateAbilities(DBM_RemanShieldPerk03,DBM_RemanShieldAbility03,DBM_RemanShieldPerk01,DBM_RemanShieldAbility01,DBM_RemanShieldPerk02,DBM_RemanShieldAbility02)
			endif

			if (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask1L)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask2L)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask3L))
				UpdateAbilities(DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03,DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02)
			endif
			if (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask1H)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask2H)) || (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask3H))
				UpdateAbilities(DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03,DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaMiraakH)) || (Game.GetPlayer().IsEquipped(DBM_aaMiraakL)) || (Game.GetPlayer().IsEquipped(DBM_aaMiraakR))
				UpdateAbilities(DBM_MiraakMaskPerk03,DBM_MiraakMaskAbility03,DBM_MiraakMaskPerk01,DBM_MiraakMaskAbility01,DBM_MiraakMaskPerk02,DBM_MiraakMaskAbility02)
			endif
		endif

			if (Game.GetPlayer().IsEquipped(DBM_aaAmuletofKings)==0)
				Game.GetPlayer().Removespell(DBM_AmuletofKingsAbility01)
				Game.GetPlayer().Removespell(DBM_AmuletofKingsAbility02)
				Game.GetPlayer().Removespell(DBM_AmuletofKingsAbility03)
				Game.GetPlayer().RemovePerk(DBM_AmuletofKingsPerk01)
				Game.GetPlayer().RemovePerk(DBM_AmuletofKingsPerk02)
				Game.GetPlayer().RemovePerk(DBM_AmuletofKingsPerk03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaMoonandStar)==0) && (Game.GetPlayer().IsEquipped(DBM_aaMoonandStarALT)==0)
				Game.GetPlayer().Removespell(DBM_MoonandStarAbility01)
				Game.GetPlayer().Removespell(DBM_MoonandStarAbility02)
				Game.GetPlayer().Removespell(DBM_MoonandStarAbility03)
				Game.GetPlayer().RemovePerk(DBM_MoonandStarPerk01)
				Game.GetPlayer().RemovePerk(DBM_MoonandStarPerk02)
				Game.GetPlayer().RemovePerk(DBM_MoonandStarPerk03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaTiberArmor)==0) && (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEW)==0) && (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEWL)==0) && (Game.GetPlayer().IsEquipped(DBM_aaTiberArmorNEWR)==0)
				Game.GetPlayer().Removespell(DBM_TiberSeptimArmorAbility01)
				Game.GetPlayer().Removespell(DBM_TiberSeptimArmorAbility02)
				Game.GetPlayer().Removespell(DBM_TiberSeptimArmorAbility03)
				Game.GetPlayer().RemovePerk(DBM_TiberSeptimPerk01)
				Game.GetPlayer().RemovePerk(DBM_TiberSeptimPerk02)
				Game.GetPlayer().RemovePerk(DBM_TiberSeptimPerk03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGloves)==0) && (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEW)==0) && (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEWL)==0) && (Game.GetPlayer().IsEquipped(DBM_AAqahnaarinGlovesNEWR)==0)
				Game.GetPlayer().Removespell(DBM_qahnaarinGlovesAbility01)
				Game.GetPlayer().Removespell(DBM_qahnaarinGlovesAbility02)
				Game.GetPlayer().Removespell(DBM_qahnaarinGlovesAbility03)
				Game.GetPlayer().RemovePerk(DBM_qahnaarinGlovesPerk01)
				Game.GetPlayer().RemovePerk(DBM_qahnaarinGlovesPerk02)
				Game.GetPlayer().RemovePerk(DBM_qahnaarinGlovesPerk03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBoots)==0) && (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEW)==0) && (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEWL)==0) && (Game.GetPlayer().IsEquipped(DBM_aaWulfharthBootsNEWR)==0)
				Game.GetPlayer().Removespell(DBM_WulfharthAbility01)
				Game.GetPlayer().Removespell(DBM_WulfharthAbility02)
				Game.GetPlayer().Removespell(DBM_WulfharthAbility03)
				Game.GetPlayer().RemovePerk(DBM_WulfharthPerk01)
				Game.GetPlayer().RemovePerk(DBM_WulfharthPerk02)
				Game.GetPlayer().RemovePerk(DBM_WulfharthPerk03)
			endif
			if (Game.GetPlayer().GetItemCount(DBM_aaRemanShield)==0) && (Game.GetPlayer().GetItemCount(DBM_aaRemanShieldNew)==0)
				Game.GetPlayer().Removespell(DBM_RemanShieldAbility01)
				Game.GetPlayer().Removespell(DBM_RemanShieldAbility02)
				Game.GetPlayer().Removespell(DBM_RemanShieldAbility03)
				Game.GetPlayer().RemovePerk(DBM_RemanShieldPerk01)
				Game.GetPlayer().RemovePerk(DBM_RemanShieldPerk02)
				Game.GetPlayer().RemovePerk(DBM_RemanShieldPerk03)
			endif
			if (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask1L)==0) && (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask2L)==0) && (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask3L)==0)
				Game.GetPlayer().Removespell(DBM_MiraakMaskAbility01)
				Game.GetPlayer().Removespell(DBM_MiraakMaskAbility02)
				Game.GetPlayer().Removespell(DBM_MiraakMaskAbility03)
				Game.GetPlayer().RemovePerk(DBM_MiraakMaskPerk01)
				Game.GetPlayer().RemovePerk(DBM_MiraakMaskPerk02)
				Game.GetPlayer().RemovePerk(DBM_MiraakMaskPerk03)
			endif
			if (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask1H)==0) && (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask2H)==0) && (Game.GetPlayer().IsEquipped(DLC2MKMiraakMask3H)==0)
				Game.GetPlayer().Removespell(DBM_MiraakMaskAbility01)
				Game.GetPlayer().Removespell(DBM_MiraakMaskAbility02)
				Game.GetPlayer().Removespell(DBM_MiraakMaskAbility03)
				Game.GetPlayer().RemovePerk(DBM_MiraakMaskPerk01)
				Game.GetPlayer().RemovePerk(DBM_MiraakMaskPerk02)
				Game.GetPlayer().RemovePerk(DBM_MiraakMaskPerk03)
			endif
			if (Game.GetPlayer().IsEquipped(DBM_aaMiraakH)==0) && (Game.GetPlayer().IsEquipped(DBM_aaMiraakL)==0) && (Game.GetPlayer().IsEquipped(DBM_aaMiraakR)==0)
				Game.GetPlayer().Removespell(DBM_MiraakMaskAbility01)
				Game.GetPlayer().Removespell(DBM_MiraakMaskAbility02)
				Game.GetPlayer().Removespell(DBM_MiraakMaskAbility03)
				Game.GetPlayer().RemovePerk(DBM_MiraakMaskPerk01)
				Game.GetPlayer().RemovePerk(DBM_MiraakMaskPerk02)
				Game.GetPlayer().RemovePerk(DBM_MiraakMaskPerk03)
			endif
	endif
Endevent

