Scriptname DBM_TonalMuseumDisplay extends ObjectReference  
{Bespoke handler for all the different variantions of Karagas Tonal Staff}

Weapon Property DBM_TonalStaff Auto
Weapon Property DBM_TonalStaffGemA Auto
Weapon Property DBM_TonalStaffGemD Auto
Weapon Property DBM_TonalStaffGemE Auto
Weapon Property DBM_TonalStaffGemG Auto
Weapon Property DBM_TonalStaffGemR Auto
Weapon Property DBM_TonalStaffGemS Auto
Weapon Property DBM_TonalStaffDBM Auto
ObjectReference Property DISPLAYCHEST  Auto  
Message Property defaultLackTheItemMSG  Auto
Actor Property PlayerRef Auto
GlobalVariable Property DBM_DisplayMAX Auto
GlobalVariable Property DBM_SortWait Auto

EVENT OnActivate(objectReference akActivator)
  If akActivator == PlayerRef 
	if DBM_SortWait.GetValue() == 1
		Debug.messagebox("You must wait for the current sorting opperation to complete before removing displays")
		Return
	Elseif DBM_SortWait.GetValue() == 0
		if (self.getLinkedRef().isdisabled())
			if PlayerRef.getItemCount(DBM_TonalStaffDBM) >= 1 && PlayerRef.IsEquipped(DBM_TonalStaffDBM) == 0 && Game.IsObjectFavorited(DBM_TonalStaffDBM) == False
				PlayerRef.removeItem(DBM_TonalStaffDBM, 1,False,DISPLAYCHEST)
				Self.GetLinkedRef().Enable()
				DBM_DisplayMax.Value += 1
			if DBM_Utils.getSharingEnabled()
				DBM_Utils.saveDisplayStatus(Self.GetLinkedRef())
			endif
			elseif PlayerRef.getItemCount(DBM_TonalStaffGemS) >= 1 && PlayerRef.IsEquipped(DBM_TonalStaffGemS) == 0 && Game.IsObjectFavorited(DBM_TonalStaffGemS) == False
				PlayerRef.removeItem(DBM_TonalStaffGemS, 1,False,DISPLAYCHEST)
				Self.GetLinkedRef().Enable()
				DBM_DisplayMax.Value += 1
			if DBM_Utils.getSharingEnabled()
				DBM_Utils.saveDisplayStatus(Self.GetLinkedRef())
			Endif
			elseif PlayerRef.getItemCount(DBM_TonalStaff) >= 1 && PlayerRef.IsEquipped(DBM_TonalStaff) == 0 && Game.IsObjectFavorited(DBM_TonalStaff) == False
				PlayerRef.removeItem(DBM_TonalStaff, 1,False,DISPLAYCHEST)
				Self.GetLinkedRef().Enable()
				DBM_DisplayMax.Value += 1
			if DBM_Utils.getSharingEnabled()
				DBM_Utils.saveDisplayStatus(Self.GetLinkedRef())
			Endif
			elseif PlayerRef.getItemCount(DBM_TonalStaffGemA) >= 1 && PlayerRef.IsEquipped(DBM_TonalStaffGemA) == 0 && Game.IsObjectFavorited(DBM_TonalStaffGemA) == False
				PlayerRef.removeItem(DBM_TonalStaffGemA, 1,False,DISPLAYCHEST)
				Self.GetLinkedRef().Enable()
				DBM_DisplayMax.Value += 1
			if DBM_Utils.getSharingEnabled()
				DBM_Utils.saveDisplayStatus(Self.GetLinkedRef())
			Endif
			elseif PlayerRef.getItemCount(DBM_TonalStaffGemD) >= 1 && PlayerRef.IsEquipped(DBM_TonalStaffGemD) == 0 && Game.IsObjectFavorited(DBM_TonalStaffGemD) == False
				PlayerRef.removeItem(DBM_TonalStaffGemD, 1,False,DISPLAYCHEST)
				Self.GetLinkedRef().Enable()
				DBM_DisplayMax.Value += 1
			if DBM_Utils.getSharingEnabled()
				DBM_Utils.saveDisplayStatus(Self.GetLinkedRef())
			Endif
			elseif PlayerRef.getItemCount(DBM_TonalStaffGemE) >= 1 && PlayerRef.IsEquipped(DBM_TonalStaffGemE) == 0 && Game.IsObjectFavorited(DBM_TonalStaffGemE) == False
				PlayerRef.removeItem(DBM_TonalStaffGemE, 1,False,DISPLAYCHEST)
				Self.GetLinkedRef().Enable()
				DBM_DisplayMax.Value += 1
			if DBM_Utils.getSharingEnabled()
				DBM_Utils.saveDisplayStatus(Self.GetLinkedRef())
			Endif
			elseif PlayerRef.getItemCount(DBM_TonalStaffGemG) >= 1 && PlayerRef.IsEquipped(DBM_TonalStaffGemG) == 0 && Game.IsObjectFavorited(DBM_TonalStaffGemG) == False
				PlayerRef.removeItem(DBM_TonalStaffGemG, 1,False,DISPLAYCHEST)
				Self.GetLinkedRef().Enable()
				DBM_DisplayMax.Value += 1
			if DBM_Utils.getSharingEnabled()
				DBM_Utils.saveDisplayStatus(Self.GetLinkedRef())
			Endif
			elseif PlayerRef.getItemCount(DBM_TonalStaffGemR) >= 1 && PlayerRef.IsEquipped(DBM_TonalStaffGemR) == 0 && Game.IsObjectFavorited(DBM_TonalStaffGemR) == False
				PlayerRef.removeItem(DBM_TonalStaffGemR, 1,False,DISPLAYCHEST)
				Self.GetLinkedRef().Enable()
				DBM_DisplayMax.Value += 1
			if DBM_Utils.getSharingEnabled()
				DBM_Utils.saveDisplayStatus(Self.GetLinkedRef())
			Endif
			else
				defaultLackTheItemMSG.show()
			endif
		elseif Self.GetLinkedRef().IsEnabled()
		if DISPLAYCHEST.GetItemCount(DBM_TonalStaff) >= 1
			DISPLAYCHEST.removeItem(DBM_TonalStaff, 1,False,PlayerRef)
			Self.GetLinkedRef().Disable()
			if DBM_Utils.getSharingEnabled()
				DBM_Utils.saveDisplayStatus(Self.GetLinkedRef())
			Endif
			DBM_DisplayMax.Value -= 1
		elseif DISPLAYCHEST.GetItemCount(DBM_TonalStaffDBM) >= 1
			DISPLAYCHEST.removeItem(DBM_TonalStaffDBM, 1,False,PlayerRef)
			Self.GetLinkedRef().Disable()
			if DBM_Utils.getSharingEnabled()
				DBM_Utils.saveDisplayStatus(Self.GetLinkedRef())
			Endif
			DBM_DisplayMax.Value -= 1
		elseif DISPLAYCHEST.GetItemCount(DBM_TonalStaffGemA) >= 1
			DISPLAYCHEST.removeItem(DBM_TonalStaffGemA, 1,False,PlayerRef)
			Self.GetLinkedRef().Disable()
			if DBM_Utils.getSharingEnabled()
				DBM_Utils.saveDisplayStatus(Self.GetLinkedRef())
			Endif
			DBM_DisplayMax.Value -= 1
		elseif DISPLAYCHEST.GetItemCount(DBM_TonalStaffGemD) >= 1
			DISPLAYCHEST.removeItem(DBM_TonalStaffGemD, 1,False,PlayerRef)
			Self.GetLinkedRef().Disable()
			if DBM_Utils.getSharingEnabled()
				DBM_Utils.saveDisplayStatus(Self.GetLinkedRef())
			Endif
			DBM_DisplayMax.Value -= 1
		elseif DISPLAYCHEST.GetItemCount(DBM_TonalStaffGemE) >= 1
			DISPLAYCHEST.removeItem(DBM_TonalStaffGemE, 1,False,PlayerRef)
			Self.GetLinkedRef().Disable()
			if DBM_Utils.getSharingEnabled()
				DBM_Utils.saveDisplayStatus(Self.GetLinkedRef())
			Endif
			DBM_DisplayMax.Value -= 1
		elseif DISPLAYCHEST.GetItemCount(DBM_TonalStaffGemG) >= 1
			DISPLAYCHEST.removeItem(DBM_TonalStaffGemG, 1,False,PlayerRef)
			Self.GetLinkedRef().Disable()
			if DBM_Utils.getSharingEnabled()
				DBM_Utils.saveDisplayStatus(Self.GetLinkedRef())
			Endif
			DBM_DisplayMax.Value -= 1
		elseif DISPLAYCHEST.GetItemCount(DBM_TonalStaffGemR) >= 1
			DISPLAYCHEST.removeItem(DBM_TonalStaffGemR, 1,False,PlayerRef)
			Self.GetLinkedRef().Disable()
			if DBM_Utils.getSharingEnabled()
				DBM_Utils.saveDisplayStatus(Self.GetLinkedRef())
			Endif
			DBM_DisplayMax.Value -= 1
		elseif DISPLAYCHEST.GetItemCount(DBM_TonalStaffGemS) >= 1
			DISPLAYCHEST.removeItem(DBM_TonalStaffGemS, 1,False,PlayerRef)
			Self.GetLinkedRef().Disable()
			if DBM_Utils.getSharingEnabled()
				DBM_Utils.saveDisplayStatus(Self.GetLinkedRef())
			Endif
			DBM_DisplayMax.Value -= 1
		endif
		endif
	endif
endif
endEvent
